/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2022-02-08 15:35:03Z
 *****************************************************************************/

#include "rsrtx.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsrtx_RsCoreRepCapTableCount = 19;

RsCoreRepCap rsrtx_RsCoreRepCapTable[19] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Channel",
      "CH0,CH1,CH2,CH3,CH4,CHExt",
      ",1,2,3,4,5"
    }, {
      "Measurement",
      "M1,M2,M3,M4,M5,M6,M7,M8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Math",
      "MA1,MA2,MA3,MA4,MA5",
      "1,2,3,4,5"
    }, {
      "ReferenceWfm",
      "RW1,RW2,RW3,RW4",
      "1,2,3,4"
    }, {
      "SerialBus",
      "SB1,SB2,SB3,SB4",
      "1,2,3,4"
    }, {
      "Cursor",
      "Cur1,Cur2,Cur3",
      "1,2,3"
    }, {
      "ResultNumber",
      "Res1,Res2,Res3,Res4,Res5,Res6,Res7,Res8,Res9,Res10,Res11,Res12,Res13,Res14,Res15,Res16,Res17,Res18,Res19,Res20,Res21,Res22,Res23,Res24,Res25,Res26,Res27,Res28,Res29,Res30,Res31,Res32,Res33,Res34,Res35,Res36,Res37,Res38,Res39,Res40",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40"
    }, {
      "Gate",
      "Gate1,Gate2,Gate3",
      "1,2,3"
    }, {
      "OnOffResult",
      "OOR1,OOR2,OOR3",
      "1,2,3"
    }, {
      "SourceNumber",
      "S1,S2,S3,S4",
      "1,2,3,4"
    }, {
      "TDMChannel",
      "TDM0,TDM1,TDM2,TDM3,TDM4,TDM5,TDM6,TDM7,TDM8",
      ",1,2,3,4,5,6,7,8"
    }, {
      "Digital",
      "D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10,D11,D12,D13,D14,D15",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
    }, {
      "DigitalVoltmeter",
      "DVM1,DVM2,DVM3,DVM4",
      "1,2,3,4"
    }, {
      "CursorLine",
      "CursorLine1,CursorLine2",
      "1,2"
    }, {
      "Logic",
      "Logic1,Logic2",
      "1,2"
    }, {
      "OutputPin",
      "P0,P1,P2,P3",
      "0,1,2,3"
    }, {
      "ProfilePoint",
      "Point1,Point2,Point3,Point4,Point5,Point6,Point7,Point8,Point9,Point10,Point11,Point12,Point13,Point14,Point15,Point16",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
    }, {
      "BodeMarker",
      "BodeMark1,BodeMark2",
      "1,2"
    }, {
      "ParallelLine",
      "Bit0,Bit1,Bit2,Bit3,Bit4,Bit5,Bit6,Bit7,Bit8,Bit9,Bit10,Bit11,Bit12,Bit13,Bit14,Bit15",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

RsCoreRangeTableRanged rsrtx_rngHorzScale = { 1e-9, 50, "s" };

RsCoreRangeTableRanged rsrtx_rngHorzAcquisitionTime = { 0.00000000025, 500, "s" };

RsCoreRangeTableRanged rsrtx_rngAcquisitionStartTime = { -500.00, 500.00, "" };

RsCoreRangeTableRanged rsrtx_rngHorzReference = { 8.33, 91.67, "%" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSampleModeEntries[2] =
  {
    { RSRTX_VAL_REAL_TIME, "RTIM" },
    { RSRTX_VAL_EQUIVALENT_TIME, "ETIM" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSampleMode = { 2, rsrtx_rngSampleModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWaveformArithmeticsEntries[5] =
  {
    { RSRTX_VAL_OFF, "OFF" },
    { RSRTX_VAL_ENVELOPE, "ENV" },
    { RSRTX_VAL_AVERAGE, "AVER" },
    { RSRTX_VAL_SMOOTH, "SMO" },
    { RSRTX_VAL_FILTER, "FILT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWaveformArithmetics = { 5, rsrtx_rngWaveformArithmeticsEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngVerticalCouplingEntries[5] =
  {
    { RSRTX_VAL_AC, "AC" },
    { RSRTX_VAL_DC, "DC" },
    { RSRTX_VAL_DC_LIMIT, "DCL" },
    { RSRTX_VAL_AC_LIMIT, "ACL" },
    { RSRTX_VAL_GND, "GND" }
  };
RsCoreRangeTableDiscrete rsrtx_rngVerticalCoupling = { 5, rsrtx_rngVerticalCouplingEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngChannelBWLimitEntries[4] =
  {
    { RSRTX_VAL_BW_FULL, "FULL" },
    { RSRTX_VAL_BW_400, "B400" },
    { RSRTX_VAL_BW_200, "B200" },
    { RSRTX_VAL_BW_20, "B20" }
  };
RsCoreRangeTableDiscrete rsrtx_rngChannelBWLimit = { 4, rsrtx_rngChannelBWLimitEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerSourceEntries[26] =
  {
    { RSRTX_VAL_CHANNEL1, "CH1" },
    { RSRTX_VAL_CHANNEL2, "CH2" },
    { RSRTX_VAL_CHANNEL3, "CH3" },
    { RSRTX_VAL_CHANNEL4, "CH4" },
    { RSRTX_VAL_EXTERNAL, "EXT" },
    { RSRTX_VAL_LINE, "LINE" },
    { RSRTX_VAL_SBUS1, "SBUS1" },
    { RSRTX_VAL_SBUS2, "SBUS2" },
    { RSRTX_VAL_SBUS3, "SBUS3" },
    { RSRTX_VAL_SBUS4, "SBUS4" },
    { RSRTX_VAL_D0, "D0" },
    { RSRTX_VAL_D1, "D1" },
    { RSRTX_VAL_D2, "D2" },
    { RSRTX_VAL_D3, "D3" },
    { RSRTX_VAL_D4, "D4" },
    { RSRTX_VAL_D5, "D5" },
    { RSRTX_VAL_D6, "D6" },
    { RSRTX_VAL_D7, "D7" },
    { RSRTX_VAL_D8, "D8" },
    { RSRTX_VAL_D9, "D9" },
    { RSRTX_VAL_D10, "D10" },
    { RSRTX_VAL_D11, "D11" },
    { RSRTX_VAL_D12, "D12" },
    { RSRTX_VAL_D13, "D13" },
    { RSRTX_VAL_D14, "D14" },
    { RSRTX_VAL_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerSource = { 26, rsrtx_rngTriggerSourceEntries };

RsCoreRangeTableRanged rsrtx_rngTriggerLevel = { -10.00, 10.00, "V" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerSlopeEntries[3] =
  {
    { RSRTX_VAL_POSITIVE, "POS" },
    { RSRTX_VAL_NEGATIVE, "NEG" },
    { RSRTX_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerSlope = { 3, rsrtx_rngTriggerSlopeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngPolarityEntries[2] =
  {
    { RSRTX_VAL_POLARITY_NEGATIVE, "NEG" },
    { RSRTX_VAL_POLARITY_POSITIVE, "POS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngPolarity = { 2, rsrtx_rngPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWidthConditionEntries[4] =
  {
    { RSRTX_VAL_SHORTER, "SHOR" },
    { RSRTX_VAL_LONGER, "LONG" },
    { RSRTX_VAL_WITHIN, "WITH" },
    { RSRTX_VAL_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWidthCondition = { 4, rsrtx_rngWidthConditionEntries };

RsCoreRangeTableRanged rsrtx_rngLineNumber = { 1, 1125, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTVTriggerEventEntries[5] =
  {
    { RSRTX_VAL_TV_EVENT_EVEN, "EVEN" },
    { RSRTX_VAL_TV_EVENT_ODD, "ODD" },
    { RSRTX_VAL_TV_EVENT_ANY_FIELD, "ALL" },
    { RSRTX_VAL_TV_EVENT_LINE, "LINE" },
    { RSRTX_VAL_TV_EVENT_ANY_LINE, "ALIN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTVTriggerEvent = { 5, rsrtx_rngTVTriggerEventEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngCursorFunctionEntries[18] =
  {
    { RSRTX_VAL_CURSOR_HORIZONTAL, "HOR" },
    { RSRTX_VAL_CURSOR_VERTICAL, "VERT" },
    { RSRTX_VAL_CURSOR_PAIRED, "PAIR" },
    { RSRTX_VAL_CURSOR_HRAT, "HRAT" },
    { RSRTX_VAL_CURSOR_VRAT, "VRAT" },
    { RSRTX_VAL_CURSOR_PPC, "PPC" },
    { RSRTX_VAL_CURSOR_NPC, "NPC" },
    { RSRTX_VAL_CURSOR_REC, "REC" },
    { RSRTX_VAL_CURSOR_FEC, "FEC" },
    { RSRTX_VAL_CURSOR_MEAN, "MEAN" },
    { RSRTX_VAL_CURSOR_RMS, "RMS" },
    { RSRTX_VAL_CURSOR_RTIM, "RTIM" },
    { RSRTX_VAL_CURSOR_FTIM, "FTIM" },
    { RSRTX_VAL_CURSOR_PEAK, "PEAK" },
    { RSRTX_VAL_CURSOR_UPE, "UPE" },
    { RSRTX_VAL_CURSOR_LPE, "LPE" },
    { RSRTX_VAL_CURSOR_BWIDTH, "BWID" },
    { RSRTX_VAL_CURSOR_HVER, "HVER" }
  };
RsCoreRangeTableDiscrete rsrtx_rngCursorFunction = { 18, rsrtx_rngCursorFunctionEntries };

RsCoreRangeTableRanged rsrtx_rngCursorXPosition = { 0, 500.00, "" };

RsCoreRangeTableRanged rsrtx_rngCursorYPosition = { -50, 50, "" };

RsCoreRangeTableRanged rsrtx_rngPct = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngXRatioMeasurementUnitEntries[4] =
  {
    { RSRTX_VAL_UNIT_RATIO, "RAT" },
    { RSRTX_VAL_UNIT_PCT, "PCT" },
    { RSRTX_VAL_UNIT_DEGREE, "GRD" },
    { RSRTX_VAL_UNIT_RAD, "PI" }
  };
RsCoreRangeTableDiscrete rsrtx_rngXRatioMeasurementUnit = { 4, rsrtx_rngXRatioMeasurementUnitEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngYRatioMeasurementUnitEntries[2] =
  {
    { RSRTX_VAL_UNIT_RATIO, "RAT" },
    { RSRTX_VAL_UNIT_PCT, "PCT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngYRatioMeasurementUnit = { 2, rsrtx_rngYRatioMeasurementUnitEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngInterpolationEntries[3] =
  {
    { RSRTX_VAL_SINE_X, "SINX" },
    { RSRTX_VAL_LINEAR, "LIN" },
    { RSRTX_VAL_SAMPLE_HOLD, "SMHD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngInterpolation = { 3, rsrtx_rngInterpolationEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMeasurementCategoryEntries[1] =
  {
    { RSRTX_VAL_AMPTIME, "AMPT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMeasurementCategory = { 1, rsrtx_rngMeasurementCategoryEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngFFTWindowTypeEntries[5] =
  {
    { RSRTX_VAL_RECTANGULAR, "RECT" },
    { RSRTX_VAL_HAMMING, "HAMM" },
    { RSRTX_VAL_HANN, "HANN" },
    { RSRTX_VAL_BLACKMAN, "BLAC" },
    { RSRTX_VAL_FLAT, "FLAT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngFFTWindowType = { 5, rsrtx_rngFFTWindowTypeEntries };

RsCoreRangeTableRanged rsrtx_rngRBW = { 100.0, 2000000.0, "Hz" };

RsCoreRangeTableRanged rsrtx_rngRBWRatio = { 1024.0, 32768.0, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolI2CFrameStateEntries[5] =
  {
    { RSRTX_VAL_FRAME_STATE_OK, "OK" },
    { RSRTX_VAL_FRAME_STATE_INCOMPLETE, "INC" },
    { RSRTX_VAL_FRAME_STATE_UNEXPSTOP, "UNEX" },
    { RSRTX_VAL_FRAME_STATE_INSUFFICIENT, "INS" },
    { RSRTX_VAL_FRAME_STATE_ADDIFFERENT, "ADD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolI2CFrameState = { 5, rsrtx_rngProtocolI2CFrameStateEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolAckBitEntries[4] =
  {
    { RSRTX_VAL_I2C_EITHER, "EITH" },
    { RSRTX_VAL_I2C_ACK, "ACK" },
    { RSRTX_VAL_I2C_NACK, "NACK" },
    { RSRTX_VAL_I2C_INCOMPLETE, "INC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolAckBit = { 4, rsrtx_rngProtocolAckBitEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSPIBitOrderEntries[2] =
  {
    { RSRTX_VAL_SPI_MSBF, "MSBF" },
    { RSRTX_VAL_SPI_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIBitOrder = { 2, rsrtx_rngProtocolSPIBitOrderEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolSPIWordLength = { 4, 32, "Number of bits" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioSourceEntries[20] =
  {
    { RSRTX_VAL_AUDIO_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_AUDIO_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_AUDIO_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_AUDIO_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_AUDIO_SOURCE_D0, "D0" },
    { RSRTX_VAL_AUDIO_SOURCE_D1, "D1" },
    { RSRTX_VAL_AUDIO_SOURCE_D2, "D2" },
    { RSRTX_VAL_AUDIO_SOURCE_D3, "D3" },
    { RSRTX_VAL_AUDIO_SOURCE_D4, "D4" },
    { RSRTX_VAL_AUDIO_SOURCE_D5, "D5" },
    { RSRTX_VAL_AUDIO_SOURCE_D6, "D6" },
    { RSRTX_VAL_AUDIO_SOURCE_D7, "D7" },
    { RSRTX_VAL_AUDIO_SOURCE_D8, "D8" },
    { RSRTX_VAL_AUDIO_SOURCE_D9, "D9" },
    { RSRTX_VAL_AUDIO_SOURCE_D10, "D10" },
    { RSRTX_VAL_AUDIO_SOURCE_D11, "D11" },
    { RSRTX_VAL_AUDIO_SOURCE_D12, "D12" },
    { RSRTX_VAL_AUDIO_SOURCE_D13, "D13" },
    { RSRTX_VAL_AUDIO_SOURCE_D14, "D14" },
    { RSRTX_VAL_AUDIO_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioSource = { 20, rsrtx_rngAudioSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSPIChipSelectSourceEntries[20] =
  {
    { RSRTX_VAL_SPI_CS_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_SPI_CS_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_SPI_CS_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_SPI_CS_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_SPI_CS_SOURCE_D0, "D0" },
    { RSRTX_VAL_SPI_CS_SOURCE_D1, "D1" },
    { RSRTX_VAL_SPI_CS_SOURCE_D2, "D2" },
    { RSRTX_VAL_SPI_CS_SOURCE_D3, "D3" },
    { RSRTX_VAL_SPI_CS_SOURCE_D4, "D4" },
    { RSRTX_VAL_SPI_CS_SOURCE_D5, "D5" },
    { RSRTX_VAL_SPI_CS_SOURCE_D6, "D6" },
    { RSRTX_VAL_SPI_CS_SOURCE_D7, "D7" },
    { RSRTX_VAL_SPI_CS_SOURCE_D8, "D8" },
    { RSRTX_VAL_SPI_CS_SOURCE_D9, "D9" },
    { RSRTX_VAL_SPI_CS_SOURCE_D10, "D10" },
    { RSRTX_VAL_SPI_CS_SOURCE_D11, "D11" },
    { RSRTX_VAL_SPI_CS_SOURCE_D12, "D12" },
    { RSRTX_VAL_SPI_CS_SOURCE_D13, "D13" },
    { RSRTX_VAL_SPI_CS_SOURCE_D14, "D14" },
    { RSRTX_VAL_SPI_CS_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSPIChipSelectSource = { 20, rsrtx_rngSPIChipSelectSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMOSISourceEntries[20] =
  {
    { RSRTX_VAL_MOSI_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_MOSI_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_MOSI_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_MOSI_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_MOSI_SOURCE_D0, "D0" },
    { RSRTX_VAL_MOSI_SOURCE_D1, "D1" },
    { RSRTX_VAL_MOSI_SOURCE_D2, "D2" },
    { RSRTX_VAL_MOSI_SOURCE_D3, "D3" },
    { RSRTX_VAL_MOSI_SOURCE_D4, "D4" },
    { RSRTX_VAL_MOSI_SOURCE_D5, "D5" },
    { RSRTX_VAL_MOSI_SOURCE_D6, "D6" },
    { RSRTX_VAL_MOSI_SOURCE_D7, "D7" },
    { RSRTX_VAL_MOSI_SOURCE_D8, "D8" },
    { RSRTX_VAL_MOSI_SOURCE_D9, "D9" },
    { RSRTX_VAL_MOSI_SOURCE_D10, "D10" },
    { RSRTX_VAL_MOSI_SOURCE_D11, "D11" },
    { RSRTX_VAL_MOSI_SOURCE_D12, "D12" },
    { RSRTX_VAL_MOSI_SOURCE_D13, "D13" },
    { RSRTX_VAL_MOSI_SOURCE_D14, "D14" },
    { RSRTX_VAL_MOSI_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMOSISource = { 20, rsrtx_rngMOSISourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMISOSourceEntries[21] =
  {
    { RSRTX_VAL_MISO_SOURCE_NONE, "NONE" },
    { RSRTX_VAL_MISO_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_MISO_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_MISO_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_MISO_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_MISO_SOURCE_D0, "D0" },
    { RSRTX_VAL_MISO_SOURCE_D1, "D1" },
    { RSRTX_VAL_MISO_SOURCE_D2, "D2" },
    { RSRTX_VAL_MISO_SOURCE_D3, "D3" },
    { RSRTX_VAL_MISO_SOURCE_D4, "D4" },
    { RSRTX_VAL_MISO_SOURCE_D5, "D5" },
    { RSRTX_VAL_MISO_SOURCE_D6, "D6" },
    { RSRTX_VAL_MISO_SOURCE_D7, "D7" },
    { RSRTX_VAL_MISO_SOURCE_D8, "D8" },
    { RSRTX_VAL_MISO_SOURCE_D9, "D9" },
    { RSRTX_VAL_MISO_SOURCE_D10, "D10" },
    { RSRTX_VAL_MISO_SOURCE_D11, "D11" },
    { RSRTX_VAL_MISO_SOURCE_D12, "D12" },
    { RSRTX_VAL_MISO_SOURCE_D13, "D13" },
    { RSRTX_VAL_MISO_SOURCE_D14, "D14" },
    { RSRTX_VAL_MISO_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMISOSource = { 21, rsrtx_rngMISOSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSPIPolarityEntries[2] =
  {
    { RSRTX_VAL_ACTLOW, "NEG" },
    { RSRTX_VAL_ACTHIGH, "POS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIPolarity = { 2, rsrtx_rngProtocolSPIPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSPIFrameStateEntries[5] =
  {
    { RSRTX_VAL_FRAME_STATE_OK, "OK" },
    { RSRTX_VAL_FRAME_STATE_INCFIRST, "INCF" },
    { RSRTX_VAL_FRAME_STATE_INCLAST, "INCL" },
    { RSRTX_VAL_FRAME_STATE_INSUFFICIENT, "INS" },
    { RSRTX_VAL_FRAME_STATE_VOID, "VOID" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIFrameState = { 5, rsrtx_rngProtocolSPIFrameStateEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngUARTSourceEntries[20] =
  {
    { RSRTX_VAL_UART_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_UART_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_UART_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_UART_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_UART_SOURCE_D0, "D0" },
    { RSRTX_VAL_UART_SOURCE_D1, "D1" },
    { RSRTX_VAL_UART_SOURCE_D2, "D2" },
    { RSRTX_VAL_UART_SOURCE_D3, "D3" },
    { RSRTX_VAL_UART_SOURCE_D4, "D4" },
    { RSRTX_VAL_UART_SOURCE_D5, "D5" },
    { RSRTX_VAL_UART_SOURCE_D6, "D6" },
    { RSRTX_VAL_UART_SOURCE_D7, "D7" },
    { RSRTX_VAL_UART_SOURCE_D8, "D8" },
    { RSRTX_VAL_UART_SOURCE_D9, "D9" },
    { RSRTX_VAL_UART_SOURCE_D10, "D10" },
    { RSRTX_VAL_UART_SOURCE_D11, "D11" },
    { RSRTX_VAL_UART_SOURCE_D12, "D12" },
    { RSRTX_VAL_UART_SOURCE_D13, "D13" },
    { RSRTX_VAL_UART_SOURCE_D14, "D14" },
    { RSRTX_VAL_UART_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngUARTSource = { 20, rsrtx_rngUARTSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngUARTTxSourceEntries[21] =
  {
    { RSRTX_VAL_UART_SOURCE_NONE, "NONE" },
    { RSRTX_VAL_UART_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_UART_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_UART_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_UART_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_UART_SOURCE_D0, "D0" },
    { RSRTX_VAL_UART_SOURCE_D1, "D1" },
    { RSRTX_VAL_UART_SOURCE_D2, "D2" },
    { RSRTX_VAL_UART_SOURCE_D3, "D3" },
    { RSRTX_VAL_UART_SOURCE_D4, "D4" },
    { RSRTX_VAL_UART_SOURCE_D5, "D5" },
    { RSRTX_VAL_UART_SOURCE_D6, "D6" },
    { RSRTX_VAL_UART_SOURCE_D7, "D7" },
    { RSRTX_VAL_UART_SOURCE_D8, "D8" },
    { RSRTX_VAL_UART_SOURCE_D9, "D9" },
    { RSRTX_VAL_UART_SOURCE_D10, "D10" },
    { RSRTX_VAL_UART_SOURCE_D11, "D11" },
    { RSRTX_VAL_UART_SOURCE_D12, "D12" },
    { RSRTX_VAL_UART_SOURCE_D13, "D13" },
    { RSRTX_VAL_UART_SOURCE_D14, "D14" },
    { RSRTX_VAL_UART_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsrtx_rngUARTTxSource = { 21, rsrtx_rngUARTTxSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolUARTParityEntries[3] =
  {
    { RSRTX_VAL_UART_NONE, "NONE" },
    { RSRTX_VAL_UART_ODD, "ODD" },
    { RSRTX_VAL_UART_EVEN, "EVEN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolUARTParity = { 3, rsrtx_rngProtocolUARTParityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolUARTStopBitsEntries[3] =
  {
    { RSRTX_VAL_UART_B1, "B1" },
    { RSRTX_VAL_UART_B1_5, "B1_5" },
    { RSRTX_VAL_UART_B2, "B2" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolUARTStopBits = { 3, rsrtx_rngProtocolUARTStopBitsEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolUARTTriggerTypeEntries[9] =
  {
    { RSRTX_VAL_UART_TRIGGER_BURSTSTART, "BST" },
    { RSRTX_VAL_UART_TRIGGER_SBIT, "SBIT" },
    { RSRTX_VAL_UART_TRIGGER_NTHS, "NTHS" },
    { RSRTX_VAL_UART_TRIGGER_SYMB, "SYMB" },
    { RSRTX_VAL_UART_TRIGGER_PATT, "PATT" },
    { RSRTX_VAL_UART_TRIGGER_PERR, "PRER" },
    { RSRTX_VAL_UART_TRIGGER_SPER, "SPER" },
    { RSRTX_VAL_UART_TRIGGER_BRE, "BRE" },
    { RSRTX_VAL_UART_TRIGGER_FRAME_ERROR, "FERR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolUARTTriggerType = { 9, rsrtx_rngProtocolUARTTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSignalStyleEntries[2] =
  {
    { RSRTX_VAL_SIGNAL_STYLE_VECTORS, "VECT" },
    { RSRTX_VAL_SIGNAL_STYLE_DOTS, "DOTS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSignalStyle = { 2, rsrtx_rngSignalStyleEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHardcopyDeviceOrientationEntries[2] =
  {
    { RSRTX_VAL_HARDCOPY_ORIENTATION_PORTRAIT, "PORT" },
    { RSRTX_VAL_HARDCOPY_ORIENTATION_LANDSCAPE, "LAND" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHardcopyDeviceOrientation = { 2, rsrtx_rngHardcopyDeviceOrientationEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWaveformParameterEntries[38] =
  {
    { RSRTX_VAL_WAV_CH1, "CH1" },
    { RSRTX_VAL_WAV_CH2, "CH2" },
    { RSRTX_VAL_WAV_CH3, "CH3" },
    { RSRTX_VAL_WAV_CH4, "CH4" },
    { RSRTX_VAL_WAV_M1, "MA1" },
    { RSRTX_VAL_WAV_M2, "MA2" },
    { RSRTX_VAL_WAV_M3, "MA3" },
    { RSRTX_VAL_WAV_M4, "MA4" },
    { RSRTX_VAL_WAV_M5, "MA5" },
    { RSRTX_VAL_WAV_R1, "RE1" },
    { RSRTX_VAL_WAV_R2, "RE2" },
    { RSRTX_VAL_WAV_R3, "RE3" },
    { RSRTX_VAL_WAV_R4, "RE4" },
    { RSRTX_VAL_WAV_D0, "D0" },
    { RSRTX_VAL_WAV_D1, "D1" },
    { RSRTX_VAL_WAV_D2, "D2" },
    { RSRTX_VAL_WAV_D3, "D3" },
    { RSRTX_VAL_WAV_D4, "D4" },
    { RSRTX_VAL_WAV_D5, "D5" },
    { RSRTX_VAL_WAV_D6, "D6" },
    { RSRTX_VAL_WAV_D7, "D7" },
    { RSRTX_VAL_WAV_D8, "D8" },
    { RSRTX_VAL_WAV_D9, "D9" },
    { RSRTX_VAL_WAV_D10, "D10" },
    { RSRTX_VAL_WAV_D11, "D11" },
    { RSRTX_VAL_WAV_D12, "D12" },
    { RSRTX_VAL_WAV_D13, "D13" },
    { RSRTX_VAL_WAV_D14, "D14" },
    { RSRTX_VAL_WAV_D15, "D15" },
    { RSRTX_VAL_WAV_D70, "D70" },
    { RSRTX_VAL_WAV_D158, "D158" },
    { RSRTX_VAL_WAV_SPEC, "SPEC" },
    { RSRTX_VAL_WAV_XY2, "XY2" },
    { RSRTX_VAL_WAV_MINH, "MINH" },
    { RSRTX_VAL_WAV_MAXH, "MAXH" },
    { RSRTX_VAL_WAV_AVER, "AVER" },
    { RSRTX_VAL_WAV_QMA, "QMA" },
    { RSRTX_VAL_WAV_XY1, "XY1" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWaveformParameter = { 38, rsrtx_rngWaveformParameterEntries };

RsCoreRangeTableRanged rsrtx_rngAveragingSpectrums = { 2, 512, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngColorBrightnessEntries[4] =
  {
    { RSRTX_VAL_COLOR_NORM, "NORM" },
    { RSRTX_VAL_COLOR_INVERSE, "INV" },
    { RSRTX_VAL_COLOR_FCOLOR, "FCOL" },
    { RSRTX_VAL_COLOR_INVCOLOR, "IFC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngColorBrightness = { 4, rsrtx_rngColorBrightnessEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngDiagramModeEntries[2] =
  {
    { RSRTX_VAL_DISPLAY_YT, "YT" },
    { RSRTX_VAL_DISPLAY_XY, "XY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngDiagramMode = { 2, rsrtx_rngDiagramModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLanguageEntries[13] =
  {
    { RSRTX_VAL_DISPLAY_ENGLISH, "ENGL" },
    { RSRTX_VAL_DISPLAY_GERMAN, "GERM" },
    { RSRTX_VAL_DISPLAY_FRENCH, "FREN" },
    { RSRTX_VAL_DISPLAY_SPANISH, "SPAN" },
    { RSRTX_VAL_DISPLAY_RUSSIAN, "RUSS" },
    { RSRTX_VAL_DISPLAY_SCHIN, "SCH" },
    { RSRTX_VAL_DISPLAY_TCHIN, "TCH" },
    { RSRTX_VAL_DISPLAY_JAPAN, "JAP" },
    { RSRTX_VAL_DISPLAY_KOREAN, "KOR" },
    { RSRTX_VAL_DISPLAY_ITALIAN, "ITAL" },
    { RSRTX_VAL_DISPLAY_PORTUGUESE, "PORT" },
    { RSRTX_VAL_DISPLAY_CZECH, "CZEC" },
    { RSRTX_VAL_DISPLAY_POLISH, "POL" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLanguage = { 13, rsrtx_rngLanguageEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngGridStyleEntries[3] =
  {
    { RSRTX_VAL_GRID_LINES, "LIN" },
    { RSRTX_VAL_GRID_CROSS, "RET" },
    { RSRTX_VAL_GRID_NONE, "NONE" }
  };
RsCoreRangeTableDiscrete rsrtx_rngGridStyle = { 3, rsrtx_rngGridStyleEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSourceEntries[4] =
  {
    { RSRTX_VAL_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_SOURCE_CH4, "CH4" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSource = { 4, rsrtx_rngSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngXY2SourceEntries[5] =
  {
    { RSRTX_VAL_SOURCE_NONE, "NONE" },
    { RSRTX_VAL_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_SOURCE_CH4, "CH4" }
  };
RsCoreRangeTableDiscrete rsrtx_rngXY2Source = { 5, rsrtx_rngXY2SourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngIntensityModeEntries[3] =
  {
    { RSRTX_VAL_ZMODE_ANALOG, "ANAL" },
    { RSRTX_VAL_ZMODE_DIGITAL, "DIG" },
    { RSRTX_VAL_ZMODE_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngIntensityMode = { 3, rsrtx_rngIntensityModeEntries };

RsCoreRangeTableRanged rsrtx_rngIntensityTreshold = { -10, 0, "V" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHardcopyDeviceEntries[2] =
  {
    { RSRTX_VAL_HARDCOPY_DEVICE_MEM, "MMEM" },
    { RSRTX_VAL_HARDCOPY_DEVICE_PRINT, "SYST:COMM:PRIN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHardcopyDevice = { 2, rsrtx_rngHardcopyDeviceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHardcopyDeviceLangEntries[4] =
  {
    { RSRTX_VAL_HARDCOPY_DEVICE_LANG_BMP, "BMP" },
    { RSRTX_VAL_HARDCOPY_DEVICE_LANG_PNG, "PNG" },
    { RSRTX_VAL_HARDCOPY_DEVICE_LANG_GDI, "GDI" },
    { RSRTX_VAL_HARDCOPY_DEVICE_LANG_GIF, "GIF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHardcopyDeviceLang = { 4, rsrtx_rngHardcopyDeviceLangEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMaskConditionEntries[3] =
  {
    { RSRTX_VAL_MASKCOND_RUN, "RUN" },
    { RSRTX_VAL_MASKCOND_STOP, "STOP" },
    { RSRTX_VAL_MASKCOND_PAUSE, "PAUS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMaskCondition = { 3, rsrtx_rngMaskConditionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProbeButtonActionEntries[4] =
  {
    { RSRTX_VAL_PROBE_BUTTON_NO_ACTION, "NOAC" },
    { RSRTX_VAL_PROBE_BUTTON_RUN_CONTINUOUS, "RCON" },
    { RSRTX_VAL_PROBE_BUTTON_RUN_SINGLE, "RSIN" },
    { RSRTX_VAL_PROBE_BUTTON_AUTOSET, "AUT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProbeButtonAction = { 4, rsrtx_rngProbeButtonActionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerCouplingEntries[3] =
  {
    { RSRTX_VAL_COUPLING_DIRECT, "DC" },
    { RSRTX_VAL_COUPLING_ALTERNATING, "AC" },
    { RSRTX_VAL_COUPLING_HIGHFREQ, "LFR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerCoupling = { 3, rsrtx_rngTriggerCouplingEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolI2CAccessBitEntries[2] =
  {
    { RSRTX_VAL_I2C_TRIGGER_READ, "READ" },
    { RSRTX_VAL_I2C_TRIGGER_WRITE, "WRIT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolI2CAccessBit = { 2, rsrtx_rngProtocolI2CAccessBitEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAddressLengthEntries[2] =
  {
    { RSRTX_VAL_LENGTH_NORMAL, "NORM" },
    { RSRTX_VAL_LENGTH_EXTENDED, "EXT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAddressLength = { 2, rsrtx_rngAddressLengthEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolI2CTriggerTypeEntries[5] =
  {
    { RSRTX_VAL_TRIGGER_MODE_START, "STAR" },
    { RSRTX_VAL_TRIGGER_MODE_RESTART, "REST" },
    { RSRTX_VAL_TRIGGER_MODE_STOP, "STOP" },
    { RSRTX_VAL_TRIGGER_MODE_MISSING, "MACK" },
    { RSRTX_VAL_TRIGGER_MODE_PATT, "PATT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolI2CTriggerType = { 5, rsrtx_rngProtocolI2CTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHysteresisModeEntries[5] =
  {
    { RSRTX_VAL_HYSTERESIS_AUTO, "AUTO" },
    { RSRTX_VAL_HYSTERESIS_SMALL, "SMAL" },
    { RSRTX_VAL_HYSTERESIS_MEDIUM, "MED" },
    { RSRTX_VAL_HYSTERESIS_LARGE, "LARG" },
    { RSRTX_VAL_HYSTERESIS_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHysteresisMode = { 5, rsrtx_rngHysteresisModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerModeEntries[4] =
  {
    { RSRTX_VAL_TRIGGER_AUTO, "AUTO" },
    { RSRTX_VAL_TRIGGER_NORMAL, "NORM" },
    { RSRTX_VAL_TRIGGER_DELAY, "DEL" },
    { RSRTX_VAL_TRIGGER_EVENTS, "EVEN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerMode = { 4, rsrtx_rngTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerPatternFunctionEntries[2] =
  {
    { RSRTX_VAL_TRG_PATTERN_AND, "AND" },
    { RSRTX_VAL_TRG_PATTERN_OR, "OR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerPatternFunction = { 2, rsrtx_rngTriggerPatternFunctionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSPITriggerTypeEntries[4] =
  {
    { RSRTX_VAL_SPI_MODE_BURSTSTART, "BST" },
    { RSRTX_VAL_SPI_MODE_BURSTEND, "BEND" },
    { RSRTX_VAL_SPI_MODE_BIT, "NTHB" },
    { RSRTX_VAL_SPI_MODE_PATTERN, "PATT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSPITriggerType = { 4, rsrtx_rngProtocolSPITriggerTypeEntries };

RsCoreRangeTableRanged rsrtx_rngFirstBitOffset = { 0, 4095, "" };

RsCoreRangeTableRanged rsrtx_rngSPIWordLength = { 1, 32, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerTypeEntries[8] =
  {
    { RSRTX_VAL_EDGE_TRIGGER, "EDGE" },
    { RSRTX_VAL_WIDTH_TRIGGER, "WIDT" },
    { RSRTX_VAL_VIDEO_TRIGGER, "TV" },
    { RSRTX_VAL_PATTERN_TRIGGER, "LOG" },
    { RSRTX_VAL_BUS_TRIGGER, "BUS" },
    { RSRTX_VAL_RISE_TIME_TRIGGER, "RIS" },
    { RSRTX_VAL_RUNT_TRIGGER, "RUNT" },
    { RSRTX_VAL_LINE_TRIGGER, "LINE" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerType = { 8, rsrtx_rngTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTVStandardEntries[8] =
  {
    { RSRTX_VAL_TV_STANDART_PAL, "PAL" },
    { RSRTX_VAL_TV_STANDART_NTSC, "NTSC" },
    { RSRTX_VAL_TV_STANDART_SECAM, "SEC" },
    { RSRTX_VAL_TV_STANDART_PALM, "PALM" },
    { RSRTX_VAL_TV_STANDART_I576, "I576" },
    { RSRTX_VAL_TV_STANDART_P720, "P720" },
    { RSRTX_VAL_TV_STANDART_P1080, "P1080" },
    { RSRTX_VAL_TV_STANDART_I1080, "I1080" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTVStandard = { 8, rsrtx_rngTVStandardEntries };

RsCoreRangeTableRanged rsrtx_rngUartLength = { 1, 4, "symbols" };

RsCoreRangeTableRanged rsrtx_rngTrgDelay = { 2.0e-8, 6.87, "s" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngColorSchemeEntries[3] =
  {
    { RSRTX_VAL_SCHEME_COLOR, "COL" },
    { RSRTX_VAL_SCHEME_GRAY, "GRAY" },
    { RSRTX_VAL_SCHEME_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete rsrtx_rngColorScheme = { 3, rsrtx_rngColorSchemeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAcquisitionTypeEntries[3] =
  {
    { RSRTX_VAL_SAMPLE, "SAMP" },
    { RSRTX_VAL_PEAK_DETECT, "PDET" },
    { RSRTX_VAL_HI_RES, "HRES" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAcquisitionType = { 3, rsrtx_rngAcquisitionTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAmplitudeTimeMeasurementTypeEntries[36] =
  {
    { RSRTX_VAL_MEAS_FREQUENCY, "FREQ" },
    { RSRTX_VAL_MEAS_PERIOD, "PER" },
    { RSRTX_VAL_MEAS_PEAK, "PEAK" },
    { RSRTX_VAL_MEAS_UPEAK, "UPE" },
    { RSRTX_VAL_MEAS_LPEAK, "LPE" },
    { RSRTX_VAL_MEAS_PPC, "PPC" },
    { RSRTX_VAL_MEAS_NPC, "NPC" },
    { RSRTX_VAL_MEAS_REC, "REC" },
    { RSRTX_VAL_MEAS_FEC, "FEC" },
    { RSRTX_VAL_MEAS_HIGH, "HIGH" },
    { RSRTX_VAL_MEAS_LOW, "LOW" },
    { RSRTX_VAL_MEAS_AMP, "AMPL" },
    { RSRTX_VAL_MEAS_MEAN, "MEAN" },
    { RSRTX_VAL_MEAS_RMS, "RMS" },
    { RSRTX_VAL_MEAS_RTM, "RTIM" },
    { RSRTX_VAL_MEAS_FTIM, "FTIM" },
    { RSRTX_VAL_MEAS_PDCY, "PDCY" },
    { RSRTX_VAL_MEAS_NDCY, "NDCY" },
    { RSRTX_VAL_MEAS_PPW, "PPW" },
    { RSRTX_VAL_MEAS_NPW, "NPW" },
    { RSRTX_VAL_MEAS_CYCM, "CYCM" },
    { RSRTX_VAL_MEAS_CYCR, "CYCR" },
    { RSRTX_VAL_MEAS_SSTDD, "STDD" },
    { RSRTX_VAL_MEAS_TFR, "TFR" },
    { RSRTX_VAL_MEAS_TPER, "TPER" },
    { RSRTX_VAL_MEAS_DEL, "DEL" },
    { RSRTX_VAL_MEAS_PHA, "PHAS" },
    { RSRTX_VAL_MEAS_BWID, "BWID" },
    { RSRTX_VAL_MEAS_CYCS, "CYCS" },
    { RSRTX_VAL_MEAS_POV, "POV" },
    { RSRTX_VAL_MEAS_NOV, "NOV" },
    { RSRTX_VAL_MEAS_TBFR, "TBFR" },
    { RSRTX_VAL_MEAS_TBP, "TBP" },
    { RSRTX_VAL_MEAS_SRR, "SRR" },
    { RSRTX_VAL_MEAS_SRF, "SRF" },
    { RSRTX_VAL_MEAS_DTOT, "DTOT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAmplitudeTimeMeasurementType = { 36, rsrtx_rngAmplitudeTimeMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolTypeEntries[11] =
  {
    { RSRTX_VAL_PTYPE_PARALLEL, "PAR" },
    { RSRTX_VAL_PTYPE_CPARALLEL, "CPAR" },
    { RSRTX_VAL_PTYPE_I2C, "I2C" },
    { RSRTX_VAL_PTYPE_SPI, "SPI" },
    { RSRTX_VAL_PTYPE_SSPI, "SSPI" },
    { RSRTX_VAL_PTYPE_UART, "UART" },
    { RSRTX_VAL_PTYPE_CAN, "CAN" },
    { RSRTX_VAL_PTYPE_LIN, "LIN" },
    { RSRTX_VAL_PTYPE_AUDIO, "I2S" },
    { RSRTX_VAL_PTYPE_MILSTD, "MILS" },
    { RSRTX_VAL_PTYPE_ARINC, "ARIN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolType = { 11, rsrtx_rngProtocolTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolFormatEntries[5] =
  {
    { RSRTX_VAL_PFORMAT_ASCI, "ASC" },
    { RSRTX_VAL_PFORMAT_HEX, "HEX" },
    { RSRTX_VAL_PFORMAT_BIN, "BIN" },
    { RSRTX_VAL_PFORMAT_DEC, "DEC" },
    { RSRTX_VAL_PFORMAT_OCT, "OCT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolFormat = { 5, rsrtx_rngProtocolFormatEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolHeightEntries[7] =
  {
    { RSRTX_VAL_PHEIGHT_SMALL, "SMAL" },
    { RSRTX_VAL_PHEIGHT_MEDIUM, "MED" },
    { RSRTX_VAL_PHEIGHT_LARGE, "LARG" },
    { RSRTX_VAL_PHEIGHT_DIV1, "DIV1" },
    { RSRTX_VAL_PHEIGHT_DIV2, "DIV2" },
    { RSRTX_VAL_PHEIGHT_DIV4, "DIV4" },
    { RSRTX_VAL_PHEIGHT_DIV8, "DIV8" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolHeight = { 7, rsrtx_rngProtocolHeightEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolVertical = { -5, 5, "div" };

RsCoreRangeTableRanged rsrtx_rngParallelBusAnalyzedLines = { 1, 4, "bit" };

RsCoreRangeTableRanged rsrtx_rngProtocolBurstIdleTime = { 0.000000016, 838.832e-6, "s" };

RsCoreRangeTableRanged rsrtx_rngProtocolUARTWordLength = { 5, 9, "bit" };

RsCoreRangeTableRanged rsrtx_rngProtocolUARTBitRate = { 100.0, 78100000.0, "bits per second" };

RsCoreRangeTableRanged rsrtx_rngProtocolI2CPatternLength = { 1, 3, "" };

RsCoreRangeTableRanged rsrtx_rngBckLight = { 10.00, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngRelativeModeEntries[4] =
  {
    { RSRTX_VAL_MEAS_RELATIVE_TEN, "TEN" },
    { RSRTX_VAL_MEAS_RELATIVE_TWENTY, "TWEN" },
    { RSRTX_VAL_MEAS_RELATIVE_FIVE, "FIVE" },
    { RSRTX_VAL_MEAS_RELATIVE_USER, "USER" }
  };
RsCoreRangeTableDiscrete rsrtx_rngRelativeMode = { 4, rsrtx_rngRelativeModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngChannelPolarityEntries[2] =
  {
    { RSRTX_VAL_POLARITY_NORM, "NORM" },
    { RSRTX_VAL_POLARITY_INV, "INV" }
  };
RsCoreRangeTableDiscrete rsrtx_rngChannelPolarity = { 2, rsrtx_rngChannelPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngExternalTriggerCouplingEntries[2] =
  {
    { RSRTX_VAL_COUPLING_AC, "AC" },
    { RSRTX_VAL_COUPLING_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngExternalTriggerCoupling = { 2, rsrtx_rngExternalTriggerCouplingEntries };

RsCoreRangeTableRanged rsrtx_rngRelLevel = { 0.0, 100.0, "" };

RsCoreRangeTableRanged rsrtx_rngMathVerticalScale = { -1.0e-24, 5.0e+25, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchConditionEntries[9] =
  {
    { RSRTX_VAL_SEARCHCOND_EDGE, "EDGE" },
    { RSRTX_VAL_SEARCHCOND_WIDTH, "WIDT" },
    { RSRTX_VAL_SEARCHCOND_PEAK, "PEAK" },
    { RSRTX_VAL_SEARCHCOND_RUNT, "RUNT" },
    { RSRTX_VAL_SEARCHCOND_RTIME, "RTIM" },
    { RSRTX_VAL_SEARCHCOND_D2C, "DAT" },
    { RSRTX_VAL_SEARCHCOND_PATTERN, "PATT" },
    { RSRTX_VAL_SEARCHCOND_PROTOCOL, "PROT" },
    { RSRTX_VAL_SEARCHCOND_WINDOW, "WIND" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchCondition = { 9, rsrtx_rngSearchConditionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchSourceEntries[17] =
  {
    { RSRTX_VAL_MEASUREMENT_SOURCE_C1, "CH1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_C2, "CH2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_C3, "CH3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_C4, "CH4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_MA1, "MA1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_MA2, "MA2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_MA3, "MA3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_MA4, "MA4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_RE1, "RE1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_RE2, "RE2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_RE3, "RE3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_RE4, "RE4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_SBUS1, "SBUS1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_SBUS2, "SBUS2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_SBUS3, "SBUS3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_SBUS4, "SBUS4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_QMA, "QMA" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchSource = { 17, rsrtx_rngSearchSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchSlopeEntries[3] =
  {
    { RSRTX_VAL_POSITIVE, "POS" },
    { RSRTX_VAL_NEGATIVE, "NEG" },
    { RSRTX_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchSlope = { 3, rsrtx_rngSearchSlopeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchRangeEntries[4] =
  {
    { RSRTX_VAL_SHORTER, "SHOR" },
    { RSRTX_VAL_LONGER, "LONG" },
    { RSRTX_VAL_WITHIN, "WITH" },
    { RSRTX_VAL_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchRange = { 4, rsrtx_rngSearchRangeEntries };

RsCoreRangeTableRanged rsrtx_rngWaveformPosition = { -1.880e+02, 2.120e+02, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngScalingUnitEntries[3] =
  {
    { RSRTX_VAL_FFT_LIN, "LIN" },
    { RSRTX_VAL_FFT_DBM, "DBM" },
    { RSRTX_VAL_FFT_DBV, "DBV" }
  };
RsCoreRangeTableDiscrete rsrtx_rngScalingUnit = { 3, rsrtx_rngScalingUnitEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProbeUnitEntries[2] =
  {
    { RSRTX_VAL_PROBE_UNIT_V, "V" },
    { RSRTX_VAL_PROBE_UNIT_A, "A" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProbeUnit = { 2, rsrtx_rngProbeUnitEntries };

RsCoreRangeTableRanged rsrtx_rngProbeAttenuation = { 0.0001, 10000, "" };

RsCoreRangeTableRanged rsrtx_rngAutoMeasWaveforms = { 2, 1000, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWaveformSamplesRangeEntries[3] =
  {
    { RSRTX_VAL_WAVEFORM_SAMPLES_DEFAULT, "DEF" },
    { RSRTX_VAL_WAVEFORM_SAMPLES_MAXIMUM, "MAX" },
    { RSRTX_VAL_WAVEFORM_SAMPLES_DISPLAY_MAXIMUM, "DMAX" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWaveformSamplesRange = { 3, rsrtx_rngWaveformSamplesRangeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMaskTestActionExecutionEntries[4] =
  {
    { RSRTX_VAL_MASK_ACTION_EXECUTION_OFF, "OFF" },
    { RSRTX_VAL_MASK_ACTION_EXECUTION_EACH, "EACH" },
    { RSRTX_VAL_MASK_ACTION_EXECUTION_SINGLE, "SING" },
    { RSRTX_VAL_MASK_ACTION_EXECUTION_CYCLIC, "CYCL" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMaskTestActionExecution = { 4, rsrtx_rngMaskTestActionExecutionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchTriggerPatternCombinationEntries[4] =
  {
    { RSRTX_VAL_PATTERN_COMBINATION_AND, "AND" },
    { RSRTX_VAL_PATTERN_COMBINATION_OR, "OR" },
    { RSRTX_VAL_PATTERN_COMBINATION_NAND, "NAND" },
    { RSRTX_VAL_PATTERN_COMBINATION_NOR, "NOR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchTriggerPatternCombination = { 4, rsrtx_rngSearchTriggerPatternCombinationEntries };

RsCoreRangeTableRanged rsrtx_rngNumberofAverages = { 2, 1024, "" };

RsCoreRangeTableRanged rsrtx_rngNumberOfWaveforms = { 1, 10, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchGateModeEntries[3] =
  {
    { RSRTX_VAL_SEARCH_GATE_ALL, "OFF" },
    { RSRTX_VAL_SEARCH_GATE_DISPLAY, "DISP" },
    { RSRTX_VAL_SEARCH_GATE_USER, "ABS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchGateMode = { 3, rsrtx_rngSearchGateModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSPITriggerSourceEntries[2] =
  {
    { RSRTX_VAL_SPI_MISO, "MISO" },
    { RSRTX_VAL_SPI_MOSI, "MOSI" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSPITriggerSource = { 2, rsrtx_rngProtocolSPITriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolLINStandardEntries[4] =
  {
    { RSRTX_VAL_LIN_STANDARD_AUTO, "AUTO" },
    { RSRTX_VAL_LIN_STANDARD_1X, "V1X" },
    { RSRTX_VAL_LIN_STANDARD_2X, "V2X" },
    { RSRTX_VAL_LIN_STANDARD_J2602, "J2602" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolLINStandard = { 4, rsrtx_rngProtocolLINStandardEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolLINTriggerModeEntries[5] =
  {
    { RSRTX_VAL_LIN_FRAME_START, "SYNC" },
    { RSRTX_VAL_LIN_FRAME_ID, "ID" },
    { RSRTX_VAL_LIN_FRAME_ID_DATA, "IDDT" },
    { RSRTX_VAL_LIN_FRAME_WAKEUP, "WKFR" },
    { RSRTX_VAL_LIN_ERR_COND, "ERRC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolLINTriggerMode = { 5, rsrtx_rngProtocolLINTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolConditionEntries[4] =
  {
    { RSRTX_VAL_COND_NQ, "NEQ" },
    { RSRTX_VAL_COND_EQ, "EQU" },
    { RSRTX_VAL_COND_LT, "LTH" },
    { RSRTX_VAL_COND_GT, "GTH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCondition = { 4, rsrtx_rngProtocolConditionEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolCANDataLength = { 0, 8, "Bytes" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSearchEventEntries[5] =
  {
    { RSRTX_VAL_SEARCH_EVENT_FRAME, "FRAM" },
    { RSRTX_VAL_SEARCH_EVENT_ERROR, "ERR" },
    { RSRTX_VAL_SEARCH_EVENT_ID, "IDEN" },
    { RSRTX_VAL_SEARCH_EVENT_IDDT, "IDD" },
    { RSRTX_VAL_SEARCH_EVENT_IDERR, "IDER" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSearchEvent = { 5, rsrtx_rngProtocolSearchEventEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolLINSearchFrameSetupEntries[2] =
  {
    { RSRTX_VAL_LIN_SEARCH_FRAME_SOF, "SOF" },
    { RSRTX_VAL_LIN_SEARCH_FRAME_WAKEUP, "WAK" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolLINSearchFrameSetup = { 2, rsrtx_rngProtocolLINSearchFrameSetupEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolCANLineTypeEntries[2] =
  {
    { RSRTX_VAL_CAN_LOW, "CANL" },
    { RSRTX_VAL_CAN_HIGH, "CANH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCANLineType = { 2, rsrtx_rngProtocolCANLineTypeEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolCANBitRate = { 100, 5040000, "" };

RsCoreRangeTableRanged rsrtx_rngProtocolCANSamplePoint = { 10.0, 90.0, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolCANTriggerModeEntries[6] =
  {
    { RSRTX_VAL_CAN_FRAME_START, "STOF" },
    { RSRTX_VAL_CAN_FRAME_END, "EOF" },
    { RSRTX_VAL_CAN_MSG_ID, "ID" },
    { RSRTX_VAL_CAN_MSG_IDDT, "IDDT" },
    { RSRTX_VAL_CAN_FRAME_TYPE, "FTYP" },
    { RSRTX_VAL_CAN_ERROR_COND, "ERRC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCANTriggerMode = { 6, rsrtx_rngProtocolCANTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolCANTriggerFrameTypeEntries[5] =
  {
    { RSRTX_VAL_CAN_FRAME_TYPE_DATA, "DATA" },
    { RSRTX_VAL_CAN_FRAME_TYPE_REMOTE, "REM" },
    { RSRTX_VAL_CAN_FRAME_TYPE_ERROR, "ERR" },
    { RSRTX_VAL_CAN_FRAME_TYPE_OVER_LOAD, "OVER" },
    { RSRTX_VAL_CAN_FRAME_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCANTriggerFrameType = { 5, rsrtx_rngProtocolCANTriggerFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolCANIDTypeEntries[3] =
  {
    { RSRTX_VAL_CAN_ID_TYPE_B11, "B11" },
    { RSRTX_VAL_CAN_ID_TYPE_B29, "B29" },
    { RSRTX_VAL_CAN_ID_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCANIDType = { 3, rsrtx_rngProtocolCANIDTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolCANSearchFrameSetupEntries[8] =
  {
    { RSRTX_VAL_CAN_SEARCH_FRAME_SOF, "SOF" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_EOF, "EOF" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_OVER, "OVER" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_ERR, "ERR" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_DTA11, "DTA11" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_DTA29, "DTA29" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_REM11, "REM11" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_REM29, "REM29" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCANSearchFrameSetup = { 8, rsrtx_rngProtocolCANSearchFrameSetupEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolCANSearchFrameTypeEntries[3] =
  {
    { RSRTX_VAL_CAN_SEARCH_FRAME_TYPE_DATA, "DATA" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_TYPE_REMOTE, "REM" },
    { RSRTX_VAL_CAN_SEARCH_FRAME_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolCANSearchFrameType = { 3, rsrtx_rngProtocolCANSearchFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolLINPolarityEntries[2] =
  {
    { RSRTX_VAL_LIN_ACTLOW, "IDLH" },
    { RSRTX_VAL_LIN_ACTHIGH, "IDLL" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolLINPolarity = { 2, rsrtx_rngProtocolLINPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolSPIMISOPolarityEntries[2] =
  {
    { RSRTX_VAL_ACTLOW, "ACTL" },
    { RSRTX_VAL_ACTHIGH, "ACTH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIMISOPolarity = { 2, rsrtx_rngProtocolSPIMISOPolarityEntries };

RsCoreRangeTableRanged rsrtx_rngAutomaticMeasurementResultIndex = { 0, 999, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngDigitalHysteresisEntries[3] =
  {
    { RSRTX_VAL_DIGITAL_HYSTERESIS_SMALL, "SMAL" },
    { RSRTX_VAL_DIGITAL_HYSTERESIS_MEDIUM, "MED" },
    { RSRTX_VAL_DIGITAL_HYSTERESIS_LARGE, "LARG" }
  };
RsCoreRangeTableDiscrete rsrtx_rngDigitalHysteresis = { 3, rsrtx_rngDigitalHysteresisEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerHoldoffModeEntries[2] =
  {
    { RSRTX_VAL_HOLDOFF_MODE_TIME, "TIME" },
    { RSRTX_VAL_HOLDOFF_MODE_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerHoldoffMode = { 2, rsrtx_rngTriggerHoldoffModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerPatternModeEntries[3] =
  {
    { RSRTX_VAL_PATTERN_MODE_OFF, "OFF" },
    { RSRTX_VAL_PATTERN_MODE_TIMEOUT, "TIM" },
    { RSRTX_VAL_PATTERN_MODE_WIDTH, "WIDT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerPatternMode = { 3, rsrtx_rngTriggerPatternModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTriggerOutModeEntries[5] =
  {
    { RSRTX_VAL_TRIGGER_OUT_MODE_OFF, "OFF" },
    { RSRTX_VAL_TRIGGER_OUT_MODE_TRIG, "TRIG" },
    { RSRTX_VAL_TRIGGER_OUT_MODE_MASK, "MASK" },
    { RSRTX_VAL_TRIGGER_OUT_MODE_REF, "REF" },
    { RSRTX_VAL_TRIGGER_OUT_MODE_GEN, "GEN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTriggerOutMode = { 5, rsrtx_rngTriggerOutModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngDigitalTechnologyEntries[4] =
  {
    { RSRTX_VAL_DIGITAL_TECHNOLOGY_TTL, "TTL" },
    { RSRTX_VAL_DIGITAL_TECHNOLOGY_ECL, "ECL" },
    { RSRTX_VAL_DIGITAL_TECHNOLOGY_CMOS, "CMOS" },
    { RSRTX_VAL_DIGITAL_TECHNOLOGY_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngDigitalTechnology = { 4, rsrtx_rngDigitalTechnologyEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngParallelBusFrameEnabledEntries[3] =
  {
    { RSRTX_PARALLEL_BUS_ENABLED_OK, "OK" },
    { RSRTX_PARALLEL_BUS_ENABLED_ERROR, "ERR" },
    { RSRTX_PARALLEL_BUS_ENABLED_INS, "INS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngParallelBusFrameEnabled = { 3, rsrtx_rngParallelBusFrameEnabledEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngI2CFrameTransferDirectionEntries[5] =
  {
    { RSRTX_VAL_TRANSFER_DIRECTION_INC, "INC" },
    { RSRTX_VAL_TRANSFER_DIRECTION_READ, "READ" },
    { RSRTX_VAL_TRANSFER_DIRECTION_WRITE, "WRITE" },
    { RSRTX_VAL_TRANSFER_DIRECTION_EITH, "EITH" },
    { RSRTX_VAL_TRANSFER_DIRECTION_UNDF, "UNDF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngI2CFrameTransferDirection = { 5, rsrtx_rngI2CFrameTransferDirectionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngFrameAddressLengthEntries[2] =
  {
    { RSRTX_VAL_FRAME_ADDRESS_LENGTH_BIT7, "BIT7" },
    { RSRTX_VAL_FRAME_ADDRESS_LENGTH_BIT10, "BIT10" }
  };
RsCoreRangeTableDiscrete rsrtx_rngFrameAddressLength = { 2, rsrtx_rngFrameAddressLengthEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLINFrameStatusEntries[9] =
  {
    { RSRTX_VAL_LIN_FRAME_STATUS_OK, "OK" },
    { RSRTX_VAL_LIN_FRAME_STATUS_UART, "UART" },
    { RSRTX_VAL_LIN_FRAME_STATUS_CHCK, "CHCK" },
    { RSRTX_VAL_LIN_FRAME_STATUS_PRER, "PRER" },
    { RSRTX_VAL_LIN_FRAME_STATUS_SYER, "SYER" },
    { RSRTX_VAL_LIN_FRAME_STATUS_WAK, "WAK" },
    { RSRTX_VAL_LIN_FRAME_STATUS_INS, "INS" },
    { RSRTX_VAL_LIN_FRAME_STATUS_ERR, "ERR" },
    { RSRTX_VAL_LIN_FRAME_STATUS_LEN, "LEN" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLINFrameStatus = { 9, rsrtx_rngLINFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLINChecksumEntries[3] =
  {
    { RSRTX_VAL_LIN_CHECKSUM_OK, "OK" },
    { RSRTX_VAL_LIN_CHECKSUM_ERR, "ERR" },
    { RSRTX_VAL_LIN_CHECKSUM_UNDF, "UNDF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLINChecksum = { 3, rsrtx_rngLINChecksumEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLINParityEntries[4] =
  {
    { RSRTX_VAL_LIN_PARITY_OK, "OK" },
    { RSRTX_VAL_LIN_PARITY_PRER, "PRER" },
    { RSRTX_VAL_LIN_PARITY_UVAL, "UVAL" },
    { RSRTX_VAL_LIN_PARITY_INS, "INS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLINParity = { 4, rsrtx_rngLINParityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLINFrameVersionEntries[3] =
  {
    { RSRTX_VAL_FRAME_VERSION_V1X, "V1X" },
    { RSRTX_VAL_FRAME_VERSION_V2X, "V2X" },
    { RSRTX_VAL_FRAME_VERSION_UNK, "UNK" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLINFrameVersion = { 3, rsrtx_rngLINFrameVersionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLINByteEnabledEntries[3] =
  {
    { RSRTX_VAL_LIN_BYTE_ENABLED_OK, "OK" },
    { RSRTX_VAL_LIN_BYTE_ENABLED_INS, "INS" },
    { RSRTX_VAL_LIN_BYTE_ENABLED_UART, "UART" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLINByteEnabled = { 3, rsrtx_rngLINByteEnabledEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngUARTWordEnabledEntries[9] =
  {
    { RSRTX_VAL_UART_STATE_OK, "OK" },
    { RSRTX_VAL_UART_STATE_FRST, "FRST" },
    { RSRTX_VAL_UART_STATE_FREN, "FREN" },
    { RSRTX_VAL_UART_STATE_FRME, "FRME" },
    { RSRTX_VAL_UART_STATE_STER, "STER" },
    { RSRTX_VAL_UART_STATE_SPER, "SPER" },
    { RSRTX_VAL_UART_STATE_PRER, "PRER" },
    { RSRTX_VAL_UART_STATE_INS, "INS" },
    { RSRTX_VAL_UART_STATE_BRE, "BRE" }
  };
RsCoreRangeTableDiscrete rsrtx_rngUARTWordEnabled = { 9, rsrtx_rngUARTWordEnabledEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngCANFrameTypeEntries[4] =
  {
    { RSRTX_VAL_CAN_FRAME_TYPE_DATA, "DATA" },
    { RSRTX_VAL_CAN_FRAME_TYPE_REM, "REM" },
    { RSRTX_VAL_CAN_FRAME_TYPE_ERR, "ERR" },
    { RSRTX_VAL_CAN_FRAME_TYPE_OVLD, "OVLD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngCANFrameType = { 4, rsrtx_rngCANFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngCANFrameStatusEntries[8] =
  {
    { RSRTX_VAL_CAN_FRAME_STATUS_OK, "OK" },
    { RSRTX_VAL_CAN_FRAME_STATUS_BTST, "BTST" },
    { RSRTX_VAL_CAN_FRAME_STATUS_CRCD, "CRCD" },
    { RSRTX_VAL_CAN_FRAME_STATUS_ACKD, "ACKD" },
    { RSRTX_VAL_CAN_FRAME_STATUS_CRC, "CRC" },
    { RSRTX_VAL_CAN_FRAME_STATUS_EOFD, "EOFD" },
    { RSRTX_VAL_CAN_FRAME_STATUS_NOAC, "NOAC" },
    { RSRTX_VAL_CAN_FRAME_STATUS_INS, "INS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngCANFrameStatus = { 8, rsrtx_rngCANFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngCANAckStateEntries[2] =
  {
    { RSRTX_VAL_CAN_ACK_OK, "OK" },
    { RSRTX_VAL_CAN_ACK_UNDF, "UNDF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngCANAckState = { 2, rsrtx_rngCANAckStateEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMeasurementSourceEntries[38] =
  {
    { RSRTX_VAL_MEASUREMENT_SOURCE_NONE, "NONE" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_M1, "MA1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_M2, "MA2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_M3, "MA3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_M4, "MA4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_M5, "MA5" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_R1, "R1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_R2, "R2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_R3, "R3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_R4, "R4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_TRIG, "TRIG" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D1, "D1" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D2, "D2" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D3, "D3" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D4, "D4" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D5, "D5" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D6, "D6" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D7, "D7" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D8, "D8" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D9, "D9" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D10, "D10" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D11, "D11" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D12, "D12" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D13, "D13" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D14, "D14" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D15, "D15" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D70, "D70" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D158, "D158" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_D0, "D0" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_SPEC, "SPEC" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_MINH, "MINH" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_MAXH, "MAXH" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_AVER, "AVER" },
    { RSRTX_VAL_MEASUREMENT_SOURCE_QMA, "QMA" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMeasurementSource = { 38, rsrtx_rngMeasurementSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngPowerAnalysisTypeEntries[15] =
  {
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_OFF, "OFF" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_QUAL, "QUAL" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_CONS, "CONS" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_HARM, "HARM" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_RIPP, "RIPP" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_SPEC, "SPEC" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_SLEW, "SLEW" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_DONR, "DONR" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_EFFS, "EFF" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_TURN, "TURN" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_TRAN, "TRAN" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_SWITC, "SWIT" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_MOD, "MOD" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_INR, "INR" },
    { RSRTX_VAL_POWER_ANALYSIS_TYPE_SOA, "SOA" }
  };
RsCoreRangeTableDiscrete rsrtx_rngPowerAnalysisType = { 15, rsrtx_rngPowerAnalysisTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngStatisticsEntries[6] =
  {
    { RSRTX_VAL_STATISTICS_ACT, "ACT" },
    { RSRTX_VAL_STATISTICS_AVG, "AVG" },
    { RSRTX_VAL_STATISTICS_STDD, "STDD" },
    { RSRTX_VAL_STATISTICS_NPE, "NPE" },
    { RSRTX_VAL_STATISTICS_PPE, "PPE" },
    { RSRTX_VAL_STATISTICS_WFMC, "WFMC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngStatistics = { 6, rsrtx_rngStatisticsEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngQualityTypeEntries[3] =
  {
    { RSRTX_VAL_QUALITY_TYPE_RMS, "RMS" },
    { RSRTX_VAL_QUALITY_TYPE_FREQ, "FREQ" },
    { RSRTX_VAL_QUALITY_TYPE_CRES, "CRES" }
  };
RsCoreRangeTableDiscrete rsrtx_rngQualityType = { 3, rsrtx_rngQualityTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngQualityTypePowerEntries[5] =
  {
    { RSRTX_VAL_QUALITY_TYPE_POWER_REAL, "REAL" },
    { RSRTX_VAL_QUALITY_TYPE_POWER_REAC, "REAC" },
    { RSRTX_VAL_QUALITY_TYPE_POWER_APP, "APP" },
    { RSRTX_VAL_QUALITY_TYPE_POWER_PFAC, "PFAC" },
    { RSRTX_VAL_QUALITY_TYPE_POWER_PHAS, "PHAS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngQualityTypePower = { 5, rsrtx_rngQualityTypePowerEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHarmonicsStandardEntries[6] =
  {
    { RSRTX_VAL_CURRENT_HARMONICS_STANDARD_ENA, "ENA" },
    { RSRTX_VAL_CURRENT_HARMONICS_STANDARD_ENB, "ENB" },
    { RSRTX_VAL_CURRENT_HARMONICS_STANDARD_ENC, "ENC" },
    { RSRTX_VAL_CURRENT_HARMONICS_STANDARD_END, "END" },
    { RSRTX_VAL_CURRENT_HARMONICS_STANDARD_MIL, "MIL" },
    { RSRTX_VAL_CURRENT_HARMONICS_STANDARD_RTC, "RTC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHarmonicsStandard = { 6, rsrtx_rngHarmonicsStandardEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHarmonicsTypeEntries[8] =
  {
    { RSRTX_VAL_HARMONICS_TYPE_VIOLENT_COUNT, "VCO" },
    { RSRTX_VAL_HARMONICS_TYPE_FREQUENCY, "FREQ" },
    { RSRTX_VAL_HARMONICS_TYPE_LEVEL, "LEV" },
    { RSRTX_VAL_HARMONICS_TYPE_MINIMUM, "MIN" },
    { RSRTX_VAL_HARMONICS_TYPE_MAXIMUM, "MAX" },
    { RSRTX_VAL_HARMONICS_TYPE_AVERAGE, "MEAN" },
    { RSRTX_VAL_HARMONICS_TYPE_LIMIT, "LEV:LIM" },
    { RSRTX_VAL_HARMONICS_TYPE_WFMC, "WFMC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHarmonicsType = { 8, rsrtx_rngHarmonicsTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLimitCheckEntries[2] =
  {
    { RSRTX_VAL_FAIL, "FAIL" },
    { RSRTX_VAL_PASS, "PASS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLimitCheck = { 2, rsrtx_rngLimitCheckEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngRippleTypeEntries[9] =
  {
    { RSRTX_VAL_RIPPLE_TYPE_FREQUENCY, "FREQ" },
    { RSRTX_VAL_RIPPLE_TYPE_PEAK, "PEAK" },
    { RSRTX_VAL_RIPPLE_TYPE_STD_DEV, "STDD" },
    { RSRTX_VAL_RIPPLE_TYPE_UPEAK, "UPE" },
    { RSRTX_VAL_RIPPLE_TYPE_LPEAK, "LPE" },
    { RSRTX_VAL_RIPPLE_TYPE_MEAN, "MEAN" },
    { RSRTX_VAL_RIPPLE_TYPE_PERIOD, "PER" },
    { RSRTX_VAL_RIPPLE_TYPE_PDCYCLE, "PDCY" },
    { RSRTX_VAL_RIPPLE_TYPE_NDCYCLE, "NDCY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngRippleType = { 9, rsrtx_rngRippleTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSpectrumTypeEntries[6] =
  {
    { RSRTX_VAL_SPECTRUM_TYPE_FREQUENCY, "FREQ" },
    { RSRTX_VAL_SPECTRUM_TYPE_LEVEL, "LEV" },
    { RSRTX_VAL_SPECTRUM_TYPE_MINIMUM, "MIN" },
    { RSRTX_VAL_SPECTRUM_TYPE_MAXIMUM, "MAX" },
    { RSRTX_VAL_SPECTRUM_TYPE_AVERAGE, "MEAN" },
    { RSRTX_VAL_SPECTRUM_TYPE_WFMC, "WFMC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSpectrumType = { 6, rsrtx_rngSpectrumTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHarmonicsFundamentalEntries[3] =
  {
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_AUTO, "AUTO" },
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_F60, "F50" },
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_F50, "F60" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHarmonicsFundamental = { 3, rsrtx_rngHarmonicsFundamentalEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSlewRateTypeEntries[2] =
  {
    { RSRTX_VAL_SLEW_RATE_TYPE_LPEAK, "LPE" },
    { RSRTX_VAL_SLEW_RATE_TYPE_UPEAK, "UPE" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSlewRateType = { 2, rsrtx_rngSlewRateTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngModulationTypeEntries[6] =
  {
    { RSRTX_VAL_MODULATION_TYPE_PER, "PER" },
    { RSRTX_VAL_MODULATION_TYPE_FREQ, "FREQ" },
    { RSRTX_VAL_MODULATION_TYPE_PDCY, "PDCY" },
    { RSRTX_VAL_MODULATION_TYPE_NDCY, "NDCY" },
    { RSRTX_VAL_MODULATION_TYPE_PPW, "PPW" },
    { RSRTX_VAL_MODULATION_TYPE_NPW, "NPW" }
  };
RsCoreRangeTableDiscrete rsrtx_rngModulationType = { 6, rsrtx_rngModulationTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngModulationResultTypeEntries[5] =
  {
    { RSRTX_VAL_MODULATION_RESULT_TYPE_LPE, "LPE" },
    { RSRTX_VAL_MODULATION_RESULT_TYPE_UPE, "UPE" },
    { RSRTX_VAL_MODULATION_RESULT_TYPE_MEAN, "MEAN" },
    { RSRTX_VAL_MODULATION_RESULT_TYPE_RMS, "RMS" },
    { RSRTX_VAL_MODULATION_RESULT_TYPE_STDD, "STDD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngModulationResultType = { 5, rsrtx_rngModulationResultTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngEfficiencyTypeEntries[3] =
  {
    { RSRTX_VAL_EFFICIENCY_TYPE_EFFICIENCY, "EFF" },
    { RSRTX_VAL_EFFICIENCY_TYPE_INPUT, "INP:REAL" },
    { RSRTX_VAL_EFFICIENCY_TYPE_OUTPUT, "OUTP:REAL" }
  };
RsCoreRangeTableDiscrete rsrtx_rngEfficiencyType = { 3, rsrtx_rngEfficiencyTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSwitchinglossTypeEntries[2] =
  {
    { RSRTX_VAL_SWITCHINGLOSS_TYPE_ENERGY, "ENER" },
    { RSRTX_VAL_SWITCHINGLOSS_TYPE_POWER, "POW" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSwitchinglossType = { 2, rsrtx_rngSwitchinglossTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngOnOffTypeEntries[2] =
  {
    { RSRTX_VAL_ON_OFF_TYPE_ON, "TON" },
    { RSRTX_VAL_ON_OFF_TYPE_OFF, "TOFF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngOnOffType = { 2, rsrtx_rngOnOffTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngPowerAnalysisSourceEntries[8] =
  {
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_RE1, "RE1" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_RE2, "RE2" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_RE3, "RE3" },
    { RSRTX_VAL_POWER_ANALYSIS_SOURCE_RE4, "RE4" }
  };
RsCoreRangeTableDiscrete rsrtx_rngPowerAnalysisSource = { 8, rsrtx_rngPowerAnalysisSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioVariantEntries[4] =
  {
    { RSRTX_VAL_AUDIO_VARIANT_I2S, "I2S" },
    { RSRTX_VAL_AUDIO_VARIANT_LJ, "LJ" },
    { RSRTX_VAL_AUDIO_VARIANT_RJ, "RJ" },
    { RSRTX_VAL_AUDIO_VARIANT_TDM, "TDM" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioVariant = { 4, rsrtx_rngAudioVariantEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioClockPolarityEntries[2] =
  {
    { RSRTX_VAL_FALLING, "FALL" },
    { RSRTX_VAL_RISING, "RIS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioClockPolarity = { 2, rsrtx_rngAudioClockPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioWSPolarityEntries[2] =
  {
    { RSRTX_VAL_NORMAL, "NORM" },
    { RSRTX_VAL_INVERT, "INV" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioWSPolarity = { 2, rsrtx_rngAudioWSPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioChannelOrderEntries[2] =
  {
    { RSRTX_VAL_AUDIO_ORDER_LEFT, "LFIR" },
    { RSRTX_VAL_AUDIO_ORDER_RIGHT, "RFIR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioChannelOrder = { 2, rsrtx_rngAudioChannelOrderEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolAudioBitOrderEntries[2] =
  {
    { RSRTX_VAL_AUDIO_MSBF, "MSBF" },
    { RSRTX_VAL_AUDIO_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolAudioBitOrder = { 2, rsrtx_rngProtocolAudioBitOrderEntries };

RsCoreRangeTableRanged rsrtx_rngAudioOffset = { 0, 31, "" };

RsCoreRangeTableRanged rsrtx_rngAudioTDMChannels = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioTriggerTypeEntries[4] =
  {
    { RSRTX_VAL_AUDIO_TRIGGER_DATA, "DATA" },
    { RSRTX_VAL_AUDIO_TRIGGER_WINDOW, "WIND" },
    { RSRTX_VAL_AUDIO_TRIGGER_WSEL, "WSEL" },
    { RSRTX_VAL_AUDIO_TRIGGER_ECON, "ERRC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioTriggerType = { 4, rsrtx_rngAudioTriggerTypeEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolAudioWindowLength = { 1, 1000000, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioFrameStatusEntries[3] =
  {
    { RSRTX_VAL_AUDIO_FRAME_STATE_OK, "OK" },
    { RSRTX_VAL_AUDIO_FRAME_STATE_ERR, "ERR" },
    { RSRTX_VAL_AUDIO_FRAME_STATE_INS, "INS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioFrameStatus = { 3, rsrtx_rngAudioFrameStatusEntries };

RsCoreRangeTableRanged rsrtx_rngAudioFrameOffset = { 0, 31, "" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngTrackDisplayModeEntries[6] =
  {
    { RSRTX_VAL_TRACK_DISPLAY_MODE_SEQ, "SEQ" },
    { RSRTX_VAL_TRACK_DISPLAY_MODE_PAR, "PAR" },
    { RSRTX_VAL_TRACK_DISPLAY_MODE_STR, "STR" },
    { RSRTX_VAL_TRACK_DISPLAY_MODE_PTR, "PTR" },
    { RSRTX_VAL_TRACK_DISPLAY_MODE_TRAC, "TRAC" },
    { RSRTX_VAL_TRACK_DISPLAY_MODE_SDS, "SDS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngTrackDisplayMode = { 6, rsrtx_rngTrackDisplayModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioTriggerConditionEntries[7] =
  {
    { RSRTX_VAL_AUDIO_CONDITION_OFF, "OFF" },
    { RSRTX_VAL_AUDIO_CONDITION_EQU, "EQU" },
    { RSRTX_VAL_AUDIO_CONDITION_NEQ, "NEQ" },
    { RSRTX_VAL_AUDIO_CONDITION_GTH, "GTH" },
    { RSRTX_VAL_AUDIO_CONDITION_LTH, "LTH" },
    { RSRTX_VAL_AUDIO_CONDITION_INR, "INR" },
    { RSRTX_VAL_AUDIO_CONDITION_OOR, "OOR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioTriggerCondition = { 7, rsrtx_rngAudioTriggerConditionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngAudioTriggerCombinationEntries[2] =
  {
    { RSRTX_VAL_AUDIO_COMBINATION_AND, "AND" },
    { RSRTX_VAL_AUDIO_COMBINATION_OR, "OR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngAudioTriggerCombination = { 2, rsrtx_rngAudioTriggerCombinationEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSelfAlignmentStateEntries[5] =
  {
    { RSRTX_VAL_SELF_ALIGNMENT_NO_ALIGNMENT, "NOAL" },
    { RSRTX_VAL_SELF_ALIGNMENT_RUN, "RUN" },
    { RSRTX_VAL_SELF_ALIGNMENT_ERROR, "ERR" },
    { RSRTX_VAL_SELF_ALIGNMENT_OK, "OK" },
    { RSRTX_VAL_SELF_ALIGNMENT_ABORT, "ABOR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSelfAlignmentState = { 5, rsrtx_rngSelfAlignmentStateEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDCodeTypeEntries[16] =
  {
    { RSRTX_VAL_MILSTD_CODE_TYPE_DBC, "DBC" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_TSYN, "TSYN" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_TST, "TST" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_SEL, "ISEL" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_TSH, "TSH" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_OTSH, "OTSH" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_ITER, "ITER" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_OIT, "OIT" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_RES, "RES" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_VECT, "VECT" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_RSYN, "RSYN" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_TLAS, "TLAS" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_BITW, "BITW" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_STSH, "STSH" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_OSTS, "OSTS" },
    { RSRTX_VAL_MILSTD_CODE_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDCodeType = { 16, rsrtx_rngMILSTDCodeTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDStatusEntries[6] =
  {
    { RSRTX_VAL_MILSTD_STATUS_OK, "OK" },
    { RSRTX_VAL_MILSTD_STATUS_INS, "INS" },
    { RSRTX_VAL_MILSTD_STATUS_PERR, "PERR" },
    { RSRTX_VAL_MILSTD_STATUS_MERR, "MERR" },
    { RSRTX_VAL_MILSTD_STATUS_TERR, "TERR" },
    { RSRTX_VAL_MILSTD_STATUS_SERR, "SERR" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDStatus = { 6, rsrtx_rngMILSTDStatusEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDDirectionEntries[3] =
  {
    { RSRTX_VAL_MILSTD_DIRECTION_TRANSMIT, "TRAN" },
    { RSRTX_VAL_MILSTD_DIRECTION_RECEIVE, "REC" },
    { RSRTX_VAL_MILSTD_DIRECTION_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDDirection = { 3, rsrtx_rngMILSTDDirectionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDTypeEntries[4] =
  {
    { RSRTX_VAL_MILSTD_TYPE_COMMAND, "COMM" },
    { RSRTX_VAL_MILSTD_TYPE_STATUS, "STAT" },
    { RSRTX_VAL_MILSTD_TYPE_DATA, "DATA" },
    { RSRTX_VAL_MILSTD_TYPE_CMCMODE, "CMCM" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDType = { 4, rsrtx_rngMILSTDTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDTriggerTypeEntries[7] =
  {
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_SYNC, "SYNC" },
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_FRAME, "FRAM" },
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_ERROR, "ERR" },
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_STATUS, "STAT" },
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_DATA, "DATA" },
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_COMMAND, "COMM" },
    { RSRTX_VAL_MILSTD_TRIGGER_TYPE_CDATA, "CDAT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerType = { 7, rsrtx_rngMILSTDTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDTriggerSyncEntries[3] =
  {
    { RSRTX_VAL_MILSTD_TRIGGER_SYNC_CST, "CST" },
    { RSRTX_VAL_MILSTD_TRIGGER_SYNC_DATA, "DATA" },
    { RSRTX_VAL_MILSTD_TRIGGER_SYNC_ALL, "EITH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerSync = { 3, rsrtx_rngMILSTDTriggerSyncEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDTriggerWordEntries[4] =
  {
    { RSRTX_VAL_MILSTD_TRIGGER_WORD_COMMAND, "COMM" },
    { RSRTX_VAL_MILSTD_TRIGGER_WORD_STATUS, "STAT" },
    { RSRTX_VAL_MILSTD_TRIGGER_WORD_DATA, "DATA" },
    { RSRTX_VAL_MILSTD_TRIGGER_WORD_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerWord = { 4, rsrtx_rngMILSTDTriggerWordEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDTriggerCommandTypeEntries[2] =
  {
    { RSRTX_VAL_MILSTD_TRIGGER_COMMAND_AWORD, "AWOR" },
    { RSRTX_VAL_MILSTD_TRIGGER_COMMAND_MCODE, "MCOD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerCommandType = { 2, rsrtx_rngMILSTDTriggerCommandTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDConditionEntries[9] =
  {
    { RSRTX_VAL_MILSTD_CONDITION_OFF, "OFF" },
    { RSRTX_VAL_MILSTD_CONDITION_EQU, "EQU" },
    { RSRTX_VAL_MILSTD_CONDITION_NEQ, "NEQ" },
    { RSRTX_VAL_MILSTD_CONDITION_GTH, "GTH" },
    { RSRTX_VAL_MILSTD_CONDITION_GEQ, "GEQ" },
    { RSRTX_VAL_MILSTD_CONDITION_LEQ, "LEQ" },
    { RSRTX_VAL_MILSTD_CONDITION_LTH, "LTH" },
    { RSRTX_VAL_MILSTD_CONDITION_WITH, "WITH" },
    { RSRTX_VAL_MILSTD_CONDITION_OUTS, "OUTS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDCondition = { 9, rsrtx_rngMILSTDConditionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDSubAddressEntries[3] =
  {
    { RSRTX_VAL_MILSTD_TRIGGER_SUB_ADDRESS_A0, "A0" },
    { RSRTX_VAL_MILSTD_TRIGGER_SUB_ADDRESS_A31, "A31" },
    { RSRTX_VAL_MILSTD_TRIGGER_SUB_ADDRESS_EITH, "EITH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDSubAddress = { 3, rsrtx_rngMILSTDSubAddressEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDSearchConditionEntries[7] =
  {
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_WORD_START, "WST" },
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_ERROR, "ERR" },
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_STATUS, "STAT" },
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_DATA, "DATA" },
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_COMMAND, "COMM" },
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_MODE_CODE, "MCOD" },
    { RSRTX_VAL_MILSTD_SEARCH_CONDITION_COMMAND_DATA, "CDAT" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDSearchCondition = { 7, rsrtx_rngMILSTDSearchConditionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDSearchErrorEntries[5] =
  {
    { RSRTX_VAL_MILSTD_SEARCH_ERROR_SYNCHRONIZATION, "SYNC" },
    { RSRTX_VAL_MILSTD_SEARCH_ERROR_PARITY, "PAR" },
    { RSRTX_VAL_MILSTD_SEARCH_ERROR_TIMEOUT, "TIM" },
    { RSRTX_VAL_MILSTD_SEARCH_ERROR_MANCHESTER, "MANC" },
    { RSRTX_VAL_MILSTD_SEARCH_ERROR_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDSearchError = { 5, rsrtx_rngMILSTDSearchErrorEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHistoryPlayerEntries[2] =
  {
    { RSRTX_VAL_HISTORY_PLAYER_RUN, "RUN" },
    { RSRTX_VAL_HISTORY_PLAYER_STOP, "STOP" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHistoryPlayer = { 2, rsrtx_rngHistoryPlayerEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHistorySpeedEntries[4] =
  {
    { RSRTX_VAL_HISTORY_SPEED_SLOW, "SLOW" },
    { RSRTX_VAL_HISTORY_SPEED_MEDIUM, "MED" },
    { RSRTX_VAL_HISTORY_SPEED_FAST, "FAST" },
    { RSRTX_VAL_HISTORY_SPEED_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHistorySpeed = { 4, rsrtx_rngHistorySpeedEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngThresholdHysteresisEntries[3] =
  {
    { RSRTX_VAL_TRESHOLD_HYSTERESIS_SMALL, "SMAL" },
    { RSRTX_VAL_TRESHOLD_HYSTERESIS_MEDIUM, "MED" },
    { RSRTX_VAL_TRESHOLD_HYSTERESIS_LARGE, "LARG" }
  };
RsCoreRangeTableDiscrete rsrtx_rngThresholdHysteresis = { 3, rsrtx_rngThresholdHysteresisEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngStatusEntries[3] =
  {
    { RSRTX_VAL_STATUS_0, "0" },
    { RSRTX_VAL_STATUS_1, "1" },
    { RSRTX_VAL_STATUS_X, "X" }
  };
RsCoreRangeTableDiscrete rsrtx_rngStatus = { 3, rsrtx_rngStatusEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolARINC429PolarityEntries[4] =
  {
    { RSRTX_VAL_ARINC429_POLARITY_ALEG, "ALEG" },
    { RSRTX_VAL_ARINC429_POLARITY_BLEG, "BLEG" },
    { RSRTX_VAL_ARINC429_POLARITY_NORM, "NORM" },
    { RSRTX_VAL_ARINC429_POLARITY_INV, "INV" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429Polarity = { 4, rsrtx_rngProtocolARINC429PolarityEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolARINC429BitRateModeEntries[3] =
  {
    { RSRTX_VAL_ARINC429_BIT_RATE_MODE_LOW, "LOW" },
    { RSRTX_VAL_ARINC429_BIT_RATE_MODE_HIGH, "HIGH" },
    { RSRTX_VAL_ARINC429_BIT_RATE_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429BitRateMode = { 3, rsrtx_rngProtocolARINC429BitRateModeEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolARINC429ThresholdHigh = { -0.5, 12, "V" };

RsCoreRangeTableRanged rsrtx_rngProtocolARINC429ThresholdLow = { -100.0, 100.0, "V" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngARINC429WordStatusEntries[6] =
  {
    { RSRTX_VAL_ARINC_WORD_STATUS_OK, "OK" },
    { RSRTX_VAL_ARINC_WORD_STATUS_CERR, "CODE" },
    { RSRTX_VAL_ARINC_WORD_STATUS_GERR, "GAP" },
    { RSRTX_VAL_ARINC_WORD_STATUS_PRER, "PAR" },
    { RSRTX_VAL_ARINC_WORD_STATUS_INS, "INS" },
    { RSRTX_VAL_ARINC_WORD_STATUS_INC, "INC" }
  };
RsCoreRangeTableDiscrete rsrtx_rngARINC429WordStatus = { 6, rsrtx_rngARINC429WordStatusEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolARINC429DataFormatEntries[4] =
  {
    { RSRTX_VAL_ARINC429_DATA_FORMAT_DATA, "DATA" },
    { RSRTX_VAL_ARINC429_DATA_FORMAT_DSSM, "DSSM" },
    { RSRTX_VAL_ARINC429_DATA_FORMAT_DSDI, "DSDI" },
    { RSRTX_VAL_ARINC429_DATA_FORMAT_DSSS, "DSSS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429DataFormat = { 4, rsrtx_rngProtocolARINC429DataFormatEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProtocolARINC429OperatorEntries[8] =
  {
    { RSRTX_VAL_ARINC_COND_NQ, "NEQ" },
    { RSRTX_VAL_ARINC_COND_EQ, "EQU" },
    { RSRTX_VAL_ARINC_COND_LT, "LTH" },
    { RSRTX_VAL_ARINC_COND_LE, "LEQ" },
    { RSRTX_VAL_ARINC_COND_GT, "GTH" },
    { RSRTX_VAL_ARINC_COND_GE, "GEQ" },
    { RSRTX_VAL_ARINC_COND_WITH, "WITH" },
    { RSRTX_VAL_ARINC_COND_OUTS, "OUTS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429Operator = { 8, rsrtx_rngProtocolARINC429OperatorEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngARINCSsmSdiEntries[5] =
  {
    { RSRTX_VAL_ARINC_SSM_SDI_ANY, "ANY" },
    { RSRTX_VAL_ARINC_SSM_SDI_S00, "S00" },
    { RSRTX_VAL_ARINC_SSM_SDI_S01, "S01" },
    { RSRTX_VAL_ARINC_SSM_SDI_S10, "S10" },
    { RSRTX_VAL_ARINC_SSM_SDI_S11, "S11" }
  };
RsCoreRangeTableDiscrete rsrtx_rngARINCSsmSdi = { 5, rsrtx_rngARINCSsmSdiEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngARINC429TimingConditionEntries[4] =
  {
    { RSRTX_VAL_ARINC_CONDITION_TIMING_GTH, "GTH" },
    { RSRTX_VAL_ARINC_CONDITION_TIMING_LTH, "LTH" },
    { RSRTX_VAL_ARINC_CONDITION_TIMING_WITH, "WITH" },
    { RSRTX_VAL_ARINC_CONDITION_TIMING_OUTS, "OUTS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngARINC429TimingCondition = { 4, rsrtx_rngARINC429TimingConditionEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngARINC429WordTypeEntries[2] =
  {
    { RSRTX_VAL_ARINC_WORD_TYPE_START, "STAR" },
    { RSRTX_VAL_ARINC_WORD_TYPE_STOP, "STOP" }
  };
RsCoreRangeTableDiscrete rsrtx_rngARINC429WordType = { 2, rsrtx_rngARINC429WordTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngARINC429TypeEntries[5] =
  {
    { RSRTX_VAL_TRIGGER_ARINC_TYPE_WORD, "WORD" },
    { RSRTX_VAL_TRIGGER_ARINC_TYPE_ERROR, "ERR" },
    { RSRTX_VAL_TRIGGER_ARINC_TYPE_LABEL, "LAB" },
    { RSRTX_VAL_TRIGGER_ARINC_TYPE_LDATA, "LDAT" },
    { RSRTX_VAL_TRIGGER_ARINC_TYPE_TTIME, "TTIM" }
  };
RsCoreRangeTableDiscrete rsrtx_rngARINC429Type = { 5, rsrtx_rngARINC429TypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngARINC429ErrorEntries[4] =
  {
    { RSRTX_VAL_ARINC_ERROR_ANY, "ANY" },
    { RSRTX_VAL_ARINC_ERROR_PARITY, "PAR" },
    { RSRTX_VAL_ARINC_ERROR_GAP, "GAP" },
    { RSRTX_VAL_ARINC_ERROR_CODING, "COD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngARINC429Error = { 4, rsrtx_rngARINC429ErrorEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDTransmissionTypeEntries[4] =
  {
    { RSRTX_MILSTD_TRANSMISSION_TYPE_BCRT, "BCRT" },
    { RSRTX_MILSTD_TRANSMISSION_TYPE_RTBC, "RTBC" },
    { RSRTX_MILSTD_TRANSMISSION_TYPE_RTRT, "RTRT" },
    { RSRTX_MILSTD_TRANSMISSION_TYPE_MCD, "MCD" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDTransmissionType = { 4, rsrtx_rngMILSTDTransmissionTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMILSTDSearchWordStartEntries[3] =
  {
    { RSRTX_VAL_MILSTD_WORD_START_STATUS, "STAT" },
    { RSRTX_VAL_MILSTD_WORD_START_DATA, "DATA" },
    { RSRTX_VAL_MILSTD_WORD_START_COMMAND, "COMM" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMILSTDSearchWordStart = { 3, rsrtx_rngMILSTDSearchWordStartEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHardcopyCommandSetEntries[4] =
  {
    { RSRTX_VAL_COMMAND_SET_PCL5, "PCL5" },
    { RSRTX_VAL_COMMAND_SET_PCLXI, "PCLX" },
    { RSRTX_VAL_COMMAND_SET_PS, "PS" },
    { RSRTX_VAL_COMMAND_SET_DESK, "DESK" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHardcopyCommandSet = { 4, rsrtx_rngHardcopyCommandSetEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngScaleLinLogEntries[2] =
  {
    { RSRTX_VAL_SCALE_LIN, "LIN" },
    { RSRTX_VAL_SCALE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete rsrtx_rngScaleLinLog = { 2, rsrtx_rngScaleLinLogEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHarmonicsFundamentalMILEntries[2] =
  {
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_MIL_F60, "F60" },
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_MIL_F400, "F400" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHarmonicsFundamentalMIL = { 2, rsrtx_rngHarmonicsFundamentalMILEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHarmonicsFundamentalRTCEntries[3] =
  {
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_RTC_F400, "F400" },
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_RTC_NVF, "NVF" },
    { RSRTX_VAL_HARMONICS_FUNDAMENTAL_RTC_WVF, "WVF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHarmonicsFundamentalRTC = { 3, rsrtx_rngHarmonicsFundamentalRTCEntries };

RsCoreRangeTableRanged rsrtx_rngPowerAnalysisReportTemperature = { -273, 32767, "" };

RsCoreRangeTableRanged rsrtx_rngTransientResponseSignal = { -10, 10, "V" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngProbeInputImpedanceEntries[3] =
  {
    { RSRTX_VAL_UNKNOWN, "UNKN" },
    { RSRTX_VAL_50OHM, "50OH" },
    { RSRTX_VAL_1MOHM, "1MOH" }
  };
RsCoreRangeTableDiscrete rsrtx_rngProbeInputImpedance = { 3, rsrtx_rngProbeInputImpedanceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngClockedSourceEntries[16] =
  {
    { RSRTX_VAL_CLOCKED_SOURCE_D0, "D0" },
    { RSRTX_VAL_CLOCKED_SOURCE_D1, "D1" },
    { RSRTX_VAL_CLOCKED_SOURCE_D2, "D2" },
    { RSRTX_VAL_CLOCKED_SOURCE_D3, "D3" },
    { RSRTX_VAL_CLOCKED_SOURCE_D4, "D4" },
    { RSRTX_VAL_CLOCKED_SOURCE_D5, "D5" },
    { RSRTX_VAL_CLOCKED_SOURCE_D6, "D6" },
    { RSRTX_VAL_CLOCKED_SOURCE_D7, "D7" },
    { RSRTX_VAL_CLOCKED_SOURCE_D8, "D8" },
    { RSRTX_VAL_CLOCKED_SOURCE_D9, "D9" },
    { RSRTX_VAL_CLOCKED_SOURCE_D10, "D10" },
    { RSRTX_VAL_CLOCKED_SOURCE_D11, "D11" },
    { RSRTX_VAL_CLOCKED_SOURCE_D12, "D12" },
    { RSRTX_VAL_CLOCKED_SOURCE_D13, "D13" },
    { RSRTX_VAL_CLOCKED_SOURCE_D14, "D14" },
    { RSRTX_VAL_CLOCKED_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete RsRtx_rngClockedSource = { 16, RsRtx_rngClockedSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngParallelBitSourceEntries[16] =
  {
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D0, "D0" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D1, "D1" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D2, "D2" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D3, "D3" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D4, "D4" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D5, "D5" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D6, "D6" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D7, "D7" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D8, "D8" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D9, "D9" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D10, "D10" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D11, "D11" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D12, "D12" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D13, "D13" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D14, "D14" },
    { RSRTX_VAL_PARALLEL_BIT_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete RsRtx_rngParallelBitSource = { 16, RsRtx_rngParallelBitSourceEntries };

RsCoreRangeTableRanged RsRtx_rngPctInt = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngDVMTypeEntries[8] =
  {
    { RSRTX_VAL_DVM_TYPE_DC, "DC" },
    { RSRTX_VAL_DVM_TYPE_ACDC, "ACDC" },
    { RSRTX_VAL_DVM_TYPE_ACRM, "ACRM" },
    { RSRTX_VAL_DVM_TYPE_UPE, "UPE" },
    { RSRTX_VAL_DVM_TYPE_LPE, "LPE" },
    { RSRTX_VAL_DVM_TYPE_PEAK, "PEAK" },
    { RSRTX_VAL_DVM_TYPE_CRES, "CRES" },
    { RSRTX_VAL_DVM_TYPE_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsRtx_rngDVMType = { 8, RsRtx_rngDVMTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngDVMPositionEntries[4] =
  {
    { RSRTX_VAL_DVM_POSITION_TLEFT, "TLEF" },
    { RSRTX_VAL_DVM_POSITION_TRIGHT, "TRIG" },
    { RSRTX_VAL_DVM_POSITION_BLEFT, "BLEF" },
    { RSRTX_VAL_DVM_POSITION_BRIGHT, "BRIG" }
  };
RsCoreRangeTableDiscrete RsRtx_rngDVMPosition = { 4, RsRtx_rngDVMPositionEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMagnitudeScaleEntries[4] =
  {
    { RSRTX_VAL_MAGNITUDE_SCALE_LIN, "LIN" },
    { RSRTX_VAL_MAGNITUDE_SCALE_DBM, "DBM" },
    { RSRTX_VAL_MAGNITUDE_SCALE_DBC, "DBV" },
    { RSRTX_VAL_MAGNITUDE_SCALE_DBUV, "DBUV" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMagnitudeScale = { 4, RsRtx_rngMagnitudeScaleEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumFrequencyWindowTypeEntries[5] =
  {
    { RSRTX_VAL_SPECTRUM_FREQ_WINDOW_TYPE_RECT, "RECT" },
    { RSRTX_VAL_SPECTRUM_FREQ_WINDOW_TYPE_HAMM, "HAMM" },
    { RSRTX_VAL_SPECTRUM_FREQ_WINDOW_TYPE_HANN, "HANN" },
    { RSRTX_VAL_SPECTRUM_FREQ_WINDOW_TYPE_BLAC, "BLAC" },
    { RSRTX_VAL_SPECTRUM_FREQ_WINDOW_TYPE_FLAT, "FLAT" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumFrequencyWindowType = { 5, RsRtx_rngSpectrumFrequencyWindowTypeEntries };

RsCoreRangeTableRanged RsRtx_rngSpectrumSpectrogramScale = { 1, 20, "" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumMarkerDisplayEntries[3] =
  {
    { RSRTX_VAL_SPECTRUM_MARKER_OFF, "OFF" },
    { RSRTX_VAL_SPECTRUM_MARKER_INDEX, "IND" },
    { RSRTX_VAL_SPECTRUM_MARKER_RESULT, "RES" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerDisplay = { 3, RsRtx_rngSpectrumMarkerDisplayEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumMarkerSourceEntries[4] =
  {
    { RSRTX_VAL_SPECTRUM_MARKER_SOURCE_SPEC, "SPEC" },
    { RSRTX_VAL_SPECTRUM_MARKER_SOURCE_MINH, "MINH" },
    { RSRTX_VAL_SPECTRUM_MARKER_SOURCE_MAXH, "MAXH" },
    { RSRTX_VAL_SPECTRUM_MARKER_SOURCE_AVER, "AVER" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerSource = { 4, RsRtx_rngSpectrumMarkerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumMarkerSetupDetectionModeEntries[2] =
  {
    { RSRTX_VAL_SPECTRUM_MARKER_DETECTION_LEVEL, "LONL" },
    { RSRTX_VAL_SPECTRUM_MARKER_DETECTION_ADVANCED, "ADV" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerSetupDetectionMode = { 2, RsRtx_rngSpectrumMarkerSetupDetectionModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumMarkerReferenceModeEntries[3] =
  {
    { RSRTX_VAL_SPECTRUM_MARKER_REF_MODE_OFF, "OFF" },
    { RSRTX_VAL_SPECTRUM_MARKER_REF_MODE_INDICATED, "IND" },
    { RSRTX_VAL_SPECTRUM_MARKER_REF_MODE_RANGE, "RANG" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerReferenceMode = { 3, RsRtx_rngSpectrumMarkerReferenceModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumMarkerResultModeEntries[4] =
  {
    { RSRTX_VAL_SPECTRUM_MARKER_RESULT_MODE_ABSOLUTE, "ABS" },
    { RSRTX_VAL_SPECTRUM_MARKER_RESULT_MODE_FREQUENCY, "FREQ" },
    { RSRTX_VAL_SPECTRUM_MARKER_RESULT_MODE_LEVEL, "LEV" },
    { RSRTX_VAL_SPECTRUM_MARKER_RESULT_MODE_FLEVEL, "FLEV" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerResultMode = { 4, RsRtx_rngSpectrumMarkerResultModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumMarkerTablePositionEntries[3] =
  {
    { RSRTX_VAL_SPECTRUM_MARKER_TABLE_POSITION_TOP, "TOP" },
    { RSRTX_VAL_SPECTRUM_MARKER_TABLE_POSITION_BOTTOM, "BOTT" },
    { RSRTX_VAL_SPECTRUM_MARKER_TABLE_POSITION_FULL, "FULL" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerTablePosition = { 3, RsRtx_rngSpectrumMarkerTablePositionEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumDisplayColorSchemeEntries[3] =
  {
    { RSRTX_VAL_SPECTRUM_COLOR_SCHEME_MONOCHROM, "MON" },
    { RSRTX_VAL_SPECTRUM_COLOR_SCHEME_TEMPERATURE, "TEMP" },
    { RSRTX_VAL_SPECTRUM_COLOR_SCHEME_RAINBOW, "RAIN" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumDisplayColorScheme = { 3, RsRtx_rngSpectrumDisplayColorSchemeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngContentFormatEntries[2] =
  {
    { RSRTX_VAL_CONTENT_FORMAT_ALL, "ALL" },
    { RSRTX_VAL_CONTENT_FORMAT_WTIME, "WTIM" }
  };
RsCoreRangeTableDiscrete RsRtx_rngContentFormat = { 2, RsRtx_rngContentFormatEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngAcquisitionModeEntries[3] =
  {
    { RSRTX_VAL_ACQUISTION_MODE_REFRESH, "REFR" },
    { RSRTX_VAL_ACQUISTION_MODE_AVERAGE, "AVER" },
    { RSRTX_VAL_ACQUISTION_MODE_ENVELOPE, "ENV" }
  };
RsCoreRangeTableDiscrete RsRtx_rngAcquisitionMode = { 3, RsRtx_rngAcquisitionModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngAcquisitionStateEntries[4] =
  {
    { RSRTX_VAL_ACQ_STATE_RUN, "RUN" },
    { RSRTX_VAL_ACQ_STATE_STOP, "STOP" },
    { RSRTX_VAL_ACQ_STATE_COMPLETE, "COMP" },
    { RSRTX_VAL_ACQ_STATE_BREAK, "BRE" }
  };
RsCoreRangeTableDiscrete RsRtx_rngAcquisitionState = { 4, RsRtx_rngAcquisitionStateEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMathOperationEntries[4] =
  {
    { RSRTX_VAL_MATH_OPERATION_ADD, "ADD" },
    { RSRTX_VAL_MATH_OPERATION_SUB, "SUB" },
    { RSRTX_VAL_MATH_OPERATION_MUL, "MUL" },
    { RSRTX_VAL_MATH_OPERATION_DIV, "DIV" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMathOperation = { 4, RsRtx_rngMathOperationEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngMathSourceEntries[4] =
  {
    { RSRTX_VAL_CHANNEL1, "CH1" },
    { RSRTX_VAL_CHANNEL2, "CH2" },
    { RSRTX_VAL_CHANNEL3, "CH3" },
    { RSRTX_VAL_CHANNEL4, "CH4" }
  };
RsCoreRangeTableDiscrete rsrtx_rngMathSource = { 4, rsrtx_rngMathSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngAbsoluteRelativeEntries[2] =
  {
    { RSRTX_VAL_ABS, "ABS" },
    { RSRTX_VAL_REL, "REL" }
  };
RsCoreRangeTableDiscrete RsRtx_rngAbsoluteRelative = { 2, RsRtx_rngAbsoluteRelativeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngDeviceModeEntries[8] =
  {
    { RSRTX_VAL_DEVICE_MODE_YT, "YT" },
    { RSRTX_VAL_DEVICE_MODE_ZOOM, "ZOOM" },
    { RSRTX_VAL_DEVICE_MODE_XY, "XY" },
    { RSRTX_VAL_DEVICE_MODE_QMEAS, "QME" },
    { RSRTX_VAL_DEVICE_MODE_UPDATE, "UPD" },
    { RSRTX_VAL_DEVICE_MODE_AUTOSET, "AUT" },
    { RSRTX_VAL_DEVICE_MODE_MASKTEST, "MASK" },
    { RSRTX_VAL_DEVICE_MODE_FFT, "FFT" }
  };
RsCoreRangeTableDiscrete RsRtx_rngDeviceMode = { 8, RsRtx_rngDeviceModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngPersistenceTypeEntries[3] =
  {
    { RSRTX_VAL_PERSISTENCE_OFF, "OFF" },
    { RSRTX_VAL_PERSISTENCE_TIME, "TIME" },
    { RSRTX_VAL_PERSISTENCE_INFINITE, "INF" }
  };
RsCoreRangeTableDiscrete RsRtx_rngPersistenceType = { 3, RsRtx_rngPersistenceTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngHardcopyFormatEntries[3] =
  {
    { RSRTX_VAL_HARDCOPY_FORMAT_BMP, "BMP" },
    { RSRTX_VAL_HARDCOPY_FORMAT_PNG, "PNG" },
    { RSRTX_VAL_HARDCOPY_FORMAT_GIF, "GIF" }
  };
RsCoreRangeTableDiscrete rsrtx_rngHardcopyFormat = { 3, rsrtx_rngHardcopyFormatEntries };

RsCoreRangeTableRanged RsRtx_rngLogicCurrent = { 0, 255, "" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngLogicThresholdEntries[4] =
  {
    { RSRTX_VAL_LOGIC_THRESHOLD_TTL, "TTL" },
    { RSRTX_VAL_LOGIC_THRESHOLD_ECL, "ECL" },
    { RSRTX_VAL_LOGIC_THRESHOLD_CMOS, "CMOS" },
    { RSRTX_VAL_LOGIC_THRESHOLD_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsRtx_rngLogicThreshold = { 4, RsRtx_rngLogicThresholdEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngLogicHysteresisEntries[3] =
  {
    { RSRTX_VAL_HYSTERESIS_SMALL, "SMAL" },
    { RSRTX_VAL_HYSTERESIS_MEDIUM, "MED" },
    { RSRTX_VAL_HYSTERESIS_LARGE, "LARG" }
  };
RsCoreRangeTableDiscrete rsrtx_rngLogicHysteresis = { 3, rsrtx_rngLogicHysteresisEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngLogicTypeEntries[2] =
  {
    { RSRTX_VAL_LOGIC_TYPE_SAMPLE, "SAMP" },
    { RSRTX_VAL_LOGIC_TYPE_PEAKDETECT, "PDET" }
  };
RsCoreRangeTableDiscrete RsRtx_rngLogicType = { 2, RsRtx_rngLogicTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngWaveformGeneratorFunctionTypeEntries[9] =
  {
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_SIN, "SIN" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_SQU, "SQU" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_RAMP, "RAMP" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_DC, "DC" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_PULS, "PULS" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_SINC, "SINC" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_TRI, "TRI" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_EXP, "EXP" },
    { RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_ARB, "ARB" }
  };
RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorFunctionType = { 9, RsRtx_rngWaveformGeneratorFunctionTypeEntries };

RsCoreRangeTableRanged RsRtx_rngWaveformGeneratorDutyCycle = { 10.0, 90.0, "" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngWaveformGeneratorModulationTypeEntries[4] =
  {
    { RSRTX_VAL_WAVE_GEN_MODULATION_TYPE_AM, "AM" },
    { RSRTX_VAL_WAVE_GEN_MODULATION_TYPE_FM, "FM" },
    { RSRTX_VAL_WAVE_GEN_MODULATION_TYPE_ASK, "ASK" },
    { RSRTX_VAL_WAVE_GEN_MODULATION_TYPE_FSK, "FSK" }
  };
RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorModulationType = { 4, RsRtx_rngWaveformGeneratorModulationTypeEntries };

RsCoreRangeTableRanged RsRtx_rngPercent = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngWaveformGeneratorArbitrarySourceEntries[4] =
  {
    { RSRTX_VAL_WAVE_GEN_CH1, "CH1" },
    { RSRTX_VAL_WAVE_GEN_CH2, "CH2" },
    { RSRTX_VAL_WAVE_GEN_CH3, "CH3" },
    { RSRTX_VAL_WAVE_GEN_CH4, "CH4" }
  };
RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorArbitrarySource = { 4, RsRtx_rngWaveformGeneratorArbitrarySourceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngWaveformGeneratorLoadEntries[2] =
  {
    { RSRTX_ATTR_WAVE_GEN_OUTPUT_LOAD_FIFTYOHM, "R50" },
    { RSRTX_ATTR_WAVE_GEN_OUTPUT_LOAD_HIGHZ, "HIGH" }
  };
RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorLoad = { 2, RsRtx_rngWaveformGeneratorLoadEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngWaveformGeneratorModulationFunctionTypeEntries[4] =
  {
    { RSRTX_VAL_WAVE_GEN_MOD_FUNCTION_TYPE_SIN, "SIN" },
    { RSRTX_VAL_WAVE_GEN_MOD_FUNCTION_TYPE_SQU, "SQU" },
    { RSRTX_VAL_WAVE_GEN_MOD_FUNCTION_TYPE_RAMP, "RAMP" },
    { RSRTX_VAL_WAVE_GEN_MOD_FUNCTION_TYPE_TRI, "TRI" }
  };
RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorModulationFunctionType = { 4, RsRtx_rngWaveformGeneratorModulationFunctionTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngWaveformGeneratorOutputDestinationEntries[2] =
  {
    { RSRTX_VAL_WAVE_GEN_OUTPUT_DESTINATION_BNC, "BNC" },
    { RSRTX_VAL_WAVE_GEN_OUTPUT_DESTINATION_P3, "P3" }
  };
RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorOutputDestination = { 2, RsRtx_rngWaveformGeneratorOutputDestinationEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngPatternGeneratorFunctionTypeEntries[14] =
  {
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_SQUARE, "SQU" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_COUNTER, "COUN" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_ARB, "ARB" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_SPI, "SPI" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_I2C, "I2C" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_UART, "UART" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_CAN, "CAN" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_LIN, "LIN" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_MANUAL, "MAN" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_AUDIO_I2S, "I2S" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_AUDIO_TDM, "TDM" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_TEST_PWM, "TPWM" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_PWM, "PWM" },
    { RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_LED_PWM, "LEDP" }
  };
RsCoreRangeTableDiscrete RsRtx_rngPatternGeneratorFunctionType = { 14, RsRtx_rngPatternGeneratorFunctionTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngPatternGeneratorCounterDirectionEntries[2] =
  {
    { RSRTX_VAL_PATT_GEN_DIRECTION_DOWN, "DOWN" },
    { RSRTX_VAL_PATT_GEN_DIRECTION_UP, "UPW" }
  };
RsCoreRangeTableDiscrete RsRtx_rngPatternGeneratorCounterDirection = { 2, RsRtx_rngPatternGeneratorCounterDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngPatternGeneratorTriggerModeEntries[2] =
  {
    { RSRTX_VAL_PATT_GEN_TRIGGER_MODE_CONT, "CONT" },
    { RSRTX_VAL_PATT_GEN_TRIGGER_MODE_SING, "SING" }
  };
RsCoreRangeTableDiscrete RsRtx_rngPatternGeneratorTriggerMode = { 2, RsRtx_rngPatternGeneratorTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWindowRangeEntries[6] =
  {
    { RSRTX_VAL_RANGE_ENTER, "ENT" },
    { RSRTX_VAL_RANGE_EXIT, "EXI" },
    { RSRTX_VAL_RANGE_WITHIN, "WITH" },
    { RSRTX_VAL_RANGE_OUTSIDE, "OUTS" },
    { RSRTX_VAL_RANGE_PASS, "PASS" },
    { RSRTX_VAL_RANGE_NPASS, "NPAS" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWindowRange = { 6, rsrtx_rngWindowRangeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngSpectrumAnalysisModeEntries[2] =
  {
    { RSRTX_VAL_SPECTRUM_MODE_SPECTRUM, "SPEC" },
    { RSRTX_VAL_SPECTRUM_MODE_FFT, "FFT" }
  };
RsCoreRangeTableDiscrete RsRtx_rngSpectrumAnalysisMode = { 2, RsRtx_rngSpectrumAnalysisModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngInterfaceEntries[2] =
  {
    { RSRTX_VAL_INTERFACE_ETH, "ETH" },
    { RSRTX_VAL_INTERFACE_USB, "USB" }
  };
RsCoreRangeTableDiscrete RsRtx_rngInterface = { 2, RsRtx_rngInterfaceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngUSBClassEntries[3] =
  {
    { RSRTX_VAL_USB_CLASS_TMC, "TMC" },
    { RSRTX_VAL_USB_CLASS_VCP, "VCP" },
    { RSRTX_VAL_USB_CLASS_MTP, "MTP" }
  };
RsCoreRangeTableDiscrete RsRtx_rngUSBClass = { 3, RsRtx_rngUSBClassEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngEthernetTransferEntries[5] =
  {
    { RSRTX_VAL_ETHERNET_TRANSFER_AUTO, "AUTO" },
    { RSRTX_VAL_ETHERNET_TRANSFER_FD10, "FD10" },
    { RSRTX_VAL_ETHERNET_TRANSFER_FD100, "FD100" },
    { RSRTX_VAL_ETHERNET_TRANSFER_HD10, "HD10" },
    { RSRTX_VAL_ETHERNET_TRANSFER_HD100, "HD100" }
  };
RsCoreRangeTableDiscrete RsRtx_rngEthernetTransfer = { 5, RsRtx_rngEthernetTransferEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngTimeoutRangeEntries[3] =
  {
    { RSRTX_VAL_TIMEOUT_RANGE_LOW, "LOW" },
    { RSRTX_VAL_TIMEOUT_RANGE_HIGH, "HIGH" },
    { RSRTX_VAL_TIMEOUT_RANGE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsRtx_rngTimeoutRange = { 3, RsRtx_rngTimeoutRangeEntries };

RsCoreRangeTableRanged RsRtx_rngTimeoutTriggerTime = { 6.4e-9, 13.7439, "" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMILSTDTriggerFrameEntries[4] =
  {
    { RSRTX_MILSTD_FRAME_COMMAND, "COMM" },
    { RSRTX_MILSTD_FRAME_STATUS, "STAT" },
    { RSRTX_MILSTD_FRAME_DATA, "DATA" },
    { RSRTX_MILSTD_FRAME_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMILSTDTriggerFrame = { 4, RsRtx_rngMILSTDTriggerFrameEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngPointSelectionEntries[3] =
  {
    { RSRTX_VAL_POINT_SELECTION_DEFAULT, "DEF" },
    { RSRTX_VAL_POINT_SELECTION_MAX, "MAX" },
    { RSRTX_VAL_POINT_SELECTION_DMAX, "DMAX" }
  };
RsCoreRangeTableDiscrete RsRtx_rngPointSelection = { 3, RsRtx_rngPointSelectionEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngUARTTriggerSourceEntries[2] =
  {
    { RSRTX_VAL_UART_TRIGGER_SOURCE_RX, "RX" },
    { RSRTX_VAL_UART_TRIGGER_SOURCE_TX, "TX" }
  };
RsCoreRangeTableDiscrete RsRtx_rngUARTTriggerSource = { 2, RsRtx_rngUARTTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngUARTFrameSourceEntries[2] =
  {
    { RSRTX_VAL_UART_FRAME_SOURCE_RX, "RX" },
    { RSRTX_VAL_UART_FRAME_SOURCE_TX, "TX" }
  };
RsCoreRangeTableDiscrete RsRtx_rngUARTFrameSource = { 2, RsRtx_rngUARTFrameSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchResultTypeEntries[9] =
  {
    { RSRTX_VAL_SEARCHCOND_EDGE, "EDGE" },
    { RSRTX_VAL_SEARCHCOND_WIDTH, "WIDTH" },
    { RSRTX_VAL_SEARCHCOND_PEAK, "PEAK" },
    { RSRTX_VAL_SEARCHCOND_RUNT, "RUNT" },
    { RSRTX_VAL_SEARCHCOND_RTIME, "RTIM" },
    { RSRTX_VAL_SEARCHCOND_D2C, "DATATOCLOCK" },
    { RSRTX_VAL_SEARCHCOND_PATTERN, "PATTERN" },
    { RSRTX_VAL_SEARCHCOND_PROTOCOL, "PROTOCOL" },
    { RSRTX_VAL_SEARCHCOND_WINDOW, "WINDOW" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchResultType = { 9, rsrtx_rngSearchResultTypeEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngSearchResultSlopeEntries[3] =
  {
    { RSRTX_VAL_POSITIVE, "POSITIVE" },
    { RSRTX_VAL_NEGATIVE, "NEGATIVE" },
    { RSRTX_VAL_EITHER, "EITHER" }
  };
RsCoreRangeTableDiscrete rsrtx_rngSearchResultSlope = { 3, rsrtx_rngSearchResultSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMemoryModeEntries[3] =
  {
    { RSRTX_VAL_MEMORY_MODE_AUTOMATIC, "AUT" },
    { RSRTX_VAL_MEMORY_MODE_PREDEFINED, "DMEM" },
    { RSRTX_VAL_MEMORY_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMemoryMode = { 3, RsRtx_rngMemoryModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngBodeAmplitudeModeEntries[2] =
  {
    { RSRTX_VAL_BODE_CONSTANT, "CONS" },
    { RSRTX_VAL_BODE_PROFILE, "PROF" }
  };
RsCoreRangeTableDiscrete RsRtx_rngBodeAmplitudeMode = { 2, RsRtx_rngBodeAmplitudeModeEntries };

RsCoreRangeTableRanged RsRtx_rngBodeAmplitudePosition = { -10, 10, "divisions" };

RsCoreRangeTableRanged RsRtx_rngBodeAmplitudeProfilePoints = { 2, 16, "points" };

RsCoreRangeTableRanged RsRtx_rngBodeAmplitudeScale = { 0.1, 2, "" };

RsCoreRangeTableRanged RsRtx_rngBodeGainPosition = { -20, 20, "divisions" };

RsCoreRangeTableRanged RsRtx_rngBodeGainScale = { 0.1, 20, "" };

RsCoreRangeTableRanged RsRtx_rngBodeMeasurementDelay = { 0, 10, "" };

RsCoreRangeTableRanged RsRtx_rngBodePointsPerDecade = { 10, 500, "points" };

RsCoreRangeTableRanged RsRtx_rngChannelPosition = { -5, 5, "divisions" };

RsCoreRangeTableRanged RsRtx_rngPWMDutyCycle = { 1, 99, "%" };

RsCoreRangeTableRanged RsRtx_rngProbeGain = { 0.0001, 10000, "" };

RsCoreRangeTableRanged RsRtx_rng16BitRange = { 0, 65535, "" };

RsCoreRangeTableRanged RsRtx_rngBurstIdleTime = { 28e-9, 17, "s" };

RsCoreRangeTableRanged RsRtx_rngBurstCycles = { 1, 1023, "cycles" };

RsCoreRangeTableRanged RsRtx_rng360Degrees = { 0, 360, "degrees" };

RsCoreRangeTableRanged RsRtx_rngTriangleSymmetry = { 1, 99, "%" };

RsCoreRangeTableRanged RsRtx_rngBodePlotStartFrequency = { 10, 25e6, "Hz" };

RsCoreRangeTableRanged RsRtx_rngBodePlotStopFrequency = { 10, 25e6, "Hz" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngBodeSourceChannelEntries[4] =
  {
    { RSRTX_VAL_BODE_SOURCE_CHANNEL1, "CH1" },
    { RSRTX_VAL_BODE_SOURCE_CHANNEL2, "CH2" },
    { RSRTX_VAL_BODE_SOURCE_CHANNEL3, "CH3" },
    { RSRTX_VAL_BODE_SOURCE_CHANNEL4, "CH4" }
  };
RsCoreRangeTableDiscrete RsRtx_rngBodeSourceChannel = { 4, RsRtx_rngBodeSourceChannelEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngBodePlotMeasurementStateEntries[2] =
  {
    { RSRTX_VAL_BODE_MEASUREMENT_STOP, "STOP" },
    { RSRTX_VAL_BODE_MEASUREMENT_RUN, "RUN" }
  };
RsCoreRangeTableDiscrete RsRtx_rngBodePlotMeasurementState = { 2, RsRtx_rngBodePlotMeasurementStateEntries };

RsCoreRangeTableRanged RsRtx_rngBodePhasePosition = { -20, 20, "divisions" };

RsCoreRangeTableRanged RsRtx_rngBodePhaseScale = { 0.1, 45.0, "" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngUARTFrameStateEntries[6] =
  {
    { RSRTX_VAL_UART_FRAME_OK, "OK" },
    { RSRTX_VAL_UART_FRAME_START_ERROR, "STER" },
    { RSRTX_VAL_UART_FRAME_STOP_ERROR, "SPER" },
    { RSRTX_VAL_UART_FRAME_PARITY_ERROR, "PRER" },
    { RSRTX_VAL_UART_FRAME_BREAK, "BRE" },
    { RSRTX_VAL_UART_FRAME_INCOMPLETE, "INS" }
  };
RsCoreRangeTableDiscrete RsRtx_rngUARTFrameState = { 6, RsRtx_rngUARTFrameStateEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngIdleStatePolarityEntries[2] =
  {
    { RSRTX_VAL_UART_POLARITY_IDLE_HIGH, "IDLH" },
    { RSRTX_VAL_UART_POLARITY_IDLE_LOW, "IDLL" }
  };
RsCoreRangeTableDiscrete RsRtx_rngIdleStatePolarity = { 2, RsRtx_rngIdleStatePolarityEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMathWaveformColorEntries[13] =
  {
    { RSRTX_VALUE_WAVEFORM_COLOR_DEFAULT, "DEF" },
    { RSRTX_VALUE_WAVEFORM_COLOR_TEMPERATURE, "TEMP" },
    { RSRTX_VALUE_WAVEFORM_COLOR_RAINBOW, "RAIN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_FIRE, "FIRE" },
    { RSRTX_VALUE_WAVEFORM_COLOR_YELLOW, "YELL" },
    { RSRTX_VALUE_WAVEFORM_COLOR_GREEN, "GRE" },
    { RSRTX_VALUE_WAVEFORM_COLOR_ORANGE, "ORAN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_BLUE, "BLUE" },
    { RSRTX_VALUE_WAVEFORM_COLOR_LIGHT_BLUE, "LBL" },
    { RSRTX_VALUE_WAVEFORM_COLOR_WHITE, "WHIT" },
    { RSRTX_VALUE_WAVEFORM_COLOR_CYAN, "CYAN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_PINK, "PINK" },
    { RSRTX_VALUE_WAVEFORM_COLOR_RED, "RED" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMathWaveformColor = { 13, RsRtx_rngMathWaveformColorEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngChannelWaveformColorEntries[4] =
  {
    { RSRTX_VALUE_WAVEFORM_COLOR_DEFAULT, "DEF" },
    { RSRTX_VALUE_WAVEFORM_COLOR_TEMPERATURE, "TEMP" },
    { RSRTX_VALUE_WAVEFORM_COLOR_RAINBOW, "RAIN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_FIRE, "FIRE" }
  };
RsCoreRangeTableDiscrete RsRtx_rngChannelWaveformColor = { 4, RsRtx_rngChannelWaveformColorEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMaskCaptureModeEntries[2] =
  {
    { RSRTX_VAL_MASK_CAPTURE_ALL, "ALL" },
    { RSRTX_VAL_MASK_CAPTURE_FAILED, "FAIL" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMaskCaptureMode = { 2, RsRtx_rngMaskCaptureModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngPWMMotorDirectionEntries[2] =
  {
    { RSRTX_VAL_POSITIVE, "POS" },
    { RSRTX_VAL_NEGATIVE, "NEG" }
  };
RsCoreRangeTableDiscrete RsRtx_rngPWMMotorDirection = { 2, RsRtx_rngPWMMotorDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngReferenceWaveformColorEntries[13] =
  {
    { RSRTX_VALUE_WAVEFORM_COLOR_DEFAULT, "DEF" },
    { RSRTX_VALUE_WAVEFORM_COLOR_TEMPERATURE, "TEMP" },
    { RSRTX_VALUE_WAVEFORM_COLOR_RAINBOW, "RAIN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_FIRE, "FIRE" },
    { RSRTX_VALUE_WAVEFORM_COLOR_YELLOW, "YELL" },
    { RSRTX_VALUE_WAVEFORM_COLOR_GREEN, "GRE" },
    { RSRTX_VALUE_WAVEFORM_COLOR_ORANGE, "ORAN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_BLUE, "BLUE" },
    { RSRTX_VALUE_WAVEFORM_COLOR_LIGHT_BLUE, "LBL" },
    { RSRTX_VALUE_WAVEFORM_COLOR_WHITE, "WHIT" },
    { RSRTX_VALUE_WAVEFORM_COLOR_CYAN, "CYAN" },
    { RSRTX_VALUE_WAVEFORM_COLOR_PINK, "PINK" },
    { RSRTX_VALUE_WAVEFORM_COLOR_RED, "RED" }
  };
RsCoreRangeTableDiscrete RsRtx_rngReferenceWaveformColor = { 13, RsRtx_rngReferenceWaveformColorEntries };

RsCoreRangeTableRanged RsRtx_rngEthernetIPPort = { 1024, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngCounterSourceEntries[5] =
  {
    { RSRTX_VAL_COUNTER_SOURCE_TRIGGER, "TRIG" },
    { RSRTX_VAL_COUNTER_SOURCE_CHANNEL1, "CH1" },
    { RSRTX_VAL_COUNTER_SOURCE_CHANNEL2, "CH2" },
    { RSRTX_VAL_COUNTER_SOURCE_CHANNEL3, "CH3" },
    { RSRTX_VAL_COUNTER_SOURCE_CHANNEL4, "CH4" }
  };
RsCoreRangeTableDiscrete RsRtx_rngCounterSource = { 5, RsRtx_rngCounterSourceEntries };

RsCoreRangeTableRanged rsrtx_rngProtocolLINDataLength = { 1, 8, "Bytes" };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWaveformExportParameterEntries[15] =
  {
    { RSRTX_VAL_WAV_CH1, "CH1" },
    { RSRTX_VAL_WAV_CH2, "CH2" },
    { RSRTX_VAL_WAV_CH3, "CH3" },
    { RSRTX_VAL_WAV_CH4, "CH4" },
    { RSRTX_VAL_WAV_M1, "MA1" },
    { RSRTX_VAL_WAV_M2, "MA2" },
    { RSRTX_VAL_WAV_M3, "MA3" },
    { RSRTX_VAL_WAV_M4, "MA4" },
    { RSRTX_VAL_WAV_M5, "MA5" },
    { RSRTX_VAL_WAV_R1, "RE1" },
    { RSRTX_VAL_WAV_R2, "RE2" },
    { RSRTX_VAL_WAV_R3, "RE3" },
    { RSRTX_VAL_WAV_R4, "RE4" },
    { RSRTX_VAL_WAV_D70, "D70" },
    { RSRTX_VAL_WAV_D158, "D158" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWaveformExportParameter = { 15, rsrtx_rngWaveformExportParameterEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngReferenceWaveformParameterEntries[19] =
  {
    { RSRTX_VAL_WAV_CH1, "CH1" },
    { RSRTX_VAL_WAV_CH2, "CH2" },
    { RSRTX_VAL_WAV_CH3, "CH3" },
    { RSRTX_VAL_WAV_CH4, "CH4" },
    { RSRTX_VAL_WAV_M1, "MA1" },
    { RSRTX_VAL_WAV_M2, "MA2" },
    { RSRTX_VAL_WAV_M3, "MA3" },
    { RSRTX_VAL_WAV_M4, "MA4" },
    { RSRTX_VAL_WAV_M5, "MA5" },
    { RSRTX_VAL_WAV_R1, "RE1" },
    { RSRTX_VAL_WAV_R2, "RE2" },
    { RSRTX_VAL_WAV_R3, "RE3" },
    { RSRTX_VAL_WAV_R4, "RE4" },
    { RSRTX_VAL_WAV_D70, "D70" },
    { RSRTX_VAL_WAV_D158, "D158" },
    { RSRTX_VAL_WAV_SPEC, "SPEC" },
    { RSRTX_VAL_WAV_MINH, "MINH" },
    { RSRTX_VAL_WAV_MAXH, "MAXH" },
    { RSRTX_VAL_WAV_AVER, "AVER" }
  };
RsCoreRangeTableDiscrete rsrtx_rngReferenceWaveformParameter = { 19, rsrtx_rngReferenceWaveformParameterEntries };

RsCoreRangeTableRanged RsRtx_rngProbeZeroAdjust = { -100.0, 100.0, "%" };

static RsCoreRangeTableDiscreteEntry RsRtx_rngProbeInputVoltageRangeEntries[3] =
  {
    { RSRTX_VAL_PROBE_INPUT_VOLTAGE_AUTO, "AUTO" },
    { RSRTX_VAL_PROBE_INPUT_VOLTAGE_HIGH, "MHIG" },
    { RSRTX_VAL_PROBE_INPUT_VOLTAGE_LOW, "MLOW" }
  };
RsCoreRangeTableDiscrete RsRtx_rngProbeInputVoltageRange = { 3, RsRtx_rngProbeInputVoltageRangeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngProbeMeasModeEntries[4] =
  {
    { RSRTX_VAL_PROBE_MEAS_MODE_DIFFERENTIAL, "DMOD" },
    { RSRTX_VAL_PROBE_MEAS_MODE_COMMON, "CMOD" },
    { RSRTX_VAL_PROBE_MEAS_MODE_POSITIVE, "PMOD" },
    { RSRTX_VAL_PROBE_MEAS_MODE_NEGATIVE, "NMOD" }
  };
RsCoreRangeTableDiscrete RsRtx_rngProbeMeasMode = { 4, RsRtx_rngProbeMeasModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngMeasurementDelayDirectionEntries[3] =
  {
    { RSRTX_VAL_MEAS_DELAY_DIRECTION_NEAR, "NEAR" },
    { RSRTX_VAL_MEAS_DELAY_DIRECTION_FRFI, "FRFI" },
    { RSRTX_VAL_MEAS_DELAY_DIRECTION_FRLA, "FRLA" }
  };
RsCoreRangeTableDiscrete RsRtx_rngMeasurementDelayDirection = { 3, RsRtx_rngMeasurementDelayDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngBurstTriggerModeEntries[2] =
  {
    { RSRTX_VAL_BURST_TRIGGER_MODE_CONTINUOUS, "CONT" },
    { RSRTX_VAL_BURST_TRIGGER_MODE_SINGLE, "SING" }
  };
RsCoreRangeTableDiscrete RsRtx_rngBurstTriggerMode = { 2, RsRtx_rngBurstTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsRtx_rngChannelAndDigitalSourceEntries[20] =
  {
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1, "CH1" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH2, "CH2" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH3, "CH3" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH4, "CH4" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D0, "D0" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D1, "D1" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D2, "D2" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D3, "D3" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D4, "D4" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D5, "D5" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D6, "D6" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D7, "D7" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D8, "D8" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D9, "D9" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D10, "D10" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D11, "D11" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D12, "D12" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D13, "D13" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D14, "D14" },
    { RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete RsRtx_rngChannelAndDigitalSource = { 20, RsRtx_rngChannelAndDigitalSourceEntries };

static RsCoreRangeTableDiscreteEntry rsrtx_rngWaveformGeneratorSweepTypeEntries[3] =
  {
    { RSRTX_VAL_WAVEFORM_GENERATOR_SWEEP_TYPE_LINEAR, "LIN" },
    { RSRTX_VAL_WAVEFORM_GENERATOR_SWEEP_TYPE_LOGARITHMIC, "LOG" },
    { RSRTX_VAL_WAVEFORM_GENERATOR_SWEEP_TYPE_TRIANGLE, "TRI" }
  };
RsCoreRangeTableDiscrete rsrtx_rngWaveformGeneratorSweepType = { 3, rsrtx_rngWaveformGeneratorSweepTypeEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RECORD_LENGTH_AUTOMATIC =
  {
    RSRTX_ATTR_RECORD_LENGTH_AUTOMATIC,
    "Record Length Automatic",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:POIN:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RECORD_LENGTH =
  {
    RSRTX_ATTR_RECORD_LENGTH,
    "Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:POIN",
    // Defaults I32, I64, Float, Bool, String
    10000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACQUIRE_MODE =
  {
    RSRTX_ATTR_ACQUIRE_MODE,
    "Acquire Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngAcquisitionMode, NULL, NULL,
    "ACQ:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACQUISTION_MODE_REFRESH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PEAK_DETECT =
  {
    RSRTX_ATTR_PEAK_DETECT,
    "Peak Detect",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:PEAK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_OffOrAutoBool_ReadCallback,
    rsrtx_OffOrAutoBool_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HIGH_RESOLUTION =
  {
    RSRTX_ATTR_HIGH_RESOLUTION,
    "High Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:HRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_OffOrAutoBool_ReadCallback,
    rsrtx_OffOrAutoBool_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_INTERPOLATION =
  {
    RSRTX_ATTR_INTERPOLATION,
    "Interpolation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngInterpolation, NULL, NULL,
    "ACQ:INT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SINE_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_NUM_AVERAGES =
  {
    RSRTX_ATTR_NUM_AVERAGES,
    "Number of Averages",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngNumberofAverages, NULL,
    "ACQ:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_NUM_AVERAGES_CURRENT =
  {
    RSRTX_ATTR_NUM_AVERAGES_CURRENT,
    "Number of Averages Current",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:AVER:CURR?",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_NUM_AVERAGES_RESET =
  {
    RSRTX_ATTR_NUM_AVERAGES_RESET,
    "Number of Averages Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ACQ:AVER:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEMORY_MODE =
  {
    RSRTX_ATTR_MEMORY_MODE,
    "Memory Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngMemoryMode, NULL, NULL,
    "ACQ:MEM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MEMORY_MODE_AUTOMATIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AVERAGING_STATUS =
  {
    RSRTX_ATTR_AVERAGING_STATUS,
    "Averaging Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:AVER:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_NUMBER_OF_WAVEFORMS =
  {
    RSRTX_ATTR_NUMBER_OF_WAVEFORMS,
    "Number Of Waveforms",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngNumberOfWaveforms, NULL,
    "ACQ:NSIN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SAMPLE_MODE =
  {
    RSRTX_ATTR_SAMPLE_MODE,
    "Sample Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSampleMode, NULL, NULL,
    "ACQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_REAL_TIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_RATE_MAXIMUM =
  {
    RSRTX_ATTR_WAVEFORM_RATE_MAXIMUM,
    "Waveform Rate Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:WRAT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_TIME_PER_RECORD =
  {
    RSRTX_ATTR_HORZ_TIME_PER_RECORD,
    "Horizontal Time Per Record",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngHorzAcquisitionTime, NULL,
    "TIM:ACQT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_SCALE =
  {
    RSRTX_ATTR_HORZ_SCALE,
    "Horizontal Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngHorzScale, NULL,
    "TIM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ROLL_MODE_AUTOMATIC =
  {
    RSRTX_ATTR_ROLL_MODE_AUTOMATIC,
    "Roll Mode Automatic",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TIM:ROLL:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ROLL_MODE_MINIMUM_TIME_BASE =
  {
    RSRTX_ATTR_ROLL_MODE_MINIMUM_TIME_BASE,
    "Roll Mode Minimum Time Base",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:ROLL:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACQUSITION_START_TIME =
  {
    RSRTX_ATTR_ACQUSITION_START_TIME,
    "Acqusition Start Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngAcquisitionStartTime, NULL,
    "TIM:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACQUISITION_TIME =
  {
    RSRTX_ATTR_ACQUISITION_TIME,
    "Acquisition Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:RAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_ADC_SAMPLE_RATE =
  {
    RSRTX_ATTR_HORZ_ADC_SAMPLE_RATE,
    "Horizontal ADC Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:POIN:ARAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_SAMPLE_RATE =
  {
    RSRTX_ATTR_HORZ_SAMPLE_RATE,
    "Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOSCALE =
  {
    RSRTX_ATTR_AUTOSCALE,
    "Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_DIVISIONS =
  {
    RSRTX_ATTR_HORZ_DIVISIONS,
    "Horizontal Divisions",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:DIV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_REFERENCE =
  {
    RSRTX_ATTR_HORZ_REFERENCE,
    "Horizontal Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngHorzReference, NULL,
    "TIM:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ROLL_MODE =
  {
    RSRTX_ATTR_ROLL_MODE,
    "Roll Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TIM:ROLL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TIMESTAMPS_FILENAME =
  {
    RSRTX_ATTR_TIMESTAMPS_FILENAME,
    "Timestamps Filename",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:ATAB:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TIMESTAMPS_SAVE =
  {
    RSRTX_ATTR_TIMESTAMPS_SAVE,
    "Timestamps Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:ATAB:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACQUISITION_TYPE =
  {
    RSRTX_ATTR_ACQUISITION_TYPE,
    "Acquisition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAcquisitionType, NULL, NULL,
    "CHAN{Channel}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_ACQUISITION_TYPE =
  {
    RSRTX_ATTR_WAVEFORM_ACQUISITION_TYPE,
    "Waveform Acquisition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformArithmetics, NULL, NULL,
    "CHAN{Channel}:ARIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HORZ_RECORD_LENGTH =
  {
    RSRTX_ATTR_HORZ_RECORD_LENGTH,
    "Horizontal Record Length",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngWaveformSamplesRange, NULL, NULL,
    "CHAN{Channel}:DATA:POIN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVEFORM_SAMPLES_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_GET_HORZ_RECORD_LENGTH =
  {
    RSRTX_ATTR_GET_HORZ_RECORD_LENGTH,
    "Get Horizontal Record Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_TYPE =
  {
    RSRTX_ATTR_PROBE_TYPE,
    "Probe Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_NAME =
  {
    RSRTX_ATTR_PROBE_NAME,
    "Probe Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:NAME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "probe",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_INPUT_IMPEDANCE =
  {
    RSRTX_ATTR_PROBE_INPUT_IMPEDANCE,
    "Probe Input Impedance",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProbeInputImpedance, NULL, NULL,
    "PROB{Channel}:SET:IMP?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UNKNOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_INPUT_CAPACITANCE =
  {
    RSRTX_ATTR_PROBE_INPUT_CAPACITANCE,
    "Probe Input Capacitance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:CAP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_DEGAUSS =
  {
    RSRTX_ATTR_PROBE_DEGAUSS,
    "Probe Degauss",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:DEG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_ATTENUATION =
  {
    RSRTX_ATTR_PROBE_ATTENUATION,
    "Probe Attenuation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_GAIN =
  {
    RSRTX_ATTR_PROBE_GAIN,
    "Probe Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngProbeGain, NULL,
    "PROB{Channel}:SET:GAIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_BANDWIDTH =
  {
    RSRTX_ATTR_PROBE_BANDWIDTH,
    "Probe Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:BANDwidth?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_DC_OFFSET =
  {
    RSRTX_ATTR_PROBE_DC_OFFSET,
    "Probe DC Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:DCOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_CM_OFFSET =
  {
    RSRTX_ATTR_PROBE_CM_OFFSET,
    "Probe CM Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:CMOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_ADDITIONAL_OFFSET =
  {
    RSRTX_ATTR_PROBE_ADDITIONAL_OFFSET,
    "Probe Additional Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:UOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_VOLTMETER_ENABLED =
  {
    RSRTX_ATTR_PROBE_VOLTMETER_ENABLED,
    "Probe Voltmeter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_ATTENUATION_UNIT =
  {
    RSRTX_ATTR_PROBE_ATTENUATION_UNIT,
    "Probe Attenuation Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProbeUnit, NULL, NULL,
    "PROB{Channel}:SET:ATT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PROBE_UNIT_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_ATTENUATION_MANUAL =
  {
    RSRTX_ATTR_PROBE_ATTENUATION_MANUAL,
    "Probe Attenuation Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProbeAttenuation, NULL,
    "PROB{Channel}:SET:ATT:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_GAIN_UNIT =
  {
    RSRTX_ATTR_PROBE_GAIN_UNIT,
    "Probe Gain Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProbeUnit, NULL, NULL,
    "PROB{Channel}:SET:GAIN:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PROBE_UNIT_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_GAIN_MANUAL =
  {
    RSRTX_ATTR_PROBE_GAIN_MANUAL,
    "Probe Gain Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngProbeGain, NULL,
    "PROB{Channel}:SET:GAIN:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_MICRO_BUTTON_ACTION =
  {
    RSRTX_ATTR_PROBE_MICRO_BUTTON_ACTION,
    "Probe Micro Button Action",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProbeButtonAction, NULL, NULL,
    "PROB{Channel}:SET:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PROBE_BUTTON_RUN_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_SOFTWARE_VERSION =
  {
    RSRTX_ATTR_PROBE_SOFTWARE_VERSION,
    "Probe Software Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:SWV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_PRODUCTION_DATE =
  {
    RSRTX_ATTR_PROBE_PRODUCTION_DATE,
    "Probe Production Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:PRD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.1.2013",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_PART_NUMBER =
  {
    RSRTX_ATTR_PROBE_PART_NUMBER,
    "Probe Part Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:PART?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_BUILD_NUMBER =
  {
    RSRTX_ATTR_PROBE_BUILD_NUMBER,
    "Probe Build Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:BUIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_SERIAL_NUMBER =
  {
    RSRTX_ATTR_PROBE_SERIAL_NUMBER,
    "Probe Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:SRN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SN1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_COPY_TO_OFFSET =
  {
    RSRTX_ATTR_PROBE_COPY_TO_OFFSET,
    "Probe Copy To Offset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:PMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_ATTENUATOR_RT_ZA15_ENABLED =
  {
    RSRTX_ATTR_PROBE_ATTENUATOR_RT_ZA15_ENABLED,
    "Probe Attenuator RT ZA15 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ZAXV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_ZERO_ADJUST =
  {
    RSRTX_ATTR_PROBE_ZERO_ADJUST,
    "Probe Zero Adjust",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngProbeZeroAdjust, NULL,
    "PROB{Channel}:SET:ADV:ZADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_SAVE_ZERO_ADJUST =
  {
    RSRTX_ATTR_PROBE_SAVE_ZERO_ADJUST,
    "Probe Save Zero Adjust",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:STPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_INPUT_VOLTAGE_RANGE =
  {
    RSRTX_ATTR_PROBE_INPUT_VOLTAGE_RANGE,
    "Probe Input Voltage Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngProbeInputVoltageRange, NULL, NULL,
    "PROB{Channel}:SET:ADV:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PROBE_INPUT_VOLTAGE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_BANDWIDTH_LIMIT =
  {
    RSRTX_ATTR_PROBE_BANDWIDTH_LIMIT,
    "Probe Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_AUDIBLE_OVERRANGE =
  {
    RSRTX_ATTR_PROBE_AUDIBLE_OVERRANGE,
    "Probe Audible Overrange",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:AUD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_MEAS_MODE =
  {
    RSRTX_ATTR_PROBE_MEAS_MODE,
    "Probe Meas Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngProbeMeasMode, NULL, NULL,
    "PROB{Channel}:SET:PRM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PROBE_MEAS_MODE_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_AC_COUPLING =
  {
    RSRTX_ATTR_PROBE_AC_COUPLING,
    "Probe AC Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ACC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_METER_VISIBILITY =
  {
    RSRTX_ATTR_PROBE_METER_VISIBILITY,
    "Probe Meter Visibility",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:VIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_METER_RESULT_SINGLE =
  {
    RSRTX_ATTR_PROBE_METER_RESULT_SINGLE,
    "Probe Meter Result Single",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:SING?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_METER_RESULT_COMMON =
  {
    RSRTX_ATTR_PROBE_METER_RESULT_COMMON,
    "Probe Meter Result Common",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:COMM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_METER_RESULT_DIFFERENTIAL =
  {
    RSRTX_ATTR_PROBE_METER_RESULT_DIFFERENTIAL,
    "Probe Meter Result Differential",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:DIFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_METER_RESULT_NEGATIVE =
  {
    RSRTX_ATTR_PROBE_METER_RESULT_NEGATIVE,
    "Probe Meter Result Negative",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:NEG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROBE_METER_RESULT_POSITIVE =
  {
    RSRTX_ATTR_PROBE_METER_RESULT_POSITIVE,
    "Probe Meter Result Positive",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:POS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LABEL_ENABLED =
  {
    RSRTX_ATTR_LABEL_ENABLED,
    "Label Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:LAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LABEL_NAME =
  {
    RSRTX_ATTR_LABEL_NAME,
    "Label Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BUS_LABEL_ENABLED =
  {
    RSRTX_ATTR_BUS_LABEL_ENABLED,
    "Bus Label Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BUS_LABEL_NAME =
  {
    RSRTX_ATTR_BUS_LABEL_NAME,
    "Bus Label Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_ENABLED =
  {
    RSRTX_ATTR_CHANNEL_ENABLED,
    "Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_VERTICAL_RANGE =
  {
    RSRTX_ATTR_VERTICAL_RANGE,
    "Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_VERTICAL_COUPLING =
  {
    RSRTX_ATTR_VERTICAL_COUPLING,
    "Vertical Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngVerticalCoupling, NULL, NULL,
    "CHAN{Channel}:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DC_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_VERTICAL_SCALE =
  {
    RSRTX_ATTR_VERTICAL_SCALE,
    "Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_OFFSET =
  {
    RSRTX_ATTR_CHANNEL_OFFSET,
    "Channel Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_ZERO_OFFSET =
  {
    RSRTX_ATTR_CHANNEL_ZERO_OFFSET,
    "Channel Zero Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:ZOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_BANDWIDTH_LIMIT =
  {
    RSRTX_ATTR_CHANNEL_BANDWIDTH_LIMIT,
    "Channel Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngChannelBWLimit, NULL, NULL,
    "CHAN{Channel}:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BW_FULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_POLARITY =
  {
    RSRTX_ATTR_CHANNEL_POLARITY,
    "Channel Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngChannelPolarity, NULL, NULL,
    "CHAN{Channel}:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_OVERLOAD =
  {
    RSRTX_ATTR_CHANNEL_OVERLOAD,
    "Channel Overload",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_SKEW =
  {
    RSRTX_ATTR_CHANNEL_SKEW,
    "Channel Skew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:SKEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_THRESHOLD =
  {
    RSRTX_ATTR_CHANNEL_THRESHOLD,
    "Channel Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_THRESHOLD_HYSTERESIS =
  {
    RSRTX_ATTR_CHANNEL_THRESHOLD_HYSTERESIS,
    "Channel Threshold Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngThresholdHysteresis, NULL, NULL,
    "CHAN{Channel}:THR:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRESHOLD_HYSTERESIS_SMALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_POSITION =
  {
    RSRTX_ATTR_CHANNEL_POSITION,
    "Channel Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngChannelPosition, NULL,
    "CHAN{Channel}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_WAVEFORM_COLOR =
  {
    RSRTX_ATTR_CHANNEL_WAVEFORM_COLOR,
    "Channel Waveform Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelWaveformColor, NULL, NULL,
    "CHAN{Channel}:WCOL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VALUE_WAVEFORM_COLOR_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_FIND_LEVEL =
  {
    RSRTX_ATTR_PROTOCOL_FIND_LEVEL,
    "Protocol Find Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN{Channel}:THR:FIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_ALL_OFF =
  {
    RSRTX_ATTR_CHANNEL_ALL_OFF,
    "Channel All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANNEL_ALL_ON =
  {
    RSRTX_ATTR_CHANNEL_ALL_ON,
    "Channel All On",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN:AON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_ENABLED =
  {
    RSRTX_ATTR_DIGITAL_ENABLED,
    "Digital Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_DESKEW =
  {
    RSRTX_ATTR_DIGITAL_DESKEW,
    "Digital Deskew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:DESK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_THRESHOLD =
  {
    RSRTX_ATTR_DIGITAL_THRESHOLD,
    "Digital Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_TECHNOLOGY =
  {
    RSRTX_ATTR_DIGITAL_TECHNOLOGY,
    "Digital Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngDigitalTechnology, NULL, NULL,
    "DIG{Digital}:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DIGITAL_TECHNOLOGY_MANUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_HYSTERESIS =
  {
    RSRTX_ATTR_DIGITAL_HYSTERESIS,
    "Digital Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngDigitalHysteresis, NULL, NULL,
    "DIG{Digital}:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DIGITAL_HYSTERESIS_SMALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_APPLY =
  {
    RSRTX_ATTR_DIGITAL_APPLY,
    "Digital Apply",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_LABEL =
  {
    RSRTX_ATTR_DIGITAL_LABEL,
    "Digital Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{Digital}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_LABEL_ENABLED =
  {
    RSRTX_ATTR_DIGITAL_LABEL_ENABLED,
    "Digital Label Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:LAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_VERTICAL_CHANNEL_SIZE =
  {
    RSRTX_ATTR_DIGITAL_VERTICAL_CHANNEL_SIZE,
    "Digital Vertical Channel Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:SIZE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_VERTICAL_POSITION =
  {
    RSRTX_ATTR_DIGITAL_VERTICAL_POSITION,
    "Digital Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MAXIMUM =
  {
    RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MAXIMUM,
    "Digital Current Status Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:CURR:STAT:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MINIMUM =
  {
    RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MINIMUM,
    "Digital Current Status Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:CURR:STAT:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_PROBE_ENABLED =
  {
    RSRTX_ATTR_DIGITAL_PROBE_ENABLED,
    "Digital Probe Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:PROB:ENAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_POINT_SELECTION =
  {
    RSRTX_ATTR_DIGITAL_POINT_SELECTION,
    "Digital Point Selection",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngPointSelection, NULL, NULL,
    "DIG{Digital}:DATA:POIN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POINT_SELECTION_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_STATE =
  {
    RSRTX_ATTR_LOGIC_STATE,
    "Logic State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG{Logic}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_TYPE =
  {
    RSRTX_ATTR_LOGIC_TYPE,
    "Logic Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngLogicType, NULL, NULL,
    "LOG{Logic}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LOGIC_TYPE_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_THRESHOLD =
  {
    RSRTX_ATTR_LOGIC_THRESHOLD,
    "Logic Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngLogicThreshold, NULL, NULL,
    "LOG{Logic}:THR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LOGIC_THRESHOLD_TTL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_THRESHOLD_USER_LEVEL =
  {
    RSRTX_ATTR_LOGIC_THRESHOLD_USER_LEVEL,
    "Logic Threshold User Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG{Logic}:THR:UDL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_HYSTERESIS =
  {
    RSRTX_ATTR_LOGIC_HYSTERESIS,
    "Logic Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngLogicHysteresis, NULL, NULL,
    "LOG{Logic}:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HYSTERESIS_SMALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_ARITHMETICS =
  {
    RSRTX_ATTR_LOGIC_ARITHMETICS,
    "Logic Arithmetics",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformArithmetics, NULL, NULL,
    "LOG{Logic}:ARIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_PROBE_CONNECTED =
  {
    RSRTX_ATTR_LOGIC_PROBE_CONNECTED,
    "Logic Probe Connected",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG{Logic}:PROB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_CURRENT_MAXIMUM =
  {
    RSRTX_ATTR_LOGIC_CURRENT_MAXIMUM,
    "Logic Current Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rngLogicCurrent, NULL,
    "LOG{Logic}:CURR:STAT:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_CURRENT_MINIMUM =
  {
    RSRTX_ATTR_LOGIC_CURRENT_MINIMUM,
    "Logic Current Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rngLogicCurrent, NULL,
    "LOG{Logic}:CURR:STAT:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_POINT_SELECTION =
  {
    RSRTX_ATTR_LOGIC_POINT_SELECTION,
    "Logic Point Selection",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngPointSelection, NULL, NULL,
    "LOG{Logic}:DATA:POIN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POINT_SELECTION_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_WAVEFORM_DATA_POINTS =
  {
    RSRTX_ATTR_LOGIC_WAVEFORM_DATA_POINTS,
    "Logic Waveform Data Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LOG{Logic}:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_TYPE_A =
  {
    RSRTX_ATTR_TRIGGER_TYPE_A,
    "Trigger Type A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerType, NULL, NULL,
    "TRIG:A:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_EDGE_TRIGGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_SOURCE_A =
  {
    RSRTX_ATTR_TRIGGER_SOURCE_A,
    "Trigger Source A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerSource, NULL, NULL,
    "TRIG:A:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_SOURCE_B =
  {
    RSRTX_ATTR_TRIGGER_SOURCE_B,
    "Trigger Source B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerSource, NULL, NULL,
    "TRIG:B:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXTERNAL_TRIGGER_COUPLING =
  {
    RSRTX_ATTR_EXTERNAL_TRIGGER_COUPLING,
    "External Trigger Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngExternalTriggerCoupling, NULL, NULL,
    "TRIG:EXT:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COUPLING_AC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXTERNAL_TRIGGER_TERMINATION =
  {
    RSRTX_ATTR_EXTERNAL_TRIGGER_TERMINATION,
    "External Trigger Termination",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EXT:TERM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXTERNAL_TRIGGER_OVERLOAD =
  {
    RSRTX_ATTR_EXTERNAL_TRIGGER_OVERLOAD,
    "External Trigger Overload",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EXT:OVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_HOLDOFF_TIME =
  {
    RSRTX_ATTR_TRIGGER_HOLDOFF_TIME,
    "Trigger Holdoff Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:HOLD:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_HOLDOFF_MODE =
  {
    RSRTX_ATTR_TRIGGER_HOLDOFF_MODE,
    "Trigger Holdoff Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerHoldoffMode, NULL, NULL,
    "TRIG:A:HOLD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HOLDOFF_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_HYSTERESIS_A =
  {
    RSRTX_ATTR_TRIGGER_HYSTERESIS_A,
    "Trigger Hysteresis A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHysteresisMode, NULL, NULL,
    "TRIG:A:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HYSTERESIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_HYSTERESIS_A_LEVEL =
  {
    RSRTX_ATTR_TRIGGER_HYSTERESIS_A_LEVEL,
    "Trigger Hysteresis A Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:LEV1:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_HYSTERESIS_B =
  {
    RSRTX_ATTR_TRIGGER_HYSTERESIS_B,
    "Trigger Hysteresis B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHysteresisMode, NULL, NULL,
    "TRIG:B:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HYSTERESIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_HYSTERESIS_B_LEVEL =
  {
    RSRTX_ATTR_TRIGGER_HYSTERESIS_B_LEVEL,
    "Trigger Hysteresis B Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:B:LEV:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_ENABLED =
  {
    RSRTX_ATTR_TRIGGER_ENABLED,
    "Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:B:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_MODIFIER_A =
  {
    RSRTX_ATTR_TRIGGER_MODIFIER_A,
    "Trigger Modifier A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerMode, NULL, NULL,
    "TRIG:A:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRIGGER_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_MODIFIER_B =
  {
    RSRTX_ATTR_TRIGGER_MODIFIER_B,
    "Trigger Modifier B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerMode, NULL, NULL,
    "TRIG:B:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRIGGER_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_EVENT_COUNT =
  {
    RSRTX_ATTR_TRIGGER_EVENT_COUNT,
    "Trigger Event Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:B:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_A =
  {
    RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_A,
    "Trigger Level Auto Find A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:A:FIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_B =
  {
    RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_B,
    "Trigger Level Auto Find B",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:B:FIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_LEVEL_LOWER =
  {
    RSRTX_ATTR_TRIGGER_LEVEL_LOWER,
    "Trigger Level Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:LEV1:RIS:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_LEVEL_UPPER =
  {
    RSRTX_ATTR_TRIGGER_LEVEL_UPPER,
    "Trigger Level Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:LEV1:RIS:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_DELAY =
  {
    RSRTX_ATTR_TRIGGER_DELAY,
    "Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngTrgDelay, NULL,
    "TRIG:B:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_LEVEL_A =
  {
    RSRTX_ATTR_TRIGGER_LEVEL_A,
    "Trigger Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngTriggerLevel, NULL,
    "TRIG:A:LEV{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_LEVEL_B =
  {
    RSRTX_ATTR_TRIGGER_LEVEL_B,
    "Trigger Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:B:LEV{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_SLOPE_A =
  {
    RSRTX_ATTR_TRIGGER_SLOPE_A,
    "Trigger Slope A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerSlope, NULL, NULL,
    "TRIG:A:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_SLOPE_B =
  {
    RSRTX_ATTR_TRIGGER_SLOPE_B,
    "Trigger Slope B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerSlope, NULL, NULL,
    "TRIG:B:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_COUPLING =
  {
    RSRTX_ATTR_TRIGGER_COUPLING,
    "Trigger Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerCoupling, NULL, NULL,
    "TRIG:A:EDGE:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COUPLING_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_FILTER_HIGH =
  {
    RSRTX_ATTR_TRIGGER_FILTER_HIGH,
    "Trigger Filter High",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:EDGE:FILT:NREJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_FILTER_HF_REJECT =
  {
    RSRTX_ATTR_TRIGGER_FILTER_HF_REJECT,
    "Trigger Filter HF Reject",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:EDGE:FILT:HFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TV_TRIGGER_EVENT =
  {
    RSRTX_ATTR_TV_TRIGGER_EVENT,
    "TV Trigger Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTVTriggerEvent, NULL, NULL,
    "TRIG:A:TV:FIEL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TV_EVENT_ANY_FIELD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TV_TRIGGER_LINE_NUMBER =
  {
    RSRTX_ATTR_TV_TRIGGER_LINE_NUMBER,
    "TV Trigger Line Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngLineNumber, NULL,
    "TRIG:A:TV:LINE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TV_TRIGGER_POLARITY =
  {
    RSRTX_ATTR_TV_TRIGGER_POLARITY,
    "TV Trigger Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "TRIG:A:TV:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TV_STANDARD =
  {
    RSRTX_ATTR_TV_STANDARD,
    "TV Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTVStandard, NULL, NULL,
    "TRIG:A:TV:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TV_STANDART_PAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WIDTH =
  {
    RSRTX_ATTR_WIDTH,
    "Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    19.2E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WIDTH_DELTA =
  {
    RSRTX_ATTR_WIDTH_DELTA,
    "Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6.40E-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WIDTH_POLARITY =
  {
    RSRTX_ATTR_WIDTH_POLARITY,
    "Width Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "TRIG:A:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WIDTH_CONDITION =
  {
    RSRTX_ATTR_WIDTH_CONDITION,
    "Width Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWidthCondition, NULL, NULL,
    "TRIG:A:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_SOURCE =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_SOURCE,
    "Trigger Pattern Source",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:PATT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_FUNCTION =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_FUNCTION,
    "Trigger Pattern Function",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerPatternFunction, NULL, NULL,
    "TRIG:A:PATT:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRG_PATTERN_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_POINT_ENABLED =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_POINT_ENABLED,
    "Trigger Pattern Point Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:PATT:COND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_PatternCondition_ReadCallback,
    rsrtx_PatternCondition_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_MODE =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_MODE,
    "Trigger Pattern Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerPatternMode, NULL, NULL,
    "TRIG:A:PATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PATTERN_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_WIDTH,
    "Trigger Pattern Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:PATT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.99999989e-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_DELTA =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_DELTA,
    "Trigger Pattern Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:PATT:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0485600E-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_CONDITION =
  {
    RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_CONDITION,
    "Trigger Pattern Width Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWidthCondition, NULL, NULL,
    "TRIG:A:PATT:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_WINDOW_RANGE =
  {
    RSRTX_ATTR_TRIGGER_WINDOW_RANGE,
    "Trigger Window Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWindowRange, NULL, NULL,
    "TRIG:A:WIND:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_RANGE_ENTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_WINDOW_WIDTH =
  {
    RSRTX_ATTR_TRIGGER_WINDOW_WIDTH,
    "Trigger Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:WIND:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_WINDOW_TIME_RANGE =
  {
    RSRTX_ATTR_TRIGGER_WINDOW_TIME_RANGE,
    "Trigger Window Time Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWidthCondition, NULL, NULL,
    "TRIG:A:WIND:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_TIME_POLARITY =
  {
    RSRTX_ATTR_TRIGGER_TIME_POLARITY,
    "Trigger Time Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "TRIG:A:RIS:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_TIME_CONDITION =
  {
    RSRTX_ATTR_TRIGGER_TIME_CONDITION,
    "Trigger Time Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWidthCondition, NULL, NULL,
    "TRIG:A:RIS:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_TIME =
  {
    RSRTX_ATTR_TRIGGER_TIME,
    "Trigger Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:RIS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-7,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_TIME_DELTA =
  {
    RSRTX_ATTR_TRIGGER_TIME_DELTA,
    "Trigger Time Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:RIS:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9.60e-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_ENABLED =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_ENABLED,
    "Actions On Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EVEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SOUND =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_SOUND,
    "Actions On Trigger Sound",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EVEN:SOUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT,
    "Actions On Trigger Screenshot",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EVEN:SCRS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT_DESTINATION =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT_DESTINATION,
    "Actions On Trigger Screenshot Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:EVEN:SCRS:DEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SCREEN",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM,
    "Actions On Trigger Save Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EVEN:WFMS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM_DESTINATION =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM_DESTINATION,
    "Actions On Trigger Save Waveform Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:EVEN:WFMS:DEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/USB_FRONT",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_REFERENCES =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_REFERENCES,
    "Actions On Trigger References",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EVEN:REFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_PULSE_OUT =
  {
    RSRTX_ATTR_ACTIONS_ON_TRIGGER_PULSE_OUT,
    "Actions On Trigger Pulse Out",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:EVEN:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_OUT_MODE =
  {
    RSRTX_ATTR_TRIGGER_OUT_MODE,
    "Trigger Out Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerOutMode, NULL, NULL,
    "TRIG:OUT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRIGGER_OUT_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_OUT_POLARITY =
  {
    RSRTX_ATTR_TRIGGER_OUT_POLARITY,
    "Trigger Out Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "TRIG:OUT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TRIGGER_OUT_PULSE_WIDTH =
  {
    RSRTX_ATTR_TRIGGER_OUT_PULSE_WIDTH,
    "Trigger Out Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:OUT:PLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUNT_TRIGGER_POLARITY =
  {
    RSRTX_ATTR_RUNT_TRIGGER_POLARITY,
    "Runt Trigger Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "TRIG:A:RUNT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUNT_TRIGGER_WIDTH =
  {
    RSRTX_ATTR_RUNT_TRIGGER_WIDTH,
    "Runt Trigger Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:RUNT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUNT_TRIGGER_DELTA =
  {
    RSRTX_ATTR_RUNT_TRIGGER_DELTA,
    "Runt Trigger Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:RUNT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUNT_TRIGGER_RANGE =
  {
    RSRTX_ATTR_RUNT_TRIGGER_RANGE,
    "Runt Trigger Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWidthCondition, NULL, NULL,
    "TRIG:A:RUNT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUNT_TRIGGER_LOWER_LEVEL =
  {
    RSRTX_ATTR_RUNT_TRIGGER_LOWER_LEVEL,
    "Runt Trigger Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:LEV{Channel}:RUNT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUNT_TRIGGER_UPPER_LEVEL =
  {
    RSRTX_ATTR_RUNT_TRIGGER_UPPER_LEVEL,
    "Runt Trigger Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:LEV{Channel}:RUNT:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TIMEOUT_TRIGGER_TIME =
  {
    RSRTX_ATTR_TIMEOUT_TRIGGER_TIME,
    "Timeout Trigger Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngTimeoutTriggerTime, NULL,
    "TRIG:A:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_TIMEOUT_TRIGGER_RANGE =
  {
    RSRTX_ATTR_TIMEOUT_TRIGGER_RANGE,
    "Timeout Trigger Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngTimeoutRange, NULL, NULL,
    "TRIG:A:TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TIMEOUT_RANGE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS,
    "Protocol I2C Trigger Access",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolI2CAccessBit, NULL, NULL,
    "TRIG:A:I2C:ACC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_I2C_TRIGGER_READ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE,
    "Protocol I2C Trigger Address Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAddressLength, NULL, NULL,
    "TRIG:A:I2C:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LENGTH_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS,
    "Protocol I2C Trigger Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:I2C:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_MODE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_MODE,
    "Protocol I2C Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolI2CTriggerType, NULL, NULL,
    "TRIG:A:I2C:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRIGGER_MODE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH,
    "Protocol I2C Trigger Condition Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolI2CPatternLength, NULL,
    "TRIG:A:I2C:PLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN,
    "Protocol I2C Trigger Bit Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:I2C:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000001XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET =
  {
    RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET,
    "Protocol I2C Trigger First Byte Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngFirstBitOffset, NULL,
    "TRIG:A:I2C:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_MODE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_MODE,
    "Protocol SPI Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPITriggerType, NULL, NULL,
    "TRIG:A:SPI:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPI_MODE_BURSTSTART,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_SOURCE,
    "Protocol SPI Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPITriggerSource, NULL, NULL,
    "TRIG:A:SOUR:SPI",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPI_MISO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET =
  {
    RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET,
    "Protocol SPI Trigger Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngFirstBitOffset, NULL,
    "TRIG:A:SPI:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH,
    "Protocol SPI Bit Pattern Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngSPIWordLength, NULL,
    "TRIG:A:SPI:PLEN",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN,
    "Protocol SPI Bit Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:SPI:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_MODE =
  {
    RSRTX_ATTR_PROTOCOL_UART_TRIGGER_MODE,
    "Protocol UART Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolUARTTriggerType, NULL, NULL,
    "TRIG:A:UART:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_TRIGGER_BURSTSTART,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_UART_TRIGGER_SOURCE,
    "Protocol UART Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngUARTTriggerSource, NULL, NULL,
    "TRIG:A:SOUR:UART",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_TRIGGER_SOURCE_RX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN,
    "Protocol UART Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:UART:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000001",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN =
  {
    RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN,
    "Protocol UART Trigger Data Position Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngFirstBitOffset, NULL,
    "TRIG:A:UART:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH,
    "Protocol UART Trigger Condition Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngUartLength, NULL,
    "TRIG:A:UART:PLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_MODE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_MODE,
    "Protocol LIN Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolLINTriggerMode, NULL, NULL,
    "TRIG:A:LIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_ID =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_ID,
    "Protocol LIN Trigger Condition ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "TRIG:A:LIN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA,
    "Protocol LIN Trigger Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "TRIG:A:LIN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN,
    "Protocol LIN Trigger ID Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:LIN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH,
    "Protocol LIN Trigger Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolLINDataLength, NULL,
    "TRIG:A:LIN:DLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN,
    "Protocol LIN Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:LIN:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_CHECKSUM =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_CHECKSUM,
    "Protocol LIN Trigger Error Checksum",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:LIN:CHKS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_PARITY =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_PARITY,
    "Protocol LIN Trigger Error Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:LIN:IPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_SYNC =
  {
    RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_SYNC,
    "Protocol LIN Trigger Error Sync",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:LIN:SYER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_MODE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_MODE,
    "Protocol CAN Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANTriggerMode, NULL, NULL,
    "TRIG:A:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    "Protocol CAN Trigger Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANTriggerFrameType, NULL, NULL,
    "TRIG:A:CAN:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_FRAME_TYPE_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_ID =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_ID,
    "Protocol CAN Trigger Condition ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "TRIG:A:CAN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_NQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_DATA =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_DATA,
    "Protocol CAN Trigger Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "TRIG:A:CAN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_NQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE,
    "Protocol CAN Trigger ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANIDType, NULL, NULL,
    "TRIG:A:CAN:ITYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ID_TYPE_B11,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN,
    "Protocol CAN Trigger ID Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:CAN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH,
    "Protocol CAN Trigger Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolCANDataLength, NULL,
    "TRIG:A:CAN:DLC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN,
    "Protocol CAN Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:CAN:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_CRC =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_CRC,
    "Protocol CAN Trigger Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:CAN:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_STUFFING =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_STUFFING,
    "Protocol CAN Trigger Error Stuffing",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:CAN:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_FORM =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_FORM,
    "Protocol CAN Trigger Error Form",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:CAN:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_ACK =
  {
    RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_ACK,
    "Protocol CAN Trigger Error Ack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:CAN:ACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE,
    "Protocol Audio Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioTriggerType, NULL, NULL,
    "TRIG:A:I2S:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_TRIGGER_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH,
    "Protocol Audio Trigger Window Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolAudioWindowLength, NULL,
    "TRIG:A:I2S:WIND:LENG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE,
    "Protocol Audio Trigger Word Select Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "TRIG:A:I2S:WSEL:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_CONDITION,
    "Protocol Audio Trigger Right Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioTriggerCondition, NULL, NULL,
    "TRIG:A:I2S:CHAN:RIGH:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_CONDITION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MINIMUM =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MINIMUM,
    "Protocol Audio Trigger Right Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:I2S:CHAN:RIGH:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MAXIMUM =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MAXIMUM,
    "Protocol Audio Trigger Right Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:I2S:CHAN:RIGH:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_CONDITION,
    "Protocol Audio Trigger Left Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioTriggerCondition, NULL, NULL,
    "TRIG:A:I2S:CHAN:LEFT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_CONDITION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MINIMUM =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MINIMUM,
    "Protocol Audio Trigger Left Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:I2S:CHAN:LEFT:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MAXIMUM =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MAXIMUM,
    "Protocol Audio Trigger Left Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:I2S:CHAN:LEFT:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_COMBINATION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_COMBINATION,
    "Protocol Audio Trigger Combination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioTriggerCombination, NULL, NULL,
    "TRIG:A:I2S:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_COMBINATION_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_CONDITION,
    "Protocol Audio Trigger Channel Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioTriggerCondition, NULL, NULL,
    "TRIG:A:I2S:CHAN:TDM{TDMChannel}:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_CONDITION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MINIMUM =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MINIMUM,
    "Protocol Audio Trigger Channel Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:I2S:CHAN:TDM{TDMChannel}:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MAXIMUM =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MAXIMUM,
    "Protocol Audio Trigger Channel Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:I2S:CHAN:TDM{TDMChannel}:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_TYPE =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_TYPE,
    "MILSTD Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTriggerType, NULL, NULL,
    "TRIG:A:MILS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_TYPE_SYNC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_MODE =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_MODE,
    "MILSTD Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTriggerType, NULL, NULL,
    "TRIG:A:MILS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_TYPE_SYNC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION,
    "MILSTD Trigger Synchronization",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTriggerSync, NULL, NULL,
    "TRIG:A:MILS:SYNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_SYNC_CST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_WORD =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_WORD,
    "MILSTD Trigger Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTriggerWord, NULL, NULL,
    "TRIG:A:MILS:WORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_WORD_COMMAND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_TRANSMISSION_TYPE =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_TRANSMISSION_TYPE,
    "MILSTD Trigger Transmission Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTransmissionType, NULL, NULL,
    "TRIG:A:MILS:TTYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_MILSTD_TRANSMISSION_TYPE_BCRT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_FRAME =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_FRAME,
    "MILSTD Trigger Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngMILSTDTriggerFrame, NULL, NULL,
    "TRIG:A:MILS:FRAM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_MILSTD_FRAME_COMMAND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION_ERROR =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION_ERROR,
    "MILSTD Trigger Synchronization Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:MILS:ERR:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_TIMEOUT_ERROR =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_TIMEOUT_ERROR,
    "MILSTD Trigger Timeout Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:MILS:ERR:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_PARITY_ERROR =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_PARITY_ERROR,
    "MILSTD Trigger Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:MILS:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_MANCHESTER_ERROR =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_MANCHESTER_ERROR,
    "MILSTD Trigger Manchester Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:MILS:ERR:MANC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_TYPE =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_TYPE,
    "MILSTD Trigger Command Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTriggerCommandType, NULL, NULL,
    "TRIG:A:MILS:COMM:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_COMMAND_AWORD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_DATA_DIRECTION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_DATA_DIRECTION,
    "MILSTD Trigger Command Data Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDDirection, NULL, NULL,
    "TRIG:A:MILS:TRM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_DIRECTION_TRANSMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_CONDITION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_CONDITION,
    "MILSTD Trigger RT Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "TRIG:A:MILS:RTAD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MINIMUM,
    "MILSTD Trigger RT Address Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:MILS:RTAD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MAXIMUM,
    "MILSTD Trigger RT Address Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:MILS:RTAD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_CONDITION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_CONDITION,
    "MILSTD Trigger Sub Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "TRIG:A:MILS:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MINIMUM,
    "MILSTD Trigger Sub Address Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:MILS:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MAXIMUM,
    "MILSTD Trigger Sub Address Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:MILS:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS,
    "MILSTD Trigger Sub Address",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDSubAddress, NULL, NULL,
    "TRIG:A:MILS:SADD:MCAD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_SUB_ADDRESS_A0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_WORD_CONDITION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_WORD_CONDITION,
    "MILSTD Trigger Word Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "TRIG:A:MILS:WCO:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_WORD_ADDRESS_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_WORD_ADDRESS_MINIMUM,
    "MILSTD Trigger Word Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:MILS:WCO:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_WORD_ADDRESS_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_WORD_ADDRESS_MAXIMUM,
    "MILSTD Trigger Word Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:MILS:WCO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_CODE =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_CODE,
    "MILSTD Trigger Command Mode Code",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCodeType, NULL, NULL,
    "TRIG:A:MILS:MCOD:CODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CODE_TYPE_DBC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_VALUE =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_VALUE,
    "MILSTD Trigger Command Mode Code Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:MILS:MCOD:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_RECEIVED_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_RECEIVED_BIT_STATUS,
    "MILSTD Trigger Received Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:BCR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_BUSY_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_BUSY_BIT_STATUS,
    "MILSTD Trigger Busy Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:BUSY",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_BUS_CONTROL_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_BUS_CONTROL_BIT_STATUS,
    "MILSTD Trigger Bus Control Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:DBC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_INSTRUMENTATION_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_INSTRUMENTATION_BIT_STATUS,
    "MILSTD Trigger Instrumentation Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:INST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_MESSAGE_ERROR_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_MESSAGE_ERROR_BIT_STATUS,
    "MILSTD Trigger Message Error Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:MERR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SERVICE_REQUEST_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SERVICE_REQUEST_BIT_STATUS,
    "MILSTD Trigger Service Request Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:SREQ",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_SUBSYSTEM_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_SUBSYSTEM_BIT_STATUS,
    "MILSTD Trigger Subsystem Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:SUBS",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_TERMINAL_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_TERMINAL_BIT_STATUS,
    "MILSTD Trigger Terminal Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "TRIG:A:MILS:STAT:TERM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_CONDITION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_DATA_CONDITION,
    "MILSTD Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "TRIG:A:MILS:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_DATA_MINIMUM,
    "MILSTD Trigger Data Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:MILS:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_DATA_MAXIMUM,
    "MILSTD Trigger Data Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:MILS:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_CONDITION =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_CONDITION,
    "MILSTD Trigger Data Offset Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "TRIG:A:MILS:DATA:OFFS:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET,
    "MILSTD Trigger Data Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:MILS:DATA:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_WORDS =
  {
    RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_WORDS,
    "MILSTD Trigger Data Offset Words",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:MILS:DATA:WORD",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TYPE,
    "Protocol ARINC429 Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINC429Type, NULL, NULL,
    "TRIG:A:ARIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRIGGER_ARINC_TYPE_WORD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_WORD_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_WORD_TYPE,
    "Protocol ARINC429 Trigger Word Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINC429WordType, NULL, NULL,
    "TRIG:A:ARIN:WORD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_WORD_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR,
    "Protocol ARINC429 Trigger Error Coding Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:ERR:COD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR,
    "Protocol ARINC429 Trigger Error Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_GAP_ERROR =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_GAP_ERROR,
    "Protocol ARINC429 Trigger Error Gap Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:ERR:GAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI,
    "Protocol ARINC429 Trigger Label Data SDI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINCSsmSdi, NULL, NULL,
    "TRIG:A:ARIN:SDI",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_SSM_SDI_S00,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM,
    "Protocol ARINC429 Trigger Label Data SSM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINCSsmSdi, NULL, NULL,
    "TRIG:A:ARIN:SSM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_SSM_SDI_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_FORMAT =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_FORMAT,
    "Protocol ARINC429 Trigger Label Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429DataFormat, NULL, NULL,
    "TRIG:A:ARIN:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC429_DATA_FORMAT_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION,
    "Protocol ARINC429 Trigger Label Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429Operator, NULL, NULL,
    "TRIG:A:ARIN:LAB:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_COND_NQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN,
    "Protocol ARINC429 Trigger Label Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:LAB:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX,
    "Protocol ARINC429 Trigger Label Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:LAB:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION,
    "Protocol ARINC429 Trigger Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429Operator, NULL, NULL,
    "TRIG:A:ARIN:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_COND_NQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN,
    "Protocol ARINC429 Trigger Data Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX,
    "Protocol ARINC429 Trigger Data Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_OFFSET =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_OFFSET,
    "Protocol ARINC429 Trigger Data Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:DATA:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_SIZE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_SIZE,
    "Protocol ARINC429 Trigger Data Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:DATA:SIZE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_CONDITION,
    "Protocol ARINC429 Trigger Timing Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINC429TimingCondition, NULL, NULL,
    "TRIG:A:ARIN:TTIM:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_CONDITION_TIMING_GTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MIN =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MIN,
    "Protocol ARINC429 Trigger Timing Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:TTIM:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MAX =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MAX,
    "Protocol ARINC429 Trigger Timing Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:A:ARIN:TTIM:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUN_SINGLE =
  {
    RSRTX_ATTR_RUN_SINGLE,
    "Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUN_SINGLE_WAIT_FOR_OPC =
  {
    RSRTX_ATTR_RUN_SINGLE_WAIT_FOR_OPC,
    "Run Single Wait For OPC",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RUN_CONTINUOUS =
  {
    RSRTX_ATTR_RUN_CONTINUOUS,
    "Run Continuous",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_STOP =
  {
    RSRTX_ATTR_STOP,
    "Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEND_SW_TRIGGER =
  {
    RSRTX_ATTR_SEND_SW_TRIGGER,
    "Send SW Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ACQUISITION_STATE =
  {
    RSRTX_ATTR_ACQUISITION_STATE,
    "Acquisition State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngAcquisitionState, NULL, NULL,
    "ACQ:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACQ_STATE_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFROM_EXPORT_NAME =
  {
    RSRTX_ATTR_WAVEFROM_EXPORT_NAME,
    "Wavefrom Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:WAV:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/WAVEFORMS",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_EXPORT_SOURCE =
  {
    RSRTX_ATTR_WAVEFORM_EXPORT_SOURCE,
    "Waveform Export Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformExportParameter, NULL, NULL,
    "EXP:WAV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAV_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_EXPORT_DESTINATION =
  {
    RSRTX_ATTR_WAVEFORM_EXPORT_DESTINATION,
    "Waveform Export Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:WFMS:DEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/USB_FRONT",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_EXPORT_SAVE =
  {
    RSRTX_ATTR_WAVEFORM_EXPORT_SAVE,
    "Waveform Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:WAV:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_SAMPLES =
  {
    RSRTX_ATTR_WAVEFORM_SAMPLES,
    "Waveform Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_CONVERSION_X_START =
  {
    RSRTX_ATTR_WAVEFORM_CONVERSION_X_START,
    "Waveform Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_WAVEFORM_CONVERSION_X_INCREMENT,
    "Waveform Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_START =
  {
    RSRTX_ATTR_WAVEFORM_CONVERSION_Y_START,
    "Waveform Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT,
    "Waveform Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION,
    "Waveform Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START =
  {
    RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START,
    "Envelope Waveform Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:ENV:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT,
    "Envelope Waveform Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:ENV:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START =
  {
    RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START,
    "Envelope Waveform Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:ENV:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT,
    "Envelope Waveform Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:ENV:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION,
    "Envelope Waveform Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:ENV:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_START =
  {
    RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_START,
    "Math Waveform Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT,
    "Math Waveform Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_START =
  {
    RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_START,
    "Math Waveform Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT,
    "Math Waveform Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION,
    "Math Waveform Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_START =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_START,
    "Simple Math Waveform Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:QMAT:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_INCREMENT,
    "Simple Math Waveform Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:QMAT:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_START =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_START,
    "Simple Math Waveform Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:QMAT:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_INCREMENT,
    "Simple Math Waveform Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:QMAT:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION,
    "Simple Math Waveform Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:QMAT:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START,
    "Reference Waveform Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT,
    "Reference Waveform Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START,
    "Reference Waveform Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT,
    "Reference Waveform Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION,
    "Reference Waveform Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_MASK_DATA_CONVERSION_X_START,
    "Mask Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_MASK_DATA_CONVERSION_X_INCREMENT,
    "Mask Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_MASK_DATA_CONVERSION_Y_START,
    "Mask Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_MASK_DATA_CONVERSION_Y_INCREMENT,
    "Mask Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_MASK_DATA_CONVERSION_Y_RESOLUTION,
    "Mask Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_START,
    "Logic Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG{Logic}:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_INCREMENT,
    "Logic Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG{Logic}:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_START,
    "Logic Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG{Logic}:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_INCREMENT,
    "Logic Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG{Logic}:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_RESOLUTION,
    "Logic Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LOG{Logic}:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_WAVEFORM_SAMPLES =
  {
    RSRTX_ATTR_DIGITAL_WAVEFORM_SAMPLES,
    "Digital Waveform Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIG{Digital}:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_START,
    "Digital Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_INCREMENT,
    "Digital Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_START,
    "Digital Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_INCREMENT,
    "Digital Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_RESOLUTION,
    "Digital Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIG{Digital}:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_WAVEFORM_SAMPLES =
  {
    RSRTX_ATTR_SPECTRUM_WAVEFORM_SAMPLES,
    "Spectrum Waveform Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    32768,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MINIMUM_WAVEFORM_SAMPLES =
  {
    RSRTX_ATTR_SPECTRUM_MINIMUM_WAVEFORM_SAMPLES,
    "Spectrum Minimum Waveform Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    32768,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_SAMPLES =
  {
    RSRTX_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_SAMPLES,
    "Spectrum Maximum Waveform Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    32768,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_AVERAGE_WAVEFORM_SAMPLES =
  {
    RSRTX_ATTR_SPECTRUM_AVERAGE_WAVEFORM_SAMPLES,
    "Spectrum Average Waveform Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    32768,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_START,
    "Spectrum Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_INCREMENT,
    "Spectrum Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.768371582E+03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_START,
    "Spectrum Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3.372764445E+02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_INCREMENT,
    "Spectrum Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.000000000E-02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_RESOLUTION,
    "Spectrum Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_START,
    "Spectrum Minimum Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_INCREMENT,
    "Spectrum Minimum Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.768371582E+03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_START,
    "Spectrum Minimum Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3.372764445E+02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_INCREMENT,
    "Spectrum Minimum Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.000000000E-02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_RESOLUTION,
    "Spectrum Minimum Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_START,
    "Spectrum Maximum Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_INCREMENT,
    "Spectrum Maximum Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.768371582E+03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_START,
    "Spectrum Maximum Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3.372764445E+02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_INCREMENT,
    "Spectrum Maximum Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.000000000E-02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_RESOLUTION,
    "Spectrum Maximum Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_START,
    "Spectrum Average Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_INCREMENT,
    "Spectrum Average Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.768371582E+03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_START,
    "Spectrum Average Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3.372764445E+02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_INCREMENT,
    "Spectrum Average Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.000000000E-02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_AVERAVE_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_SPECTRUM_AVERAVE_DATA_CONVERSION_Y_RESOLUTION,
    "Spectrum Averave Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_ENABLED =
  {
    RSRTX_ATTR_CURSOR_ENABLED,
    "Cursor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS1:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ALL_CURSORS_OFF =
  {
    RSRTX_ATTR_ALL_CURSORS_OFF,
    "All Cursors Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS1:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_MEASUREMENT_TYPE =
  {
    RSRTX_ATTR_CURSOR_MEASUREMENT_TYPE,
    "Cursor Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngCursorFunction, NULL, NULL,
    "CURS1:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CURSOR_VERTICAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_SOURCE =
  {
    RSRTX_ATTR_CURSOR_SOURCE,
    "Cursor Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformParameter, NULL, NULL,
    "CURS1:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAV_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_SECOND_SOURCE =
  {
    RSRTX_ATTR_CURSOR_SECOND_SOURCE,
    "Cursor Second Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformParameter, NULL, NULL,
    "CURS:SSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAV_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_SECOND_SOURCE_ENABLE =
  {
    RSRTX_ATTR_CURSOR_SECOND_SOURCE_ENABLE,
    "Cursor Second Source Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS:USS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_TRACKING =
  {
    RSRTX_ATTR_CURSOR_TRACKING,
    "Cursor Tracking",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS1:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_X_POSITION_COUPLING =
  {
    RSRTX_ATTR_CURSOR_X_POSITION_COUPLING,
    "Cursor X Position Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS1:XCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_Y_POSITION_COUPLING =
  {
    RSRTX_ATTR_CURSOR_Y_POSITION_COUPLING,
    "Cursor Y Position Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS:YCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_ADJUSTMENT =
  {
    RSRTX_ATTR_CURSOR_ADJUSTMENT,
    "Cursor Adjustment",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS1:TRAC:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT =
  {
    RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT,
    "Cursor X Ratio Measurement Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngXRatioMeasurementUnit, NULL, NULL,
    "CURS1:XRAT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UNIT_RATIO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT =
  {
    RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT,
    "Cursor Y Ratio Measurement Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngYRatioMeasurementUnit, NULL, NULL,
    "CURS1:YRAT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UNIT_RATIO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT =
  {
    RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT,
    "Cursor X Ratio Measurement",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:XRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT =
  {
    RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT,
    "Cursor Y Ratio Measurement",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:YRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_DISTANCE_HORIZONTAL =
  {
    RSRTX_ATTR_CURSOR_DISTANCE_HORIZONTAL,
    "Cursor Distance Horizontal",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:XDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_DISTANCE_VERTICAL =
  {
    RSRTX_ATTR_CURSOR_DISTANCE_VERTICAL,
    "Cursor Distance Vertical",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:YDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_INVERSE_DISTANCE =
  {
    RSRTX_ATTR_CURSOR_INVERSE_DISTANCE,
    "Cursor Inverse Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:XDEL:INV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE_VERTICAL =
  {
    RSRTX_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE_VERTICAL,
    "Cursor Voltage Inverse Distance Vertical",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:YDEL:SLOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_POSITION =
  {
    RSRTX_ATTR_CURSOR_POSITION,
    "Cursor Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS1:RESult?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_AUTOSET =
  {
    RSRTX_ATTR_CURSOR_AUTOSET,
    "Cursor Autoset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SWAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_RESET =
  {
    RSRTX_ATTR_CURSOR_RESET,
    "Cursor Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_PEAK_NEXT =
  {
    RSRTX_ATTR_CURSOR_PEAK_NEXT,
    "Cursor Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SNP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_PEAK_PREVIOUS =
  {
    RSRTX_ATTR_CURSOR_PEAK_PREVIOUS,
    "Cursor Peak Previous",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_X1_POSITION =
  {
    RSRTX_ATTR_CURSOR_X1_POSITION,
    "Cursor X1 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngCursorXPosition, NULL,
    "CURS1:X1P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_X2_POSITION =
  {
    RSRTX_ATTR_CURSOR_X2_POSITION,
    "Cursor X2 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngCursorXPosition, NULL,
    "CURS1:X2P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_X3_POSITION =
  {
    RSRTX_ATTR_CURSOR_X3_POSITION,
    "Cursor X3 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngCursorXPosition, NULL,
    "CURS1:X3P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_Y1_POSITION =
  {
    RSRTX_ATTR_CURSOR_Y1_POSITION,
    "Cursor Y1 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngCursorYPosition, NULL,
    "CURS1:Y1P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_Y2_POSITION =
  {
    RSRTX_ATTR_CURSOR_Y2_POSITION,
    "Cursor Y2 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngCursorYPosition, NULL,
    "CURS1:Y2P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_Y3_POSITION =
  {
    RSRTX_ATTR_CURSOR_Y3_POSITION,
    "Cursor Y3 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngCursorYPosition, NULL,
    "CURS1:Y3P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_LINE_NEXT_PEAK =
  {
    RSRTX_ATTR_CURSOR_LINE_NEXT_PEAK,
    "Cursor Line Next Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SNP{CursorLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURSOR_LINE_PREVIOUS_PEAK =
  {
    RSRTX_ATTR_CURSOR_LINE_PREVIOUS_PEAK,
    "Cursor Line Previous Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SPP{CursorLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEAS_RELATIVE_MODE =
  {
    RSRTX_ATTR_MEAS_RELATIVE_MODE,
    "Measurement Relative Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngRelativeMode, NULL, NULL,
    "REFL:REL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MEAS_RELATIVE_TEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEAS_RELATIVE_LOWER_LEVEL =
  {
    RSRTX_ATTR_MEAS_RELATIVE_LOWER_LEVEL,
    "Measurement Relative Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngRelLevel, NULL,
    "REFL:REL:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEAS_RELATIVE_UPPER_LEVEL =
  {
    RSRTX_ATTR_MEAS_RELATIVE_UPPER_LEVEL,
    "Measurement Relative Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngRelLevel, NULL,
    "REFL:REL:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEAS_RELATIVE_MIDDLE_LEVEL =
  {
    RSRTX_ATTR_MEAS_RELATIVE_MIDDLE_LEVEL,
    "Measurement Relative Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngRelLevel, NULL,
    "REFL:REL:MIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FREQUENCY =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FREQUENCY,
    "Main Measurement Result Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PERIOD =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PERIOD,
    "Main Measurement Result Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PEAK =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PEAK,
    "Main Measurement Result Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? PEAK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MAXIMUM_PEAK =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MAXIMUM_PEAK,
    "Main Measurement Result Maximum Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? UPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MINIMUM_PEAK =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MINIMUM_PEAK,
    "Main Measurement Result Minimum Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? LPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PULSES =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PULSES,
    "Main Measurement Result Positive Pulses",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? PPC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PULSES =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PULSES,
    "Main Measurement Result Negative Pulses",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? NPC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISING_EDGES =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISING_EDGES,
    "Main Measurement Result Rising Edges",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? REC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_EDGES =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_EDGES,
    "Main Measurement Result Falling Edges",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? FEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_HIGH_LEVEL =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_HIGH_LEVEL,
    "Main Measurement Result High Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_LOW_LEVEL =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_LOW_LEVEL,
    "Main Measurement Result Low Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AMPLITUDE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AMPLITUDE,
    "Main Measurement Result Amplitude",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN,
    "Main Measurement Result Mean",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? MEAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS,
    "Main Measurement Result RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? RMS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISE_TIME =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISE_TIME,
    "Main Measurement Result Rise Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? RTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_TIME =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_TIME,
    "Main Measurement Result Falling Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? FTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_CYCLE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_CYCLE,
    "Main Measurement Result Positive Cycle",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? PDCY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_CYCLE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_CYCLE,
    "Main Measurement Result Negative Cycle",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? NDCY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_POSITIVE_PULSE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_POSITIVE_PULSE,
    "Main Measurement Result Width Positive Pulse",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? PPW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_NEGATIVE_PULSE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_NEGATIVE_PULSE,
    "Main Measurement Result Width Negative Pulse",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? NPW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN_VALUE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN_VALUE,
    "Main Measurement Result Mean Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? CYCM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS_VALUE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS_VALUE,
    "Main Measurement Result RMS Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? CYCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATIONS =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATIONS,
    "Main Measurement Result Standard Deviations",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? STDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION_VALUE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION_VALUE,
    "Main Measurement Result Standard Deviation Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? CYCS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_DELAY =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_DELAY,
    "Main Measurement Result Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PHASE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PHASE,
    "Main Measurement Result Phase",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_BURST_WIDTH =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_BURST_WIDTH,
    "Main Measurement Result Burst Width",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_OVERSHOOT =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_OVERSHOOT,
    "Main Measurement Result Positive Overshoot",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? POV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_OVERSHOOT =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_OVERSHOOT,
    "Main Measurement Result Negative Overshoot",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES? NOV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AVERAGE_VALUE =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AVERAGE_VALUE,
    "Main Measurement Result Average Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION,
    "Main Measurement Result Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PEAK =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PEAK,
    "Main Measurement Result Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PEAK =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PEAK,
    "Main Measurement Result Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WAVEFORM_COUNT =
  {
    RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WAVEFORM_COUNT,
    "Main Measurement Result Waveform Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:WFMC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AMPT_MAIN_MEASUREMENT =
  {
    RSRTX_ATTR_AMPT_MAIN_MEASUREMENT,
    "Amplitude Time Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAmplitudeTimeMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MEAS_AMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_DELAY_MARKER_VISIBLE =
  {
    RSRTX_ATTR_MEASUREMENT_DELAY_MARKER_VISIBLE,
    "Measurement Delay Marker Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:DEL:MARK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_ENABLED =
  {
    RSRTX_ATTR_MEASUREMENT_ENABLED,
    "Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_CATEGORY =
  {
    RSRTX_ATTR_MEASUREMENT_CATEGORY,
    "Measurement Category",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngMeasurementCategory, NULL, NULL,
    "MEAS{Measurement}:CAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AMPTIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE =
  {
    RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE,
    "Quick Measurements Enable",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUICK_MEASUREMENTS_DISABLE =
  {
    RSRTX_ATTR_QUICK_MEASUREMENTS_DISABLE,
    "Quick Measurements Disable",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT =
  {
    RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT,
    "Quick Measurements Enable With Status Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_ENABLED =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_ENABLED,
    "Automatic Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS,
    "Automatic Measurement Number Of Waveforms",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &rsrtx_rngAutoMeasWaveforms, NULL,
    "MEAS{Measurement}:STAT:WEIG?",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESET_AUTOMATIC_MEASUREMENT =
  {
    RSRTX_ATTR_RESET_AUTOMATIC_MEASUREMENT,
    "Reset Automatic Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS,
    "Automatic Measurement Number Of Measured Waveforms",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:WFMC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT_AUTO =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT_AUTO,
    "Automatic Measurement Timeout Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TIM:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT,
    "Automatic Measurement Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_AVERAGE_VALUE =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_AVERAGE_VALUE,
    "Automatic Measurement Result Average Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_STANDARD_DEVIATION =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_STANDARD_DEVIATION,
    "Automatic Measurement Result Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_NEGATIVE_PEAK =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_NEGATIVE_PEAK,
    "Automatic Measurement Result Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_POSITIVE_PEAK =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_POSITIVE_PEAK,
    "Automatic Measurement Result Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_INDEX =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_INDEX,
    "Automatic Measurement Result Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngAutomaticMeasurementResultIndex, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_SINGLE_STATISTICAL_VALUE =
  {
    RSRTX_ATTR_AUTOMATIC_MEASUREMENT_SINGLE_STATISTICAL_VALUE,
    "Automatic Measurement Single Statistical Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT:VAL<Place>?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_singleStatisticalValue_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_NAME =
  {
    RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_NAME,
    "Export Automatic Measurements Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:MEAS{Measurement}:STAT:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_SAVE =
  {
    RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_SAVE,
    "Export Automatic Measurement Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:MEAS{Measurement}:STAT:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_ALL_NAME =
  {
    RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_ALL_NAME,
    "Export Automatic Measurements All Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:MEAS:STAT:ALL:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_ALL_SAVE =
  {
    RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_ALL_SAVE,
    "Export Automatic Measurement All Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:MEAS:STAT:ALL:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_GATE_ENABLE =
  {
    RSRTX_ATTR_MEASUREMENT_GATE_ENABLE,
    "Measurement Gate Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS:GATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_GATE_MODE =
  {
    RSRTX_ATTR_MEASUREMENT_GATE_MODE,
    "Measurement Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngAbsoluteRelative, NULL, NULL,
    "MEAS:GATE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_START =
  {
    RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_START,
    "Measurement Gate Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:GATE:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -300e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_END =
  {
    RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_END,
    "Measurement Gate Absolute End",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:GATE:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    300e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_START =
  {
    RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_START,
    "Measurement Gate Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:GATE:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    25,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_END =
  {
    RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_END,
    "Measurement Gate Relative End",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:GATE:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_HEADER =
  {
    RSRTX_ATTR_MATH_WAVEFORM_HEADER,
    "Math Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.00000E+00,4.16565E+04,4096,1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_DATA_POINTS =
  {
    RSRTX_ATTR_MATH_WAVEFORM_DATA_POINTS,
    "Math Waveform Data Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_ENABLED =
  {
    RSRTX_ATTR_MATH_WAVEFORM_ENABLED,
    "Math Waveform Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_POSITION =
  {
    RSRTX_ATTR_MATH_WAVEFORM_POSITION,
    "Math Waveform Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngWaveformPosition, NULL,
    "CALC:MATH{Math}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_VERTICAL_SCALE =
  {
    RSRTX_ATTR_MATH_VERTICAL_SCALE,
    "Math Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngMathVerticalScale, NULL,
    "CALC:MATH{Math}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_ACQUISITION_TYPE =
  {
    RSRTX_ATTR_MATH_ACQUISITION_TYPE,
    "Math Acquisition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformArithmetics, NULL, NULL,
    "CALC:MATH{Math}:ARIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_EXPRESSION =
  {
    RSRTX_ATTR_MATH_EXPRESSION,
    "Math Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ADD(CH1,CH2) in V",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_LABEL =
  {
    RSRTX_ATTR_MATH_WAVEFORM_LABEL,
    "Math Waveform Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "M1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_LABEL_STATE =
  {
    RSRTX_ATTR_MATH_WAVEFORM_LABEL_STATE,
    "Math Waveform Label State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:LAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_WAVEFORM_COLOR =
  {
    RSRTX_ATTR_MATH_WAVEFORM_COLOR,
    "Math Waveform Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngMathWaveformColor, NULL, NULL,
    "CALC:MATH{Math}:WCOL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VALUE_WAVEFORM_COLOR_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_CENTER_FREQUENCY =
  {
    RSRTX_ATTR_FFT_CENTER_FREQUENCY,
    "FFT Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_FREQUENCY_SPAN =
  {
    RSRTX_ATTR_FFT_FREQUENCY_SPAN,
    "FFT Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_FULL_SPAN =
  {
    RSRTX_ATTR_FFT_FULL_SPAN,
    "FFT Full Span",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_START_FREQUENCY =
  {
    RSRTX_ATTR_FFT_START_FREQUENCY,
    "FFT Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_STOP_FREQUENCY =
  {
    RSRTX_ATTR_FFT_STOP_FREQUENCY,
    "FFT Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.999e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_AVERAGING =
  {
    RSRTX_ATTR_FFT_AVERAGING,
    "FFT Averaging",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngAveragingSpectrums, NULL,
    "CALC:MATH{Math}:FFT:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_AVERAGING_STATUS =
  {
    RSRTX_ATTR_FFT_AVERAGING_STATUS,
    "FFT Averaging Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:AVER:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_WINDOW_TYPE =
  {
    RSRTX_ATTR_FFT_WINDOW_TYPE,
    "FFT Window Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngFFTWindowType, NULL, NULL,
    "CALC:MATH{Math}:FFT:WIND:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BLACKMAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH =
  {
    RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH,
    "FFT Resolution Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngRBW, NULL,
    "CALC:MATH{Math}:FFT:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.2E+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED =
  {
    RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED,
    "FFT Resolution Bandwidth Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:BAND:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO =
  {
    RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO,
    "FFT Resolution Bandwidth Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngRBWRatio, NULL,
    "CALC:MATH{Math}:FFT:BAND:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1024.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH =
  {
    RSRTX_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH,
    "FFT Effective Resolution Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:BAND:ADJ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_SCALING_UNIT =
  {
    RSRTX_ATTR_FFT_SCALING_UNIT,
    "FFT Scaling Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngScalingUnit, NULL, NULL,
    "CALC:MATH{Math}:FFT:MAGN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_FFT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_SAMPLE_RATE =
  {
    RSRTX_ATTR_FFT_SAMPLE_RATE,
    "FFT Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_YT_WINDOW_POSITION =
  {
    RSRTX_ATTR_FFT_YT_WINDOW_POSITION,
    "FFT Yt Window Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:TIME:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_FFT_YT_WINDOW_WIDTH =
  {
    RSRTX_ATTR_FFT_YT_WINDOW_WIDTH,
    "FFT Yt Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:TIME:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_TRACK_EDGE_POLARITY =
  {
    RSRTX_ATTR_MATH_TRACK_EDGE_POLARITY,
    "Math Track Edge Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:TRAC:EDGE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_TRACK_DOUBLE_PULSE_ENABLE =
  {
    RSRTX_ATTR_MATH_TRACK_DOUBLE_PULSE_ENABLE,
    "Math Track Double Pulse Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:TRAC:DPUL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_HYSTERESIS =
  {
    RSRTX_ATTR_MATH_TRACK_THRESHOLD_HYSTERESIS,
    "Math Track Threshold Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:TRAC:THR:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_LOWER =
  {
    RSRTX_ATTR_MATH_TRACK_THRESHOLD_LOWER,
    "Math Track Threshold Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:TRAC:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_UPPER =
  {
    RSRTX_ATTR_MATH_TRACK_THRESHOLD_UPPER,
    "Math Track Threshold Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:TRAC:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_ENABLED =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_ENABLED,
    "Simple Math Waveform Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:QMATH:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_POSITION =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_POSITION,
    "Simple Math Waveform Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:QMAT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_VERTICAL_SCALE =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_VERTICAL_SCALE,
    "Simple Math Waveform Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:QMAT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_OPERATION =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_OPERATION,
    "Simple Math Waveform Operation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngMathOperation, NULL, NULL,
    "CALC:QMAT:OPER",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MATH_OPERATION_ADD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_SOURCE =
  {
    RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_SOURCE,
    "Simple Math Waveform Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMathSource, NULL, NULL,
    "CALC:QMAT:SOUR{SourceNumber}",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTB",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_HEADER =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_HEADER,
    "Reference Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0E+00,0E+00,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_DATA_POINTS =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_DATA_POINTS,
    "Reference Waveform Data Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_LABEL =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_LABEL,
    "Reference Waveform Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "R1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_COLOR =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_COLOR,
    "Reference Waveform Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngReferenceWaveformColor, NULL, NULL,
    "REFC{ReferenceWfm}:WCOL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VALUE_WAVEFORM_COLOR_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_SOURCE =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_SOURCE,
    "Reference Waveform Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngReferenceWaveformParameter, NULL, NULL,
    "REFC{ReferenceWfm}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAV_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_UPDATE =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_UPDATE,
    "Reference Waveform Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED,
    "Reference Waveform Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE,
    "Reference Waveform Load From File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "my_file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION,
    "Reference Waveform Load Configuration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:LOAD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE,
    "Reference Waveform Save To File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "my_file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_CATALOG =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_CATALOG,
    "Reference Waveform Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:SOUR:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CH1,CH2,CH3,CH4,D701,POD1,MA1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE,
    "Reference Waveform Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:VERT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    "Reference Waveform Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:VERT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE,
    "Reference Waveform Horizontal Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:HOR:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION =
  {
    RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION,
    "Reference Waveform Horizontal Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:HOR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_ENABLED =
  {
    RSRTX_ATTR_MASK_ENABLED,
    "Mask Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MASK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_SOURCE =
  {
    RSRTX_ATTR_MASK_SOURCE,
    "Mask Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "MASK:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST =
  {
    RSRTX_ATTR_MASK_TEST,
    "Mask Test",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMaskCondition, NULL, NULL,
    "MASK:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASKCOND_STOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_COPY_CHANNEL =
  {
    RSRTX_ATTR_MASK_COPY_CHANNEL,
    "Mask Copy Channel",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MASK:CHC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_HIT_COUNT =
  {
    RSRTX_ATTR_MASK_HIT_COUNT,
    "Mask Hit Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:VCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_COUNT =
  {
    RSRTX_ATTR_MASK_COUNT,
    "Mask Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_SEGMENT_CAPTURE_MODE =
  {
    RSRTX_ATTR_MASK_SEGMENT_CAPTURE_MODE,
    "Mask Segment Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngMaskCaptureMode, NULL, NULL,
    "MASK:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASK_CAPTURE_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_STORE =
  {
    RSRTX_ATTR_MASK_STORE,
    "Mask Store",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MASK:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "mask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_LOAD =
  {
    RSRTX_ATTR_MASK_LOAD,
    "Mask Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MASK:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "mask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_BEEP =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_BEEP,
    "Mask Test Action Beep",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMaskTestActionExecution, NULL, NULL,
    "MASK:ACT:SOUN:EVEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASK_ACTION_EXECUTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_STOP =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_STOP,
    "Mask Test Action Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMaskTestActionExecution, NULL, NULL,
    "MASK:ACT:STOP:EVEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASK_ACTION_EXECUTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT,
    "Mask Test Action Screenshot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMaskTestActionExecution, NULL, NULL,
    "MASK:ACT:SCRS:EVEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASK_ACTION_EXECUTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT_DESTINATION =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT_DESTINATION,
    "Mask Test Action Screenshot Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MASK:ACT:SCRS:DEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SCREEN",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM,
    "Mask Test Action Saves Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMaskTestActionExecution, NULL, NULL,
    "MASK:ACT:WFMSave:EVEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASK_ACTION_EXECUTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM_DESTINATION =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM_DESTINATION,
    "Mask Test Action Saves Waveform Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MASK:ACT:WFMS:DEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/USB_FRONT",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_PULSE =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_PULSE,
    "Mask Test Action Pulse",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMaskTestActionExecution, NULL, NULL,
    "MASK:ACT:PULS:EVEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MASK_ACTION_EXECUTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_ACTION_AUX_OUTPUT_ENABLED =
  {
    RSRTX_ATTR_MASK_TEST_ACTION_AUX_OUTPUT_ENABLED,
    "Mask Test Action AUX Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MASK:ACT:YOUT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_BEEP =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_BEEP,
    "Mask Test Violation Count Beep",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ACT:SOUN:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_STOP =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_STOP,
    "Mask Test Violation Count Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ACT:STOP:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SCREENSHOT =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SCREENSHOT,
    "Mask Test Violation Count Screenshot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ACT:SCRS:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PRINT =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PRINT,
    "Mask Test Violation Count Print",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ACT:PRIN:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SAVES_WAVEFORM =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SAVES_WAVEFORM,
    "Mask Test Violation Count Saves Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ACT:WFMS:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PULSE =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PULSE,
    "Mask Test Violation Count Pulse",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ACT:PULS:EVEN:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_LENGTH =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_LENGTH,
    "Mask Test Violation Pulse Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:ACT:PULS:PLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_POLARITY =
  {
    RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_POLARITY,
    "Mask Test Violation Pulse Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "MASK:ACT:PULS:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_RESET_TEST_COUNTER =
  {
    RSRTX_ATTR_MASK_RESET_TEST_COUNTER,
    "Mask Reset Test Counter",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MASK:RES:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_VERTICAL_OFFSET =
  {
    RSRTX_ATTR_MASK_VERTICAL_OFFSET,
    "Mask Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:YPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_VERTICAL_SCALING =
  {
    RSRTX_ATTR_MASK_VERTICAL_SCALING,
    "Mask Vertical Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:YSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_VERTICAL_WIDTH =
  {
    RSRTX_ATTR_MASK_VERTICAL_WIDTH,
    "Mask Vertical Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:YWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MASK_HORIZONTAL_WIDTH =
  {
    RSRTX_ATTR_MASK_HORIZONTAL_WIDTH,
    "Mask Horizontal Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:XWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_ENABLED =
  {
    RSRTX_ATTR_SEARCH_ENABLED,
    "Search Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_CONDITION =
  {
    RSRTX_ATTR_SEARCH_CONDITION,
    "Search Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchCondition, NULL, NULL,
    "SEAR:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SEARCHCOND_EDGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_SOURCE =
  {
    RSRTX_ATTR_SEARCH_SOURCE,
    "Search Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSource, NULL, NULL,
    "SEAR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MEASUREMENT_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_SLOPE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_EDGE_SLOPE,
    "Search Trigger Edge Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSlope, NULL, NULL,
    "SEAR:TRIG:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_LEVEL =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_EDGE_LEVEL,
    "Search Trigger Edge Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:EDGE:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.735,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS,
    "Search Trigger Edge Hystersis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:EDGE:LEV:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.000E-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL,
    "Search Trigger Width Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIDT:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_HYSTERSIS =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_HYSTERSIS,
    "Search Trigger Width Hystersis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIDT:LEV:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH,
    "Search Trigger Width Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_DELTA =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_DELTA,
    "Search Trigger Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY,
    "Search Trigger Width Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "SEAR:TRIG:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_RANGE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_RANGE,
    "Search Trigger Width Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchRange, NULL, NULL,
    "SEAR:TRIG:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PEAK_POLARITY =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PEAK_POLARITY,
    "Search Trigger Peak Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSlope, NULL, NULL,
    "SEAR:MEAS:PEAK:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PEAK_LIMIT =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PEAK_LIMIT,
    "Search Trigger Peak Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:MEAS:LEV:PEAK:MAGN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY,
    "Search Trigger Rise Time Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSlope, NULL, NULL,
    "SEAR:TRIG:RIS:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_LOWER =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_LOWER,
    "Search Trigger Rise Time Level Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:RIS:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_UPPER =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_UPPER,
    "Search Trigger Rise Time Level Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:RIS:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE,
    "Search Trigger Rise Time Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchRange, NULL, NULL,
    "SEAR:TRIG:RIS:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME,
    "Search Trigger Rise Time Reference Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:RIS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME,
    "Search Trigger Rise Time Delta Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:RIS:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_POLARITY =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RUNT_POLARITY,
    "Search Trigger Runt Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSlope, NULL, NULL,
    "SEAR:TRIG:RUNT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_LOWER =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_LOWER,
    "Search Trigger Runt Level Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:RUNT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.735,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_UPPER =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_UPPER,
    "Search Trigger Runt Level Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:RUNT:UPPer",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.735,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_RANGE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RUNT_RANGE,
    "Search Trigger Runt Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchRange, NULL, NULL,
    "SEAR:TRIG:RUNT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_WIDTH =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RUNT_WIDTH,
    "Search Trigger Runt Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:RUNT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH,
    "Search Trigger Runt Delta Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:RUNT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE,
    "Search Trigger Data2Clock Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSource, NULL, NULL,
    "SEAR:TRIG:DAT:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MEASUREMENT_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_LEVEL =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_LEVEL,
    "Search Trigger Data2Clock Clock Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT:CLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_LEVEL =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_LEVEL,
    "Search Trigger Data2Clock Data Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT:DLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_HYSTERESIS =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_HYSTERESIS,
    "Search Trigger Data2Clock Clock Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT:CLEV:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_HYSTERESIS =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_HYSTERESIS,
    "Search Trigger Data2Clock Data Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT:DLEV:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_POLARITY =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_POLARITY,
    "Search Trigger Data2Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSlope, NULL, NULL,
    "SEAR:TRIG:DAT:CEDG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME,
    "Search Trigger Data2Clock Setup Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME,
    "Search Trigger Data2Clock Hold Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT:HTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN,
    "Search Trigger Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION,
    "Search Trigger Pattern Combination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchTriggerPatternCombination, NULL, NULL,
    "SEAR:TRIG:PATT:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PATTERN_COMBINATION_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON,
    "Search Trigger Pattern Comparison",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchRange, NULL, NULL,
    "SEAR:TRIG:PATT:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH,
    "Search Trigger Pattern Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA,
    "Search Trigger Pattern Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_LOWER =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_LOWER,
    "Search Trigger Window Level Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:WIND:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_UPPER =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_UPPER,
    "Search Trigger Window Level Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:WIND:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_DELTA =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_DELTA,
    "Search Trigger Window Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIND:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_POLARITY =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_POLARITY,
    "Search Trigger Window Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchSlope, NULL, NULL,
    "SEAR:TRIG:WIND:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_RANGE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_RANGE,
    "Search Trigger Window Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWindowRange, NULL, NULL,
    "SEAR:TRIG:WIND:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_RANGE_ENTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_TIME_RANGE =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_TIME_RANGE,
    "Search Trigger Window Time Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchRange, NULL, NULL,
    "SEAR:TRIG:WIND:TIM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH,
    "Search Trigger Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIND:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_GATE_MODE =
  {
    RSRTX_ATTR_SEARCH_GATE_MODE,
    "Search Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSearchGateMode, NULL, NULL,
    "SEAR:GATE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SEARCH_GATE_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_GATE_START =
  {
    RSRTX_ATTR_SEARCH_GATE_START,
    "Search Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:GATE:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_GATE_STOP =
  {
    RSRTX_ATTR_SEARCH_GATE_STOP,
    "Search Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:GATE:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_SHOW_RESULT =
  {
    RSRTX_ATTR_SEARCH_SHOW_RESULT,
    "Search Show Result",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:RESD:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_NUMBER_OF_RESULTS =
  {
    RSRTX_ATTR_SEARCH_NUMBER_OF_RESULTS,
    "Search Number Of Results",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_MAXIMUM_NUMBER_OF_RESULTS =
  {
    RSRTX_ATTR_SEARCH_MAXIMUM_NUMBER_OF_RESULTS,
    "Search Maximum Number Of Results",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:BCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_EXPORT_NAME =
  {
    RSRTX_ATTR_SEARCH_EXPORT_NAME,
    "Search Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:SEAR:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SEARCH",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_EXPORT_SAVE =
  {
    RSRTX_ATTR_SEARCH_EXPORT_SAVE,
    "Search Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:SEAR:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL,
    "Search Trigger Pattern Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:LEV{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS =
  {
    RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS,
    "Search Trigger Pattern Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:LEV{Channel}:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_EVENT =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_EVENT,
    "Protocol LIN Search Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSearchEvent, NULL, NULL,
    "SEAR:PROT:LIN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SEARCH_EVENT_FRAME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_FRAME_SETUP =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_FRAME_SETUP,
    "Protocol LIN Search Frame Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolLINSearchFrameSetup, NULL, NULL,
    "SEAR:PROT:LIN:FRAM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_SEARCH_FRAME_SOF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_ID =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_ID,
    "Protocol LIN Search Condition ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "SEAR:PROT:LIN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_DATA =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_DATA,
    "Protocol LIN Search Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "SEAR:PROT:LIN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ID_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ID_PATTERN,
    "Protocol LIN Search ID Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:LIN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_LENGTH,
    "Protocol LIN Search Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolLINDataLength, NULL,
    "SEAR:PROT:LIN:DLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_PATTERN,
    "Protocol LIN Search Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:LIN:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_CHECKSUM =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_CHECKSUM,
    "Protocol LIN Search Error Checksum",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:LIN:CHKS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_PARITY =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_PARITY,
    "Protocol LIN Search Error Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:LIN:IPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_SYNC =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_SYNC,
    "Protocol LIN Search Error Sync",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:LIN:SYER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_EVENT =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_EVENT,
    "Protocol CAN Search Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSearchEvent, NULL, NULL,
    "SEAR:PROT:CAN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SEARCH_EVENT_FRAME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_SETUP =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_SETUP,
    "Protocol CAN Search Frame Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANSearchFrameSetup, NULL, NULL,
    "SEAR:PROT:CAN:FRAM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_SEARCH_FRAME_SOF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_TYPE,
    "Protocol CAN Search Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANSearchFrameType, NULL, NULL,
    "SEAR:PROT:CAN:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_SEARCH_FRAME_TYPE_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_TYPE,
    "Protocol CAN Search ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANIDType, NULL, NULL,
    "SEAR:PROT:CAN:ITYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ID_TYPE_B11,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_ID =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_ID,
    "Protocol CAN Search Condition ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "SEAR:PROT:CAN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_DATA =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_DATA,
    "Protocol CAN Search Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCondition, NULL, NULL,
    "SEAR:PROT:CAN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_PATTERN,
    "Protocol CAN Search ID Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:CAN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_LENGTH,
    "Protocol CAN Search Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolCANDataLength, NULL,
    "SEAR:PROT:CAN:DLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_PATTERN,
    "Protocol CAN Search Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:CAN:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_CRC =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_CRC,
    "Protocol CAN Search Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:CAN:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_STUFFING =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_STUFFING,
    "Protocol CAN Search Error Stuffing",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:CAN:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_FORM =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_FORM,
    "Protocol CAN Search Error Form",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:CAN:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_ACK =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_ACK,
    "Protocol CAN Search Error Ack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:PROT:CAN:ACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_CONDITION =
  {
    RSRTX_ATTR_MILSTD_SEARCH_CONDITION,
    "MILSTD Search Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDSearchCondition, NULL, NULL,
    "SEAR:PROT:MILS:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_SEARCH_CONDITION_WORD_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_WORD_START =
  {
    RSRTX_ATTR_MILSTD_SEARCH_WORD_START,
    "MILSTD Search Word Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDSearchWordStart, NULL, NULL,
    "SEAR:PROT:MILS:WST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_WORD_START_STATUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_ERROR =
  {
    RSRTX_ATTR_MILSTD_SEARCH_ERROR,
    "MILSTD Search Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDSearchError, NULL, NULL,
    "SEAR:PROT:MILS:ERR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_SEARCH_ERROR_SYNCHRONIZATION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_TRANSMISSION_TYPE =
  {
    RSRTX_ATTR_MILSTD_SEARCH_TRANSMISSION_TYPE,
    "MILSTD Search Transmission Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDTransmissionType, NULL, NULL,
    "SEAR:PROT:MILS:TTYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_MILSTD_TRANSMISSION_TYPE_BCRT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_COMMAND_DATA_DIRECTION =
  {
    RSRTX_ATTR_MILSTD_SEARCH_COMMAND_DATA_DIRECTION,
    "MILSTD Search Command Data Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDDirection, NULL, NULL,
    "SEAR:PROT:MILS:TRM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_DIRECTION_TRANSMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_CONDITION =
  {
    RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_CONDITION,
    "MILSTD Search RT Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "SEAR:PROT:MILS:RTAD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MINIMUM,
    "MILSTD Search RT Address Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:RTAD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X1XXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MAXIMUM,
    "MILSTD Search RT Address Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:RTAD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X0XXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_CONDITION =
  {
    RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_CONDITION,
    "MILSTD Search Sub Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "SEAR:PROT:MILS:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MINIMUM,
    "MILSTD Search Sub Address Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X0XXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MAXIMUM,
    "MILSTD Search Sub Address Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X0XXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS,
    "MILSTD Search Sub Address",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDSubAddress, NULL, NULL,
    "SEAR:PROT:MILS:SADD:MCAD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TRIGGER_SUB_ADDRESS_A0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_WORD_CONDITION =
  {
    RSRTX_ATTR_MILSTD_SEARCH_WORD_CONDITION,
    "MILSTD Search Word Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "SEAR:PROT:MILS:WCO:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_WORD_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_WORD_MINIMUM,
    "MILSTD Search Word Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:WCO:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_WORD_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_WORD_MAXIMUM,
    "MILSTD Search Word Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:WCO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_COMMAND_MODE_CODE =
  {
    RSRTX_ATTR_MILSTD_SEARCH_COMMAND_MODE_CODE,
    "MILSTD Search Command Mode Code",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCodeType, NULL, NULL,
    "SEAR:PROT:MILS:MCOD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CODE_TYPE_DBC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_RECEIVED_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_RECEIVED_BIT_STATUS,
    "MILSTD Search Received Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:BCR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_BUSY_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_BUSY_BIT_STATUS,
    "MILSTD Search Busy Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:BUSY",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_BUS_CONTROL_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_BUS_CONTROL_BIT_STATUS,
    "MILSTD Search Bus Control Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:DBC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_INSTRUMENTATION_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_INSTRUMENTATION_BIT_STATUS,
    "MILSTD Search Instrumentation Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:INST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCHMESSAGE_ERROR_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCHMESSAGE_ERROR_BIT_STATUS,
    "MILSTD SearchMessage Error Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:MERR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_SERVICE_REQUEST_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_SERVICE_REQUEST_BIT_STATUS,
    "MILSTD Search Service Request Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:SREQ",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_SUBSYSTEM_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_SUBSYSTEM_BIT_STATUS,
    "MILSTD Search Subsystem Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:SUBS",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_TERMINAL_BIT_STATUS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_TERMINAL_BIT_STATUS,
    "MILSTD Search Terminal Bit Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngStatus, NULL, NULL,
    "SEAR:PROT:MILS:STAT:TERM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_STATUS_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_DATA_CONDITION =
  {
    RSRTX_ATTR_MILSTD_SEARCH_DATA_CONDITION,
    "MILSTD Search Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCondition, NULL, NULL,
    "SEAR:PROT:MILS:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CONDITION_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_DATA_MINIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_DATA_MINIMUM,
    "MILSTD Search Data Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_DATA_MAXIMUM =
  {
    RSRTX_ATTR_MILSTD_SEARCH_DATA_MAXIMUM,
    "MILSTD Search Data Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET =
  {
    RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET,
    "MILSTD Search Data Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:DATA:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET_WORDS =
  {
    RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET_WORDS,
    "MILSTD Search Data Offset Words",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:PROT:MILS:DATA:WORD",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_TYPE,
    "Protocol ARINC429 Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINC429Type, NULL, NULL,
    "SEAR:PROT:ARIN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRIGGER_ARINC_TYPE_WORD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_WORD_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_WORD_TYPE,
    "Protocol ARINC429 Search Word Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINC429WordType, NULL, NULL,
    "SEAR:PROT:ARIN:WORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_WORD_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_ERROR =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_ERROR,
    "Protocol ARINC429 Search Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINC429Error, NULL, NULL,
    "SEAR:PROT:ARIN:ERR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_ERROR_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_CONDITION,
    "Protocol ARINC429 Search Label Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429Operator, NULL, NULL,
    "SEAR:PROT:ARIN:LAB:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_COND_NQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MIN =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MIN,
    "Protocol ARINC429 Search Label Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:ARIN:LAB:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MAX =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MAX,
    "Protocol ARINC429 Search Label Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:ARIN:LAB:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_CONDITION =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_CONDITION,
    "Protocol ARINC429 Search Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429Operator, NULL, NULL,
    "SEAR:PROT:ARIN:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_COND_NQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MIN =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MIN,
    "Protocol ARINC429 Search Data Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:ARIN:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MAX =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MAX,
    "Protocol ARINC429 Search Data Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:PROT:ARIN:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_OFFSET =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_OFFSET,
    "Protocol ARINC429 Search Data Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:PROT:ARIN:DATA:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_SIZE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_SIZE,
    "Protocol ARINC429 Search Data Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:PROT:ARIN:DATA:SIZE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_FORMAT =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_FORMAT,
    "Protocol ARINC429 Search Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429DataFormat, NULL, NULL,
    "SEAR:PROT:ARIN:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC429_DATA_FORMAT_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SDI =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SDI,
    "Protocol ARINC429 Search SDI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINCSsmSdi, NULL, NULL,
    "SEAR:PROT:ARIN:SDI",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_SSM_SDI_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SSM =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SSM,
    "Protocol ARINC429 Search SSM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngARINCSsmSdi, NULL, NULL,
    "SEAR:PROT:ARIN:SSM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_SSM_SDI_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_ENABLED,
    "Protocol Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_TYPE,
    "Protocol Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolType, NULL, NULL,
    "BUS{SerialBus}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PTYPE_PARALLEL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BUS_SAVE_DECODED_DATA =
  {
    RSRTX_ATTR_BUS_SAVE_DECODED_DATA,
    "Bus Save Decoded Data",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIST:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MYTABLE",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CONTENT =
  {
    RSRTX_ATTR_PROTOCOL_CONTENT,
    "Protocol Content",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_DISPLAY_FORMAT =
  {
    RSRTX_ATTR_PROTOCOL_DISPLAY_FORMAT,
    "Protocol Display Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolFormat, NULL, NULL,
    "BUS{SerialBus}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PFORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_DISPLAY_HEIGHT =
  {
    RSRTX_ATTR_PROTOCOL_DISPLAY_HEIGHT,
    "Protocol Display Height",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolHeight, NULL, NULL,
    "BUS{SerialBus}:DSIZ",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PHEIGHT_MEDIUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_DISPLAY_LINES =
  {
    RSRTX_ATTR_PROTOCOL_DISPLAY_LINES,
    "Protocol Display Lines",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DSIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_DISPLAY_VERTICAL =
  {
    RSRTX_ATTR_PROTOCOL_DISPLAY_VERTICAL,
    "Protocol Display Vertical",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolVertical, NULL,
    "BUS{SerialBus}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_DISPLAY_RESULTS =
  {
    RSRTX_ATTR_PROTOCOL_DISPLAY_RESULTS,
    "Protocol Display Results",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_CLOCK_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_CLOCK_SOURCE,
    "Protocol I2C Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelAndDigitalSource, NULL, NULL,
    "BUS{SerialBus}:I2C:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_DATA_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_DATA_SOURCE,
    "Protocol I2C Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelAndDigitalSource, NULL, NULL,
    "BUS{SerialBus}:I2C:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_COUNT,
    "Protocol I2C Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_SELECTED_FRAME =
  {
    RSRTX_ATTR_PROTOCOL_I2C_SELECTED_FRAME,
    "Protocol I2C Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_DATA =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_DATA,
    "Protocol I2C Frame Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_STATUS,
    "Protocol I2C Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProtocolI2CFrameState, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_START,
    "Protocol I2C Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_END,
    "Protocol I2C Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_TRANSFER_DIRECTION =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_TRANSFER_DIRECTION,
    "Protocol I2C Frame Transfer Direction",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngI2CFrameTransferDirection, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRANSFER_DIRECTION_INC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACKNOWLEDGE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACKNOWLEDGE,
    "Protocol I2C Frame Address Acknowledge",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProtocolAckBit, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:AACC?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_I2C_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ENABLED,
    "Protocol I2C Frame Address Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ACOM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapBool_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START_ACK_BIT =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START_ACK_BIT,
    "Protocol I2C Frame Address Start Ack Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ADBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS,
    "Protocol I2C Frame Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ADDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_WITHOUT_BIT =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_WITHOUT_BIT,
    "Protocol I2C Frame Address Without Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ADEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_LENGTH,
    "Protocol I2C Frame Address Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngFrameAddressLength, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:AMOD?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_FRAME_ADDRESS_LENGTH_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START =
  {
    RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START,
    "Protocol I2C Frame Address Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:AST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_SELECTED_BYTE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_SELECTED_BYTE,
    "Protocol I2C Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_I2C_BYTE_COUNT,
    "Protocol I2C Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT =
  {
    RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT,
    "Protocol I2C Byte Ack Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProtocolAckBit, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_I2C_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameByteRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT_START =
  {
    RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT_START,
    "Protocol I2C Byte Ack Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:ACKS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameByteRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_I2C_BYTE_ENABLED,
    "Protocol I2C Byte Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameByteRepCapBool_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_START =
  {
    RSRTX_ATTR_PROTOCOL_I2C_BYTE_START,
    "Protocol I2C Byte Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameByteRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_I2C_BYTE_VALUE,
    "Protocol I2C Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatI2CFrameByteRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_CLOCK_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_CLOCK_SOURCE,
    "Protocol SPI Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelAndDigitalSource, NULL, NULL,
    "BUS{SerialBus}:SPI:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_DATA_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_DATA_SOURCE,
    "Protocol SPI Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMOSISource, NULL, NULL,
    "BUS{SerialBus}:SPI:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MOSI_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_MOSI_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_MOSI_SOURCE,
    "Protocol SPI MOSI Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMOSISource, NULL, NULL,
    "BUS{SerialBus}:SPI:MOSI:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MOSI_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_MISO_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_MISO_SOURCE,
    "Protocol SPI MISO Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMISOSource, NULL, NULL,
    "BUS{SerialBus}:SPI:MISO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MISO_SOURCE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_CLOCK_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SPI_CLOCK_POLARITY,
    "Protocol SPI Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:CLOC:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_CS_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SPI_CS_POLARITY,
    "Protocol SPI CS Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:CS:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_CS_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SPI_CS_SOURCE,
    "Protocol SPI CS Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSPIChipSelectSource, NULL, NULL,
    "BUS{SerialBus}:SPI:CS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPI_CS_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_DATA_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SPI_DATA_POLARITY,
    "Protocol SPI Data Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:DATA:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_BIT_ORDER =
  {
    RSRTX_ATTR_PROTOCOL_SPI_BIT_ORDER,
    "Protocol SPI Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIBitOrder, NULL, NULL,
    "BUS{SerialBus}:SPI:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPI_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_WORD_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_SPI_WORD_LENGTH,
    "Protocol SPI Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolSPIWordLength, NULL,
    "BUS{SerialBus}:SPI:SSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_MOSI_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SPI_MOSI_POLARITY,
    "Protocol SPI MOSI Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIMISOPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:MOSI:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_MISO_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SPI_MISO_POLARITY,
    "Protocol SPI MISO Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIMISOPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:MISO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_SPI_FRAME_COUNT,
    "Protocol SPI Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_SELECTED_FRAME =
  {
    RSRTX_ATTR_PROTOCOL_SPI_SELECTED_FRAME,
    "Protocol SPI Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_SPI_FRAME_STATUS,
    "Protocol SPI Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIFrameState, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_SPI_FRAME_START,
    "Protocol SPI Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:STARt?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_SPI_FRAME_END,
    "Protocol SPI Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MOSI =
  {
    RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MOSI,
    "Protocol SPI Frame Data MOSI",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:DATA:MOSI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MISO =
  {
    RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MISO,
    "Protocol SPI Frame Data MISO",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:DATA:MISO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_SPI_WORD_COUNT,
    "Protocol SPI Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_SELECTED_WORD =
  {
    RSRTX_ATTR_PROTOCOL_SPI_SELECTED_WORD,
    "Protocol SPI Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_WORD_START =
  {
    RSRTX_ATTR_PROTOCOL_SPI_WORD_START,
    "Protocol SPI Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_WORD_END =
  {
    RSRTX_ATTR_PROTOCOL_SPI_WORD_END,
    "Protocol SPI Word End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_WORD_MOSI =
  {
    RSRTX_ATTR_PROTOCOL_SPI_WORD_MOSI,
    "Protocol SPI Word MOSI",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:MOSI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SPI_WORD_MISO =
  {
    RSRTX_ATTR_PROTOCOL_SPI_WORD_MISO,
    "Protocol SPI Word MISO",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:MISO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSPIFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_SOURCE,
    "Protocol SSPI Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelAndDigitalSource, NULL, NULL,
    "BUS{SerialBus}:SSPI:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_DATA_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_DATA_SOURCE,
    "Protocol SSPI Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMOSISource, NULL, NULL,
    "BUS{SerialBus}:SSPI:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MOSI_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_MISO_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_MISO_SOURCE,
    "Protocol SSPI MISO Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngMISOSource, NULL, NULL,
    "BUS{SerialBus}:SSPI:MISO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MISO_SOURCE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_POLARITY,
    "Protocol SSPI Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "BUS{SerialBus}:SSPI:CLOC:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_DATA_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_DATA_POLARITY,
    "Protocol SSPI Data Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "BUS{SerialBus}:SSPI:DATA:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME,
    "Protocol SSPI Interframe Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolBurstIdleTime, NULL,
    "BUS{SerialBus}:SSPI:BIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_BIT_ORDER =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_BIT_ORDER,
    "Protocol SSPI Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIBitOrder, NULL, NULL,
    "BUS{SerialBus}:SSPI:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPI_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_WORD_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_WORD_LENGTH,
    "Protocol SSPI Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolSPIWordLength, NULL,
    "BUS{SerialBus}:SSPI:SSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_MOSI_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_MOSI_POLARITY,
    "Protocol SSPI MOSI Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIMISOPolarity, NULL, NULL,
    "BUS{SerialBus}:SSPI:MOSI:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_SSPI_MISO_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_SSPI_MISO_POLARITY,
    "Protocol SSPI MISO Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIMISOPolarity, NULL, NULL,
    "BUS{SerialBus}:SSPI:MISO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_UART_SOURCE,
    "Protocol UART Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngUARTSource, NULL, NULL,
    "BUS{SerialBus}:UART:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_SOURCE_LINE =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_SOURCE_LINE,
    "Protocol UART RX Source Line",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngUARTSource, NULL, NULL,
    "BUS{SerialBus}:UART:RX:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_SOURCE_LINE =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_SOURCE_LINE,
    "Protocol UART TX Source Line",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngUARTTxSource, NULL, NULL,
    "BUS{SerialBus}:UART:TX:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_SOURCE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_UART_POLARITY,
    "Protocol UART Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "BUS{SerialBus}:UART:DATA:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_IDLE_STATE_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_UART_IDLE_STATE_POLARITY,
    "Protocol UART Idle State Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngIdleStatePolarity, NULL, NULL,
    "BUS{SerialBus}:UART:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_POLARITY_IDLE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_INTERFRAME_TIME =
  {
    RSRTX_ATTR_PROTOCOL_UART_INTERFRAME_TIME,
    "Protocol UART Interframe Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:BIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    8.333334E-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_LENGTH,
    "Protocol UART Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngProtocolUARTWordLength, NULL,
    "BUS{SerialBus}:UART:SSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_BIT_RATE =
  {
    RSRTX_ATTR_PROTOCOL_UART_BIT_RATE,
    "Protocol UART Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolUARTBitRate, NULL,
    "BUS{SerialBus}:UART:BAUD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    115200.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_PARITY =
  {
    RSRTX_ATTR_PROTOCOL_UART_PARITY,
    "Protocol UART Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolUARTParity, NULL, NULL,
    "BUS{SerialBus}:UART:PAR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_STOP_BITS =
  {
    RSRTX_ATTR_PROTOCOL_UART_STOP_BITS,
    "Protocol UART Stop Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolUARTStopBits, NULL, NULL,
    "BUS{SerialBus}:UART:SBIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_B1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_UART_FRAME_COUNT,
    "Protocol UART Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_COUNT,
    "Protocol UART RX Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_COUNT,
    "Protocol UART TX Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_SELECTED_FRAME =
  {
    RSRTX_ATTR_PROTOCOL_UART_SELECTED_FRAME,
    "Protocol UART Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_FRAME_STATE =
  {
    RSRTX_ATTR_PROTOCOL_UART_FRAME_STATE,
    "Protocol UART Frame State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngUARTFrameState, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_FRAME_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_STATE =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_STATE,
    "Protocol UART Rx Frame State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngUARTFrameState, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_FRAME_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_STATE =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_STATE,
    "Protocol UART Tx Frame State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngUARTFrameState, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_FRAME_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_UART_FRAME_START,
    "Protocol UART Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_START,
    "Protocol UART Rx Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_START,
    "Protocol UART Tx Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_UART_FRAME_END,
    "Protocol UART Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_END,
    "Protocol UART Rx Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_END,
    "Protocol UART Tx Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_COUNT,
    "Protocol UART Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_WORD_COUNT,
    "Protocol UART Rx Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_WORD_COUNT,
    "Protocol UART Tx Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_SELECTED_WORD =
  {
    RSRTX_ATTR_PROTOCOL_UART_SELECTED_WORD,
    "Protocol UART Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_VALUE,
    "Protocol UART Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:WORD<Word>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_WORD_VALUE,
    "Protocol UART Rx Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:WORD<Word>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_WORD_VALUE,
    "Protocol UART Tx Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:WORD<Word>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_START =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_START,
    "Protocol UART Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_START =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_WORD_START,
    "Protocol UART Rx Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_START =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_WORD_START,
    "Protocol UART Tx Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_END =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_END,
    "Protocol UART Word End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_END =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_WORD_END,
    "Protocol UART Rx Word End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_END =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_WORD_END,
    "Protocol UART Tx Word End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K2",
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_ENABLED,
    "Protocol UART Word Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngUARTWordEnabled, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:WORD<Word>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_UART_RX_WORD_ENABLED,
    "Protocol UART Rx Word Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngUARTWordEnabled, NULL, NULL,
    "BUS{SerialBus}:UART:RX:FRAM<Frame>:WORD<Word>:STATe?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_UART_TX_WORD_ENABLED,
    "Protocol UART Tx Word Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngUARTWordEnabled, NULL, NULL,
    "BUS{SerialBus}:UART:TX:FRAM<Frame>:WORD<Word>:STATe?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_UART_WORD_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_UART_WORD_SOURCE,
    "Protocol UART Word Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngUARTFrameSource, NULL, NULL,
    "BUS{SerialBus}:UART:FRAM<Frame>:WORD<Word>:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_UART_FRAME_SOURCE_RX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SOURCE,
    "Protocol LIN Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelAndDigitalSource, NULL, NULL,
    "BUS{SerialBus}:LIN:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_LIN_POLARITY,
    "Protocol LIN Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolLINPolarity, NULL, NULL,
    "BUS{SerialBus}:LIN:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_STANDARD =
  {
    RSRTX_ATTR_PROTOCOL_LIN_STANDARD,
    "Protocol LIN Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolLINStandard, NULL, NULL,
    "BUS{SerialBus}:LIN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_STANDARD_1X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_BIT_RATE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_BIT_RATE,
    "Protocol LIN Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_COUNT,
    "Protocol LIN Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SELECTED_FRAME =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SELECTED_FRAME,
    "Protocol LIN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_DATA =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_DATA,
    "Protocol LIN Frame Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_STATUS,
    "Protocol LIN Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLINFrameStatus, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_FRAME_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_START,
    "Protocol LIN Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_END,
    "Protocol LIN Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_ENABLED,
    "Protocol LIN Frame Checksum Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLINChecksum, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:CSST?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_CHECKSUM_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE,
    "Protocol LIN Frame Checksum Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_ENABLED,
    "Protocol LIN Frame Parity Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLINParity, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:IDST?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_PARITY_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_VALUE,
    "Protocol LIN Frame Parity Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:IDPV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE,
    "Protocol LIN Frame ID Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:IDV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_ENABLED,
    "Protocol LIN Frame Sync Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLINChecksum, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:SYST?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_CHECKSUM_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_VALUE,
    "Protocol LIN Frame Sync Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:SYV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_VERSION =
  {
    RSRTX_ATTR_PROTOCOL_LIN_FRAME_VERSION,
    "Protocol LIN Frame Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLINFrameVersion, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:VERS?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_FRAME_VERSION_V1X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_LIN_BYTE_COUNT,
    "Protocol LIN Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_SELECTED_BYTE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_SELECTED_BYTE,
    "Protocol LIN Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_LIN_BYTE_ENABLED,
    "Protocol LIN Byte Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLINByteEnabled, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_LIN_BYTE_ENABLED_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameByteRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_LIN_BYTE_VALUE,
    "Protocol LIN Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatLINFrameByteRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_LINE_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_LINE_TYPE,
    "Protocol CAN Line Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANLineType, NULL, NULL,
    "BUS{SerialBus}:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SOURCE,
    "Protocol CAN Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngChannelAndDigitalSource, NULL, NULL,
    "BUS{SerialBus}:CAN:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CHANNEL_AND_DIGITAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_BIT_RATE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_BIT_RATE,
    "Protocol CAN Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolCANBitRate, NULL,
    "BUS{SerialBus}:CAN:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SAMPLE_POINT =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SAMPLE_POINT,
    "Protocol CAN Sample Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolCANSamplePoint, NULL,
    "BUS{SerialBus}:CAN:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_CAN_FRAME_COUNT,
    "Protocol CAN Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SELECTED_FRAME =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SELECTED_FRAME,
    "Protocol CAN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_FRAME_TYPE,
    "Protocol CAN Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANFrameType, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_FRAME_TYPE_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_CAN_FRAME_STATUS,
    "Protocol CAN Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANFrameStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:STATus?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_FRAME_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_CAN_FRAME_START,
    "Protocol CAN Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_END =
  {
    RSRTX_ATTR_PROTOCOL_CAN_FRAME_END,
    "Protocol CAN Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_DATA =
  {
    RSRTX_ATTR_PROTOCOL_CAN_FRAME_DATA,
    "Protocol CAN Frame Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_ACK_STATE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_ACK_STATE,
    "Protocol CAN Ack State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANAckState, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:ACKS?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ACK_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_ACK_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_ACK_VALUE,
    "Protocol CAN Ack Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:ACKV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_STATE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_STATE,
    "Protocol CAN Checksum State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANAckState, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:CSST?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ACK_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_VALUE,
    "Protocol CAN Checksum Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_STATE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_STATE,
    "Protocol CAN Data Length State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANAckState, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:DLCS?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ACK_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_VALUE,
    "Protocol CAN Data Length Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:DLCV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_ID_STATE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_ID_STATE,
    "Protocol CAN ID State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANAckState, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:IDST?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ACK_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_ID_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_ID_VALUE,
    "Protocol CAN ID Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:IDV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_ID_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_ID_TYPE,
    "Protocol CAN ID Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProtocolCANIDType, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:IDTY?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ID_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_BSE_POSITION =
  {
    RSRTX_ATTR_PROTOCOL_CAN_BSE_POSITION,
    "Protocol CAN BSE Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BSEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_CAN_BYTE_COUNT,
    "Protocol CAN Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_SELECTED_BYTE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_SELECTED_BYTE,
    "Protocol CAN Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_STATE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_BYTE_STATE,
    "Protocol CAN Byte State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngCANAckState, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CAN_ACK_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameByteRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_CAN_BYTE_VALUE,
    "Protocol CAN Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BYTE<Byte>:VALue?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatCANFrameByteRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_ANALYZED_LINES =
  {
    RSRTX_ATTR_PARALLEL_BUS_ANALYZED_LINES,
    "Parallel Bus Analyzed Lines",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngParallelBusAnalyzedLines, NULL,
    "BUS{SerialBus}:PAR:WIDT",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_FRAME_COUNT =
  {
    RSRTX_ATTR_PARALLEL_BUS_FRAME_COUNT,
    "Parallel Bus Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_SELECTED_FRAME =
  {
    RSRTX_ATTR_PARALLEL_BUS_SELECTED_FRAME,
    "Parallel Bus Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_FRAME_DATA =
  {
    RSRTX_ATTR_PARALLEL_BUS_FRAME_DATA,
    "Parallel Bus Frame Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatParallelFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_FRAME_ENABLED =
  {
    RSRTX_ATTR_PARALLEL_BUS_FRAME_ENABLED,
    "Parallel Bus Frame Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngParallelBusFrameEnabled, NULL, NULL,
    "BUS{SerialBus}:PAR:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_PARALLEL_BUS_ENABLED_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatParallelFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_FRAME_START =
  {
    RSRTX_ATTR_PARALLEL_BUS_FRAME_START,
    "Parallel Bus Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatParallelFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_FRAME_END =
  {
    RSRTX_ATTR_PARALLEL_BUS_FRAME_END,
    "Parallel Bus Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatParallelFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_BIT_SOURCE =
  {
    RSRTX_ATTR_PARALLEL_BUS_BIT_SOURCE,
    "Parallel Bus Bit Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngParallelBitSource, NULL, NULL,
    "BUS{SerialBus}:PAR:DATA{ParallelLine}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PARALLEL_BIT_SOURCE_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_ANALYZED_LINES =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_ANALYZED_LINES,
    "Parallel Bus Clocked Analyzed Lines",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngParallelBusAnalyzedLines, NULL,
    "BUS{SerialBus}:CPAR:WIDT",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_COUNT =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_COUNT,
    "Parallel Bus Clocked Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CPAR:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SLOPE =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SLOPE,
    "Parallel Bus Clocked Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerSlope, NULL, NULL,
    "BUS{SerialBus}:CPAR:CLOCK:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CS_POLARITY =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CS_POLARITY,
    "Parallel Bus Clocked CS Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "BUS{SerialBus}:CPAR:CS:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SELECTED_FRAME =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SELECTED_FRAME,
    "Parallel Bus Clocked Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_DATA =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_DATA,
    "Parallel Bus Clocked Frame Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CPAR:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatClockedFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_ENABLED =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_ENABLED,
    "Parallel Bus Clocked Frame Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngParallelBusFrameEnabled, NULL, NULL,
    "BUS{SerialBus}:CPAR:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_PARALLEL_BUS_ENABLED_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatClockedFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_START =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_START,
    "Parallel Bus Clocked Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CPAR:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatClockedFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_END =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_END,
    "Parallel Bus Clocked Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CPAR:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatClockedFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SOURCE =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SOURCE,
    "Parallel Bus Clocked Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngClockedSource, NULL, NULL,
    "BUS{SerialBus}:CPAR:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CLOCKED_SOURCE_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_ENABLED =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_ENABLED,
    "Parallel Bus Clocked Chip Select Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CPAR:CS:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_SOURCE =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_SOURCE,
    "Parallel Bus Clocked Chip Select Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngClockedSource, NULL, NULL,
    "BUS{SerialBus}:CPAR:CS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CLOCKED_SOURCE_D1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_BIT_SOURCE =
  {
    RSRTX_ATTR_PARALLEL_BUS_CLOCKED_BIT_SOURCE,
    "Parallel Bus Clocked Bit Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngParallelBitSource, NULL, NULL,
    "BUS{SerialBus}:CPAR:DATA{ParallelLine}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PARALLEL_BIT_SOURCE_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_VARIANT =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_VARIANT,
    "Protocol Audio Variant",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioVariant, NULL, NULL,
    "BUS{SerialBus}:I2S:AVAR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_VARIANT_I2S,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_WORD_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_WORD_LENGTH,
    "Protocol Audio Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:WLEN",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER,
    "Protocol Audio Channel Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioChannelOrder, NULL, NULL,
    "BUS{SerialBus}:I2S:CHAN:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_ORDER_LEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_BIT_ORDER =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_BIT_ORDER,
    "Protocol Audio Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolAudioBitOrder, NULL, NULL,
    "BUS{SerialBus}:I2S:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET,
    "Protocol Audio Channel Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngAudioOffset, NULL,
    "BUS{SerialBus}:I2S:CHAN:OFFS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH,
    "Protocol Audio Channel Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:CHAN:LENG",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET,
    "Protocol Audio Frame Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngAudioFrameOffset, NULL,
    "BUS{SerialBus}:I2S:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS,
    "Protocol Audio TDM Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngAudioTDMChannels, NULL,
    "BUS{SerialBus}:I2S:CHAN:TDMC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME,
    "Protocol Audio Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_COUNT,
    "Protocol Audio Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STATUS,
    "Protocol Audio Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngAudioFrameStatus, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_START =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_START,
    "Protocol Audio Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STOP =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STOP,
    "Protocol Audio Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_STATUS,
    "Protocol Audio Frame Left Channel Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngAudioFrameStatus, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:LEFT:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_STATUS,
    "Protocol Audio Frame Right Channel Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngAudioFrameStatus, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:RIGH:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_VALUE,
    "Protocol Audio Frame Left Channel Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:LEFT:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_VALUE,
    "Protocol Audio Frame Right Channel Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:RIGH:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_STATUS,
    "Protocol Audio Frame TDM Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngAudioFrameStatus, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:TDM{TDMChannel}:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_VALUE,
    "Protocol Audio Frame TDM Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FRAM<Frame>:TDM{TDMChannel}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatAudioFrameRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE,
    "Protocol Audio Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioSource, NULL, NULL,
    "BUS{SerialBus}:I2S:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD,
    "Protocol Audio Clock Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:CLOC:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY,
    "Protocol Audio Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioClockPolarity, NULL, NULL,
    "BUS{SerialBus}:I2S:CLOC:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_RISING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_WS_SOURCE,
    "Protocol Audio WS Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioSource, NULL, NULL,
    "BUS{SerialBus}:I2S:WSEL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD,
    "Protocol Audio WS Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:WSEL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_WS_POLARITY,
    "Protocol Audio WS Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioWSPolarity, NULL, NULL,
    "BUS{SerialBus}:I2S:WSEL:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_DATA_SOURCE,
    "Protocol Audio Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngAudioSource, NULL, NULL,
    "BUS{SerialBus}:I2S:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_AUDIO_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD,
    "Protocol Audio Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_DATA_POLARITY,
    "Protocol Audio Data Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolSPIMISOPolarity, NULL, NULL,
    "BUS{SerialBus}:I2S:DATA:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DISPLAY_MODE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DISPLAY_MODE,
    "Protocol Audio Track Waveform Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTrackDisplayMode, NULL, NULL,
    "BUS{SerialBus}:I2S:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_TRACK_DISPLAY_MODE_SEQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_POSITION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_POSITION,
    "Protocol Audio Track Waveform Left Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:LEFT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_SCALE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_SCALE,
    "Protocol Audio Track Waveform Left Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:LEFT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_POSITION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_POSITION,
    "Protocol Audio Track Waveform Right Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:RIGH:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_SCALE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_SCALE,
    "Protocol Audio Track Waveform Right Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:RIGH:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_DEFAULT =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_DEFAULT,
    "Protocol Audio Track Waveform Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:SET:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_SCREEN =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_SCREEN,
    "Protocol Audio Track Waveform Set To Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:SET:SCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_ENABLED =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_ENABLED,
    "Protocol Audio Track Waveform Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:TDM{TDMChannel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_POSITION =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_POSITION,
    "Protocol Audio Track Waveform Channel Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:TDM{TDMChannel}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_SCALE =
  {
    RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_SCALE,
    "Protocol Audio Track Waveform Channel Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:TDM{TDMChannel}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_SOURCE,
    "Protocol MILSTD Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "BUS{SerialBus}:MILS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_POLARITY,
    "Protocol MILSTD Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "BUS{SerialBus}:MILS:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HIGH =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HIGH,
    "Protocol MILSTD Treshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HLOW =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HLOW,
    "Protocol MILSTD Treshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_TIMING =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_TIMING,
    "Protocol MILSTD Timing Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:RESP:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_INFINITE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_INFINITE,
    "Protocol MILSTD Inter Message Gap Time Infinite",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:IMGT:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MINIMUM =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MINIMUM,
    "Protocol MILSTD Inter Message Gap Time Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:IMGT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e-06,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MAXIMUM =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MAXIMUM,
    "Protocol MILSTD Inter Message Gap Time Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:IMGT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_INFINITE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_INFINITE,
    "Protocol MILSTD Response Time Infinite",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:RESP:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MINIMUM =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MINIMUM,
    "Protocol MILSTD Response Time Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:RESP:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e-06,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MAXIMUM =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MAXIMUM,
    "Protocol MILSTD Response Time Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:RESP:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.4e-05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_COUNT,
    "Protocol MILSTD Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_SELECTED_WORD =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_SELECTED_WORD,
    "Protocol MILSTD Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_START =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_START,
    "Protocol MILSTD Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STOP =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STOP,
    "Protocol MILSTD Word Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS,
    "Protocol MILSTD Word Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDStatus, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TRANSMISSION_DIRECTION =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TRANSMISSION_DIRECTION,
    "Protocol MILSTD Word Transmission Direction",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDDirection, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:TRM?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_DIRECTION_TRANSMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TYPE,
    "Protocol MILSTD Word Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDType, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_TYPE_COMMAND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_PARITY =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_PARITY,
    "Protocol MILSTD Word Parity",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:PAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RESPONSE_TIME =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RESPONSE_TIME,
    "Protocol MILSTD Word Response Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:RTIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_VALUE,
    "Protocol MILSTD Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INTERMESSAGE_GATE_TIME =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INTERMESSAGE_GATE_TIME,
    "Protocol MILSTD Word Intermessage Gate Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:IMGT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_COUNT,
    "Protocol MILSTD Command Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:COMM:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_TYPE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_TYPE,
    "Protocol MILSTD Command Word Mode Code Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngMILSTDCodeType, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:COMM:MCOD:CODE?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MILSTD_CODE_TYPE_DBC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_VALUE,
    "Protocol MILSTD Command Word Mode Code Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:COMM:MCOD:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_RT_ADDRESS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_RT_ADDRESS,
    "Protocol MILSTD Command Word RT Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:COMM:RTAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "address",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_SUB_ADDRESS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_SUB_ADDRESS,
    "Protocol MILSTD Command Word Sub Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:COMM:SADD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "address",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RECEIVED_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RECEIVED_BIT_STATUS,
    "Protocol MILSTD Word Received Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:BCR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUSY_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUSY_BIT_STATUS,
    "Protocol MILSTD Word Busy Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:BUSY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUS_CONTROL_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUS_CONTROL_BIT_STATUS,
    "Protocol MILSTD Word Bus Control Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:DBC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INSTRUMENTATION_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INSTRUMENTATION_BIT_STATUS,
    "Protocol MILSTD Word Instrumentation Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:INST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_MESSAGE_ERROR_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_MESSAGE_ERROR_BIT_STATUS,
    "Protocol MILSTD Word Message Error Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:MERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS_RT_ADDRESS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS_RT_ADDRESS,
    "Protocol MILSTD Word Status RT Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:RTAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "address",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SUBSYSTEM_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SUBSYSTEM_BIT_STATUS,
    "Protocol MILSTD Word Subsystem Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:SUBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TERMINAL_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TERMINAL_BIT_STATUS,
    "Protocol MILSTD Word Terminal Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:TERM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SERVICE_REQUEST_BIT_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SERVICE_REQUEST_BIT_STATUS,
    "Protocol MILSTD Word Service Request Bit Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WORD<Word>:STAT:SREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatMILSTDWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SOURCE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SOURCE,
    "Protocol ARINC429 Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "BUS{SerialBus}:ARINc:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_POLARITY =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_POLARITY,
    "Protocol ARINC429 Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429Polarity, NULL, NULL,
    "BUS{SerialBus}:ARIN:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC429_POLARITY_ALEG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE,
    "Protocol ARINC429 Bit Rate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429BitRateMode, NULL, NULL,
    "BUS{SerialBus}:ARIN:BRM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC429_BIT_RATE_MODE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE,
    "Protocol ARINC429 Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:BRV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH,
    "Protocol ARINC429 Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolARINC429ThresholdHigh, NULL,
    "BUS{SerialBus}:ARIN:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW,
    "Protocol ARINC429 Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngProtocolARINC429ThresholdLow, NULL,
    "BUS{SerialBus}:ARIN:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_DATA_FORMAT =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_DATA_FORMAT,
    "Protocol ARINC429 Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429DataFormat, NULL, NULL,
    "BUS{SerialBus}:ARIN:DATA:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC429_DATA_FORMAT_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_COUNT =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_COUNT,
    "Protocol ARINC429 Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_SELECTED_WORD =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_SELECTED_WORD,
    "Protocol ARINC429 Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STATUS =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STATUS,
    "Protocol ARINC429 Word Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngARINC429WordStatus, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC_WORD_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_START =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_START,
    "Protocol ARINC429 Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STOP =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STOP,
    "Protocol ARINC429 Word Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SDI =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SDI,
    "Protocol ARINC429 Word SDI",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:SDI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SSM =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SSM,
    "Protocol ARINC429 Word SSM",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:SSM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL,
    "Protocol ARINC429 Word Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:LAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL_VALUE =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL_VALUE,
    "Protocol ARINC429 Word Label Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:LAB:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PATTERN =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PATTERN,
    "Protocol ARINC429 Word Pattern",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:PATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PARITY =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PARITY,
    "Protocol ARINC429 Word Parity",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:PAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_FORMAT =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_FORMAT,
    "Protocol ARINC429 Word Format",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngProtocolARINC429DataFormat, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:FORM?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ARINC429_DATA_FORMAT_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_DATA =
  {
    RSRTX_ATTR_PROTOCOL_ARINC429_WORD_DATA,
    "Protocol ARINC429 Word Data",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WORD<Word>:DATA:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatARINCWordRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_ENABLED =
  {
    RSRTX_ATTR_POWER_ANALYSIS_ENABLED,
    "Power Analysis Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_TYPE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_TYPE,
    "Power Analysis Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPowerAnalysisType, NULL, NULL,
    "POW:ATYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POWER_ANALYSIS_TYPE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_RESULT_TABLE_ENABLED =
  {
    RSRTX_ATTR_POWER_ANALYSIS_RESULT_TABLE_ENABLED,
    "Power Analysis Result Table Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:RES:TABL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_RESET_STATISTICS =
  {
    RSRTX_ATTR_POWER_ANALYSIS_RESET_STATISTICS,
    "Power Analysis Reset Statistics",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:STAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_STATISTICS_VISIBLE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_STATISTICS_VISIBLE,
    "Power Analysis Statistics Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:STAT:VIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_START_DESKEW =
  {
    RSRTX_ATTR_POWER_ANALYSIS_START_DESKEW,
    "Power Analysis Start Deskew",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DESK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_ZERO_OFFSET =
  {
    RSRTX_ATTR_POWER_ANALYSIS_ZERO_OFFSET,
    "Power Analysis Zero Offset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ZOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET =
  {
    RSRTX_ATTR_POWER_ANALYSIS_AUTOSET,
    "Power Analysis Autoset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_CURRENT =
  {
    RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_CURRENT,
    "Power Analysis Autoset Current",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:AUT:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_VOLTAGE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_VOLTAGE,
    "Power Analysis Autoset Voltage",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:AUT:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE,
    "Power Analysis Voltage Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPowerAnalysisSource, NULL, NULL,
    "POW:SOUR:VOLT{SourceNumber}",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POWER_ANALYSIS_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_CURRENT_SOURCE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_CURRENT_SOURCE,
    "Power Analysis Current Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPowerAnalysisSource, NULL, NULL,
    "POW:SOUR:CURR{SourceNumber}",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POWER_ANALYSIS_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_ANALYSIS_ADD_REPORT,
    "Power Analysis Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_DUT =
  {
    RSRTX_ATTR_POWER_ANALYSIS_REPORT_DUT,
    "Power Analysis Report DUT",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:DUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "DUT1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_USER =
  {
    RSRTX_ATTR_POWER_ANALYSIS_REPORT_USER,
    "Power Analysis Report User",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "User1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_SITE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_REPORT_SITE,
    "Power Analysis Report Site",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:SITE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Site1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_TEMPERATURE =
  {
    RSRTX_ATTR_POWER_ANALYSIS_REPORT_TEMPERATURE,
    "Power Analysis Report Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsrtx_rngPowerAnalysisReportTemperature, NULL,
    "POW:REP:TEMP",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_DESCRIPTION =
  {
    RSRTX_ATTR_POWER_ANALYSIS_REPORT_DESCRIPTION,
    "Power Analysis Report Description",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:DESC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Desc",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_OUTPUT_FOLDER =
  {
    RSRTX_ATTR_POWER_ANALYSIS_REPORT_OUTPUT_FOLDER,
    "Power Analysis Report Output Folder",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_QUALITY_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_QUALITY_MEASUREMENT,
    "Start Power Quality Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:QUAL:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_QUALITY_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_QUALITY_MEASUREMENT_ADD_REPORT,
    "Power Quality Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:QUAL:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_CONSUMPTION_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_CONSUMPTION_MEASUREMENT,
    "Start Power Consumption Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:CONS:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESTART_POWER_CONSUMPTION_MEASUREMENT =
  {
    RSRTX_ATTR_RESTART_POWER_CONSUMPTION_MEASUREMENT,
    "Restart Power Consumption Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:CONS:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ADD_REPORT,
    "Power Consumption Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:CONS:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_DURATION_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_DURATION_RESULT,
    "Power Consumption Measurement Duration Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ENERGY_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ENERGY_RESULT,
    "Power Consumption Measurement Energy Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ACTIVE_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ACTIVE_RESULT,
    "Power Consumption Measurement Active Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:REAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_APPARENT_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_APPARENT_POWER_RESULT,
    "Power Consumption Measurement Apparent Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:APP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_POWER_FACTOR_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_POWER_FACTOR_RESULT,
    "Power Consumption Measurement Power Factor Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:PFAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_PHASE_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_PHASE_RESULT,
    "Power Consumption Measurement Phase Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:PHAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_REACTIVE_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_REACTIVE_POWER_RESULT,
    "Power Consumption Measurement Reactive Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:CONS:RES:REAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_CURRENT_HARMONICS_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_CURRENT_HARMONICS_MEASUREMENT,
    "Start Power Current Harmonics Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:HARM:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_STANDARD =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_STANDARD,
    "Power Current Harmonics Measurement Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHarmonicsStandard, NULL, NULL,
    "POW:HARM:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_CURRENT_HARMONICS_STANDARD_ENA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL,
    "Power Current Harmonics Measurement Fundamental",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHarmonicsFundamental, NULL, NULL,
    "POW:HARM:ENFR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARMONICS_FUNDAMENTAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_MIL =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_MIL,
    "Power Current Harmonics Measurement Fundamental MIL",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHarmonicsFundamentalMIL, NULL, NULL,
    "POW:HARM:MIFR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARMONICS_FUNDAMENTAL_MIL_F60,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_RTC =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_RTC,
    "Power Current Harmonics Measurement Fundamental RTC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHarmonicsFundamentalRTC, NULL, NULL,
    "POW:HARM:DOFR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARMONICS_FUNDAMENTAL_RTC_F400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_NUMBER_OF_MEASURED_HARMONICS =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_NUMBER_OF_MEASURED_HARMONICS,
    "Power Current Harmonics Number Of Measured Harmonics",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:HARM:AVA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_ADD_REPORT,
    "Power Current Harmonics Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:HARM:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_DURATION =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_DURATION,
    "Power Current Harmonics Measurement Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_LIMIT_CHECK_RESULT =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_LIMIT_CHECK_RESULT,
    "Power Current Harmonics Measurement Limit Check Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngLimitCheck, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PASS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESET_POWER_CURRENT_HARMONICS_MEASUREMENT_RESULTS =
  {
    RSRTX_ATTR_RESET_POWER_CURRENT_HARMONICS_MEASUREMENT_RESULTS,
    "Reset Power Current Harmonics Measurement Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_CURRENT =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_CURRENT,
    "Power Current Harmonics Measurement Frequency Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_AVERAGE =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_AVERAGE,
    "Power Current Harmonics Measurement Frequency Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:FREQ:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MAXIMUM =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MAXIMUM,
    "Power Current Harmonics Measurement Frequency Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:FREQ:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MINIMUM =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MINIMUM,
    "Power Current Harmonics Measurement Frequency Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:FREQ:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_STANDARD_DEVIATION =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_STANDARD_DEVIATION,
    "Power Current Harmonics Measurement Frequency Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:FREQ:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_REAL_POWER_CURRENT =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_REAL_POWER_CURRENT,
    "Power Current Harmonics Measurement Real Power Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:REAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_CURRENT =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_CURRENT,
    "Power Current Harmonics Measurement Total Harmonic Distortion Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:THD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_AVERAGE =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_AVERAGE,
    "Power Current Harmonics Measurement Total Harmonic Distortion Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:THD:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MAXIMUM =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MAXIMUM,
    "Power Current Harmonics Measurement Total Harmonic Distortion Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:THD:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MINIMUM =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MINIMUM,
    "Power Current Harmonics Measurement Total Harmonic Distortion Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:THD:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_STANDARD_DEVIATION =
  {
    RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_STANDARD_DEVIATION,
    "Power Current Harmonics Measurement Total Harmonic Distortion Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:MEAS:THD:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_NAME =
  {
    RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_NAME,
    "Current Harmonics Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:POW:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/USB_FRONT/POWER/HARMONIC",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_SAVE =
  {
    RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_SAVE,
    "Current Harmonics Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:POW:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT,
    "Start Power Inrush Current Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:INR:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_COUNT =
  {
    RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_COUNT,
    "Power Inrush Current Measurement Gate Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:INR:GCO",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_ADD_REPORT,
    "Power Inrush Current Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:INR:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_START =
  {
    RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_START,
    "Power Inrush Current Measurement Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:INR:GATE{Gate}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_STOP =
  {
    RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_STOP,
    "Power Inrush Current Measurement Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:INR:GATE{Gate}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_AREA_RESULT =
  {
    RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_AREA_RESULT,
    "Power Inrush Current Measurement Area Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:INR:RES{Gate}:AREA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_MAXIMUM_RESULT =
  {
    RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_MAXIMUM_RESULT,
    "Power Inrush Current Measurement Maximum Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:INR:RES{Gate}:MAXCurrent?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_RIPPLE_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_RIPPLE_MEASUREMENT,
    "Start Power Ripple Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:RIPP:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_RIPPLE_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_RIPPLE_MEASUREMENT_ADD_REPORT,
    "Power Ripple Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:RIPP:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_SPECTRUM_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_SPECTRUM_MEASUREMENT,
    "Start Power Spectrum Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SPEC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY =
  {
    RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY,
    "Power Spectrum Measurement Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SPEC:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_ADD_REPORT,
    "Power Spectrum Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SPEC:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESET_POWER_SPECTRUM_MEASUREMENT_RESULTS =
  {
    RSRTX_ATTR_RESET_POWER_SPECTRUM_MEASUREMENT_RESULTS,
    "Reset Power Spectrum Measurement Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SPEC:RES{ResultNumber}:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_SLEW_RATE_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_SLEW_RATE_MEASUREMENT,
    "Start Power Slew Rate Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SLEW:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_SAMPLE =
  {
    RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_SAMPLE,
    "Power Slew Rate Measurement Delta Sample",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SLEW:DSAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_TIME =
  {
    RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_TIME,
    "Power Slew Rate Measurement Delta Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SLEW:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.00E-05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_ADD_REPORT,
    "Power Slew Rate Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SLEW:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_MODULATION_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_MODULATION_MEASUREMENT,
    "Start Power Modulation Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:MOD:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_TYPE =
  {
    RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_TYPE,
    "Power Modulation Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngModulationType, NULL, NULL,
    "POW:MOD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MODULATION_TYPE_PER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_ADD_REPORT,
    "Power Modulation Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:MOD:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_UPPER =
  {
    RSRTX_ATTR_POWER_MODULATION_THRESHOLD_UPPER,
    "Power Modulation Threshold Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:MOD:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_LOWER =
  {
    RSRTX_ATTR_POWER_MODULATION_THRESHOLD_LOWER,
    "Power Modulation Threshold Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:MOD:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_HYSTERESIS =
  {
    RSRTX_ATTR_POWER_MODULATION_THRESHOLD_HYSTERESIS,
    "Power Modulation Threshold Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:MOD:THR:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT,
    "Start Power Dynamic On Resistance Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DONR:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_ADD_REPORT,
    "Power Dynamic On Resistance Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DONR:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_START =
  {
    RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_START,
    "Power Dynamic On Resistance Measurement Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DONR:GATE{Gate}:START",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_STOP =
  {
    RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_STOP,
    "Power Dynamic On Resistance Measurement Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DONR:GATE{Gate}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_RESULT =
  {
    RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_RESULT,
    "Power Dynamic On Resistance Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DONR:RES:DONR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_EFFICIENCY_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_EFFICIENCY_MEASUREMENT,
    "Start Power Efficiency Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:EFF:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_EFFICIENCY_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_EFFICIENCY_MEASUREMENT_ADD_REPORT,
    "Power Efficiency Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:EFF:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT,
    "Start Power Switchingloss Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SWIT:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TYPE =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TYPE,
    "Power Switchingloss Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSwitchinglossType, NULL, NULL,
    "POW:SWIT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SWITCHINGLOSS_TYPE_ENERGY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_ADD_REPORT,
    "Power Switchingloss Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SWIT:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SET_POWER_SWITSCHINGLOSS_MEASUREMENT_GATE_TO_WAVEFORM =
  {
    RSRTX_ATTR_SET_POWER_SWITSCHINGLOSS_MEASUREMENT_GATE_TO_WAVEFORM,
    "Set Power Switschingloss Measurement Gate To Waveform",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SWIT:SWAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_START =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_START,
    "Power Switchingloss Measurement Gate Conduction Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:COND:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_STOP =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_STOP,
    "Power Switchingloss Measurement Gate Conduction Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:COND:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_START =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_START,
    "Power Switchingloss Measurement Gate No Conduction Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:NCON:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_STOP =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_STOP,
    "Power Switchingloss Measurement Gate No Conduction Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:NCON:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_START =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_START,
    "Power Switchingloss Measurement Gate Turn On Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TON:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_STOP =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_STOP,
    "Power Switchingloss Measurement Gate Turn On Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TON:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_START =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_START,
    "Power Switchingloss Measurement Gate Turn Off Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TOFF:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_STOP =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_STOP,
    "Power Switchingloss Measurement Gate Turn Off Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TOFF:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_ENERGY_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_ENERGY_RESULT,
    "Power Switchingloss Measurement Conduction Energy Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:COND:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_POWER_RESULT,
    "Power Switchingloss Measurement Conduction Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:COND:POW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_ENERGY_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_ENERGY_RESULT,
    "Power Switchingloss Measurement No Conduction Energy Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:NCON:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_POWER_RESULT,
    "Power Switchingloss Measurement No Conduction Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:NCON:POW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_ENERGY_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_ENERGY_RESULT,
    "Power Switchingloss Measurement Turn On Energy Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:TON:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_POWER_RESULT,
    "Power Switchingloss Measurement Turn On Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:TON:POW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_ENERGY_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_ENERGY_RESULT,
    "Power Switchingloss Measurement Turn Off Energy Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:TOFF:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_POWER_RESULT,
    "Power Switchingloss Measurement Turn Off Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:TOFF:POW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_ENERGY_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_ENERGY_RESULT,
    "Power Switchingloss Measurement Total Energy Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:TOT:ENER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_POWER_RESULT =
  {
    RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_POWER_RESULT,
    "Power Switchingloss Measurement Total Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:RES:TOT:POW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_ON_OFF_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_ON_OFF_MEASUREMENT,
    "Start Power On Off Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ONOF:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_TYPE =
  {
    RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_TYPE,
    "Power On Off Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngOnOffType, NULL, NULL,
    "POW:ONOF:MEAS",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ON_OFF_TYPE_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_ADD_REPORT,
    "Power On Off Measurement Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ONOF:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_RESULT =
  {
    RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_RESULT,
    "Power On Off Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ONOF:RES{OnOffResult}:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT,
    "Start Power Safe Operating Area Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESTART_POWER_SAFE_OPERATING_AREA_MEASUREMENT =
  {
    RSRTX_ATTR_RESTART_POWER_SAFE_OPERATING_AREA_MEASUREMENT,
    "Restart Power Safe Operating Area Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_ADD_REPORT,
    "Power Safe Operating Area Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SCALE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SCALE,
    "Power Safe Operating Area Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngScaleLinLog, NULL, NULL,
    "POW:SOA:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SCALE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_MASK_SCALE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_MASK_SCALE,
    "Power Safe Operating Area Mask Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngScaleLinLog, NULL, NULL,
    "POW:SOA:SCAL:MASK",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SCALE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_DISPLAY_SCALE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_DISPLAY_SCALE,
    "Power Safe Operating Area Display Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngScaleLinLog, NULL, NULL,
    "POW:SOA:SCAL:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SCALE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LIN_ADD =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LIN_ADD,
    "Power Safe Operating Area Linear Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:LIN:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_INSERT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_INSERT,
    "Power Safe Operating Area Linear Insert",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LIN:INS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_REMOVE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_REMOVE,
    "Power Safe Operating Area Linear Remove",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LIN:REM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_COUNT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_COUNT,
    "Power Safe Operating Area Linear Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LIN:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_ADD =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_ADD,
    "Power Safe Operating Area Logarithmic Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:LOG:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_INSERT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_INSERT,
    "Power Safe Operating Area Logarithmic Insert",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LOG:INS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_REMOVE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_REMOVE,
    "Power Safe Operating Area Logarithmic Remove",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LOG:REM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_COUNT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_COUNT,
    "Power Safe Operating Area Logarithmic Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SELECTED_POINT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SELECTED_POINT,
    "Power Safe Operating Area Selected Point",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_VOLTAGE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_VOLTAGE,
    "Power Safe Operating Area Linear Point Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LIN:POIN<Point>:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT,
    "Power Safe Operating Area Linear Point Current",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LIN:POIN<Point>:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MIN =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MIN,
    "Power Safe Operating Area Linear Point Current Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LIN:POIN<Point>:CURR:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MAX =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MAX,
    "Power Safe Operating Area Linear Point Current Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LIN:POIN<Point>:CURR:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_VOLTAGE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_VOLTAGE,
    "Power Safe Operating Area Logarithmic Point Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LOG:POIN<Point>:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT,
    "Power Safe Operating Area Logarithmic Point Current",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LOG:POIN<Point>:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MIN =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MIN,
    "Power Safe Operating Area Logarithmic Point Current Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LOG:POIN<Point>:CURR:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MAX =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MAX,
    "Power Safe Operating Area Logarithmic Point Current Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:LOG:POIN<Point>:CURR:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    rsrtx_FormatSOAPointRepCapReal_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_TOLERANCE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_TOLERANCE,
    "Power Safe Operating Area Result Acquisition Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:TOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_PASSED_RESULTS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_PASSED_RESULTS,
    "Power Safe Operating Area Result Acquisition Passed Results",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:PASS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RESULTS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RESULTS,
    "Power Safe Operating Area Result Acquisition Failed Results",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RATE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RATE,
    "Power Safe Operating Area Result Acquisition Failed Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:FRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_NUMBER_OF_POINTS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_NUMBER_OF_POINTS,
    "Power Safe Operating Area Result Acquisition Number Of Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_STATUS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_STATUS,
    "Power Safe Operating Area Result Acquisition Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_COUNT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_COUNT,
    "Power Safe Operating Area Result Acquisition Violation Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION,
    "Power Safe Operating Area Result Acquisition Violation",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0,0.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_CURRENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_CURRENT,
    "Power Safe Operating Area Result Acquisition Violation Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_VOLTAGE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_VOLTAGE,
    "Power Safe Operating Area Result Acquisition Violation Voltage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:VOLT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_START,
    "Power Safe Operating Area Result Acquisition Voltage Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:VOLT:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_INCREMENT,
    "Power Safe Operating Area Result Acquisition Voltage Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:VOLT:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_START,
    "Power Safe Operating Area Result Acquisition Voltage Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:VOLT:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_INCREMENT,
    "Power Safe Operating Area Result Acquisition Voltage Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:VOLT:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION,
    "Power Safe Operating Area Result Acquisition Voltage Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:VOLT:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_START,
    "Power Safe Operating Area Result Acquisition Current Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:CURR:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_INCREMENT,
    "Power Safe Operating Area Result Acquisition Current Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:CURR:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_START,
    "Power Safe Operating Area Result Acquisition Current Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:CURR:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_INCREMENT,
    "Power Safe Operating Area Result Acquisition Current Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:CURR:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_RESOLUTION,
    "Power Safe Operating Area Result Acquisition Current Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:ACQ:VIOL<Point>:CURR:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_TOLERANCE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_TOLERANCE,
    "Power Safe Operating Area Result Total Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:TOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_RESULTS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_RESULTS,
    "Power Safe Operating Area Result Total Passed Results",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:PASS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RESULTS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RESULTS,
    "Power Safe Operating Area Result Total Failed Results",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RATE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RATE,
    "Power Safe Operating Area Result Total Failed Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:FRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_ACQUISITIONS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_ACQUISITIONS,
    "Power Safe Operating Area Result Total Number Of Acquisitions",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_STATUS =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_STATUS,
    "Power Safe Operating Area Result Total Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_COUNT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_COUNT,
    "Power Safe Operating Area Result Total Violation Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_SAMPLES =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_SAMPLES,
    "Power Safe Operating Area Result Total Passed Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:SAMP:PASS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_SAMPLES =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_SAMPLES,
    "Power Safe Operating Area Result Total Failed Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:SAMP:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_SAMPLES =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_SAMPLES,
    "Power Safe Operating Area Result Total Number Of Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:SAMP:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION,
    "Power Safe Operating Area Result Total Violation",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0,0.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_CURRENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_CURRENT,
    "Power Safe Operating Area Result Total Violation Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_VOLTAGE =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_VOLTAGE,
    "Power Safe Operating Area Result Total Violation Voltage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:VOLT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_START,
    "Power Safe Operating Area Result Total Voltage Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:VOLT:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_INCREMENT,
    "Power Safe Operating Area Result Total Voltage Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:VOLT:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_START,
    "Power Safe Operating Area Result Total Voltage Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:VOLT:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_INCREMENT,
    "Power Safe Operating Area Result Total Voltage Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:VOLT:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION,
    "Power Safe Operating Area Result Total Voltage Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:VOLT:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_START,
    "Power Safe Operating Area Result Total Current Data Conversion X Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:CURR:DATA:XOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_INCREMENT,
    "Power Safe Operating Area Result Total Current Data Conversion X Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:CURR:DATA:XINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_START =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_START,
    "Power Safe Operating Area Result Total Current Data Conversion Y Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:CURR:DATA:YOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_INCREMENT =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_INCREMENT,
    "Power Safe Operating Area Result Total Current Data Conversion Y Increment",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:CURR:DATA:YINC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapReal_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_RESOLUTION =
  {
    RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_RESOLUTION,
    "Power Safe Operating Area Result Total Current Data Conversion Y Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:RES:TOT:VIOL<Point>:CURR:DATA:YRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_FormatSOAPointRepCapInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT =
  {
    RSRTX_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT,
    "Start Power Transient Response Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:TRAN:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH,
    "Power Transient Response Signal High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngTransientResponseSignal, NULL,
    "POW:TRAN:SIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW,
    "Power Transient Response Signal Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngTransientResponseSignal, NULL,
    "POW:TRAN:SIGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_ADD_REPORT =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_ADD_REPORT,
    "Power Transient Response Add Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POWer:TRANsient:REPort:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_START_TIME =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_START_TIME,
    "Power Transient Response Start Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_STOP_TIME =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_STOP_TIME,
    "Power Transient Response Stop Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_DELAY_TIME =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_DELAY_TIME,
    "Power Transient Response Delay Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:RES:DEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_OVERSHOOT =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_OVERSHOOT,
    "Power Transient Response Overshoot",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:RES:OVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_TIME =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_TIME,
    "Power Transient Response Peak Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:RES:PEAK:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_VALUE =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_VALUE,
    "Power Transient Response Peak Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:RES:PEAK:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_RISE_TIME =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_RISE_TIME,
    "Power Transient Response Rise Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:RES:RTIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SETTLING_TIME =
  {
    RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SETTLING_TIME,
    "Power Transient Response Settling Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:TRAN:RES:SETT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_ANALYSIS_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_ANALYSIS_ENABLE,
    "Spectrum Analysis Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_ANALYSIS_MODE =
  {
    RSRTX_ATTR_SPECTRUM_ANALYSIS_MODE,
    "Spectrum Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumAnalysisMode, NULL, NULL,
    "SPEC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MODE_SPECTRUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_ANALYSIS_SOURCE =
  {
    RSRTX_ATTR_SPECTRUM_ANALYSIS_SOURCE,
    "Spectrum Analysis Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "SPEC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COMPLETE =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COMPLETE,
    "Spectrum Frequency Average Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:FREQ:AVER:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COUNT =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COUNT,
    "Spectrum Frequency Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:FREQ:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_MAGNITUDE_SCALE =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_MAGNITUDE_SCALE,
    "Spectrum Frequency Magnitude Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngMagnitudeScale, NULL, NULL,
    "SPEC:FREQ:MAGN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_MAGNITUDE_SCALE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_POSITION =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_POSITION,
    "Spectrum Frequency Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_RESET =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_RESET,
    "Spectrum Frequency Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SPEC:FREQ:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_SCALE =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_SCALE,
    "Spectrum Frequency Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_POSITION =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_POSITION,
    "Spectrum Frequency Window Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:CBAR:FFT",
    // Defaults I32, I64, Float, Bool, String
    400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_TYPE =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_TYPE,
    "Spectrum Frequency Window Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumFrequencyWindowType, NULL, NULL,
    "SPEC:FREQ:WIND:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_FREQ_WINDOW_TYPE_RECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_START =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_START,
    "Spectrum Frequency Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_STOP =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_STOP,
    "Spectrum Frequency Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e+07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_CENTER =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_CENTER,
    "Spectrum Frequency Center",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5e+07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_SPAN =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_SPAN,
    "Spectrum Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e+07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_FULL_SPAN =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_FULL_SPAN,
    "Spectrum Frequency Full Span",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SPEC:FREQ:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_AUTO =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_AUTO,
    "Spectrum Frequency Bandwidth Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:FREQ:BAND:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RATIO =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RATIO,
    "Spectrum Frequency Bandwidth Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:BAND:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.6e+03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RESOLUTION =
  {
    RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RESOLUTION,
    "Spectrum Frequency Bandwidth Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:FREQ:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.9225e+04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_RESET =
  {
    RSRTX_ATTR_SPECTRUM_SPECTROGRAM_RESET,
    "Spectrum Spectrogram Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SPEC:SPEC:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_SCALE =
  {
    RSRTX_ATTR_SPECTRUM_SPECTROGRAM_SCALE,
    "Spectrum Spectrogram Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rngSpectrumSpectrogramScale, NULL,
    "SPEC:SPEC:SCAL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_WINDOW_POSITION =
  {
    RSRTX_ATTR_SPECTRUM_SPECTROGRAM_WINDOW_POSITION,
    "Spectrum Spectrogram Window Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:CBAR:SPEC",
    // Defaults I32, I64, Float, Bool, String
    200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_ENABLE,
    "Spectrum Marker Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:MARK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SOURCE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SOURCE,
    "Spectrum Marker Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumMarkerSource, NULL, NULL,
    "SPEC:MARK:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MARKER_SOURCE_SPEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_DISPLAY =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_DISPLAY,
    "Spectrum Marker Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumMarkerDisplay, NULL, NULL,
    "SPEC:MARK:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MARKER_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DISTANCE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DISTANCE,
    "Spectrum Marker Setup Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:SET:DIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_EXCURSION =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_EXCURSION,
    "Spectrum Marker Setup Excursion",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:SET:EXC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0000E+00,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MINIMUM_LEVEL =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MINIMUM_LEVEL,
    "Spectrum Marker Setup Minimum Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:SET:MLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DETECTION_MODE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DETECTION_MODE,
    "Spectrum Marker Setup Detection Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumMarkerSetupDetectionMode, NULL, NULL,
    "SPEC:MARK:SET:MMOD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MARKER_DETECTION_LEVEL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MAXIMUM_WIDTH =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MAXIMUM_WIDTH,
    "Spectrum Marker Setup Maximum Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:SET:MWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_CENTER_SCREEN =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_CENTER_SCREEN,
    "Spectrum Marker Setup Center Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SPEC:MARK:REF:SET:CSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_RANGE_TO_PEAK =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_SETUP_RANGE_TO_PEAK,
    "Spectrum Marker Setup Range To Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SPEC:MARK:REF:SET:CMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_MODE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_MODE,
    "Spectrum Marker Reference Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumMarkerReferenceMode, NULL, NULL,
    "SPEC:MARK:REF:SET:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MARKER_REF_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_FREQUENCY =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_FREQUENCY,
    "Spectrum Marker Reference Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:REF:SET:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_SPAN =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_SPAN,
    "Spectrum Marker Reference Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:REF:SET:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_INDEX =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_INDEX,
    "Spectrum Marker Reference Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:MARK:REF:SET:IND",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_TABLE_ENABLE,
    "Spectrum Marker Table Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:MARK:RTAB:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_DETECTED_PEAKS =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_TABLE_DETECTED_PEAKS,
    "Spectrum Marker Table Detected Peaks",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:MARK:RCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_RESULT_MODE =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_TABLE_RESULT_MODE,
    "Spectrum Marker Table Result Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumMarkerResultMode, NULL, NULL,
    "SPEC:MARK:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MARKER_RESULT_MODE_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_POSITION =
  {
    RSRTX_ATTR_SPECTRUM_MARKER_TABLE_POSITION,
    "Spectrum Marker Table Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumMarkerTablePosition, NULL, NULL,
    "SPEC:MARK:RTAB:POS",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_MARKER_TABLE_POSITION_TOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_FREQUENCY =
  {
    RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_FREQUENCY,
    "Spectrum Reference Marker Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:RMAR:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_LEVEL =
  {
    RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_LEVEL,
    "Spectrum Reference Marker Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:MARK:RMAR:LEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_MAGNITUDE_MODE =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_MAGNITUDE_MODE,
    "Spectrum Display Magnitude Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:DIAG:COL:MAGN:MODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_MAXIMUM_LEVEL =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_MAXIMUM_LEVEL,
    "Spectrum Display Maximum Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:DIAG:COL:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_MINIMUM_LEVEL =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_MINIMUM_LEVEL,
    "Spectrum Display Minimum Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:DIAG:COL:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_COLOR_SCHEME =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_COLOR_SCHEME,
    "Spectrum Display Color Scheme",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumDisplayColorScheme, NULL, NULL,
    "SPEC:DIAG:COL:SCH:FDOM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_COLOR_SCHEME_MONOCHROM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_COLOR_SCHEME =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_COLOR_SCHEME,
    "Spectrum Display Spectrogram Color Scheme",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngSpectrumDisplayColorScheme, NULL, NULL,
    "SPEC:DIAG:COL:SCH:SPEC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SPECTRUM_COLOR_SCHEME_MONOCHROM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_FREQUENCY_DOMAIN_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_FREQUENCY_DOMAIN_ENABLE,
    "Spectrum Display Frequency Domain Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:DIAG:FDOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_ENABLE,
    "Spectrum Display Spectrogram Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:DIAG:SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_DISPLAY_TIME_DOMAIN_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_DISPLAY_TIME_DOMAIN_ENABLE,
    "Spectrum Display Time Domain Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:DIAG:TDOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_WAVEFORM_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_WAVEFORM_ENABLE,
    "Spectrum Waveform Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:WAV:SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_WAVEFORM_MINIMUM_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_WAVEFORM_MINIMUM_ENABLE,
    "Spectrum Waveform Minimum Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:WAV:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_WAVEFORM_MAXIMUM_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_WAVEFORM_MAXIMUM_ENABLE,
    "Spectrum Waveform Maximum Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:WAV:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_WAVEFORM_AVERAGE_ENABLE =
  {
    RSRTX_ATTR_SPECTRUM_WAVEFORM_AVERAGE_ENABLE,
    "Spectrum Waveform Average Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:WAV:AVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_POSITION =
  {
    RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_POSITION,
    "Spectrum Time Domain Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:TIME:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_RANGE =
  {
    RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_RANGE,
    "Spectrum Time Domain Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:TIME:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.2e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DVM_ENABLE =
  {
    RSRTX_ATTR_DVM_ENABLE,
    "DVM Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DVM{DigitalVoltmeter}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DVM_SOURCE =
  {
    RSRTX_ATTR_DVM_SOURCE,
    "DVM Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "DVM{DigitalVoltmeter}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DVM_TYPE =
  {
    RSRTX_ATTR_DVM_TYPE,
    "DVM Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngDVMType, NULL, NULL,
    "DVM{DigitalVoltmeter}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DVM_TYPE_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DVM_POSITION =
  {
    RSRTX_ATTR_DVM_POSITION,
    "DVM Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngDVMPosition, NULL, NULL,
    "DVM{DigitalVoltmeter}:POS",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DVM_POSITION_TLEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DVM_RESULT =
  {
    RSRTX_ATTR_DVM_RESULT,
    "DVM Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DVM{DigitalVoltmeter}:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DVM_RESULT_STATUS =
  {
    RSRTX_ATTR_DVM_RESULT_STATUS,
    "DVM Result Status",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DVM{DigitalVoltmeter}:RES:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "stauts",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_COUNTER_ENABLE =
  {
    RSRTX_ATTR_COUNTER_ENABLE,
    "Counter Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TCO:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_COUNTER_FREQUENCY =
  {
    RSRTX_ATTR_COUNTER_FREQUENCY,
    "Counter Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TCO:RES:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_COUNTER_PERIOD =
  {
    RSRTX_ATTR_COUNTER_PERIOD,
    "Counter Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TCO:RES:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_COUNTER_SOURCE =
  {
    RSRTX_ATTR_COUNTER_SOURCE,
    "Counter Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngCounterSource, NULL, NULL,
    "TCO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COUNTER_SOURCE_TRIGGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_ENABLE =
  {
    RSRTX_ATTR_BODE_PLOT_ENABLE,
    "Bode Plot Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BPL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_START_FREQUENCY =
  {
    RSRTX_ATTR_BODE_PLOT_START_FREQUENCY,
    "Bode Plot Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodePlotStartFrequency, NULL,
    "BPL:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_STOP_FREQUENCY =
  {
    RSRTX_ATTR_BODE_PLOT_STOP_FREQUENCY,
    "Bode Plot Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodePlotStopFrequency, NULL,
    "BPL:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AUTOSCALE =
  {
    RSRTX_ATTR_BODE_PLOT_AUTOSCALE,
    "Bode Plot Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BPL:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_INPUT_CHANNEL =
  {
    RSRTX_ATTR_BODE_PLOT_INPUT_CHANNEL,
    "Bode Plot Input Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngBodeSourceChannel, NULL, NULL,
    "BPL:INP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BODE_SOURCE_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_OUTPUT_CHANNEL =
  {
    RSRTX_ATTR_BODE_PLOT_OUTPUT_CHANNEL,
    "Bode Plot Output Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngBodeSourceChannel, NULL, NULL,
    "BPL:OUTP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BODE_SOURCE_CHANNEL2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_GAIN_ENABLE =
  {
    RSRTX_ATTR_BODE_PLOT_GAIN_ENABLE,
    "Bode Plot Gain Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BPL:GAIN:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_GAIN_POSITION =
  {
    RSRTX_ATTR_BODE_PLOT_GAIN_POSITION,
    "Bode Plot Gain Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodeGainPosition, NULL,
    "BPL:GAIN:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_GAIN_SCALE =
  {
    RSRTX_ATTR_BODE_PLOT_GAIN_SCALE,
    "Bode Plot Gain Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodeGainScale, NULL,
    "BPL:GAIN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_PHASE_ENABLE =
  {
    RSRTX_ATTR_BODE_PLOT_PHASE_ENABLE,
    "Bode Plot Phase Enable",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BPL:PHAS:ENAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_PHASE_POSITION =
  {
    RSRTX_ATTR_BODE_PLOT_PHASE_POSITION,
    "Bode Plot Phase Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodePhasePosition, NULL,
    "BPL:PHAS:POS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_PHASE_SCALE =
  {
    RSRTX_ATTR_BODE_PLOT_PHASE_SCALE,
    "Bode Plot Phase Scale",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodePhaseScale, NULL,
    "BPL:PHAS:SCAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    45.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_ENABLE =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_ENABLE,
    "Bode Plot Amplitude Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BPL:AMPL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_POSITION =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_POSITION,
    "Bode Plot Amplitude Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodeAmplitudePosition, NULL,
    "BPL:AMPL:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_SCALE =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_SCALE,
    "Bode Plot Amplitude Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodeAmplitudeScale, NULL,
    "BPL:AMPL:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_START_BODE_PLOT_MEASUREMENT =
  {
    RSRTX_ATTR_START_BODE_PLOT_MEASUREMENT,
    "Start Bode Plot Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BPL:STAT RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_STOP_BODE_PLOT_MEASUREMENT =
  {
    RSRTX_ATTR_STOP_BODE_PLOT_MEASUREMENT,
    "Stop Bode Plot Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BPL:STAT STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_STATE =
  {
    RSRTX_ATTR_BODE_PLOT_MEASUREMENT_STATE,
    "Bode Plot Measurement State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngBodePlotMeasurementState, NULL, NULL,
    "BPL:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BODE_MEASUREMENT_STOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_REPEATED_MEASUREMENT_ENABLE =
  {
    RSRTX_ATTR_BODE_PLOT_REPEATED_MEASUREMENT_ENABLE,
    "Bode Plot Repeated Measurement Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BPL:REP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_RESET =
  {
    RSRTX_ATTR_BODE_PLOT_RESET,
    "Bode Plot Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BPL:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_MODE =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_MODE,
    "Bode Plot Amplitude Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngBodeAmplitudeMode, NULL, NULL,
    "BPL:AMPL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BODE_CONSTANT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_POINTS_PER_DECADE =
  {
    RSRTX_ATTR_BODE_PLOT_POINTS_PER_DECADE,
    "Bode Plot Points Per Decade",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rngBodePointsPerDecade, NULL,
    "BPL:POIN:LOG",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_POINTS_DISPLAY_ENABLE =
  {
    RSRTX_ATTR_BODE_PLOT_MEASUREMENT_POINTS_DISPLAY_ENABLE,
    "Bode Plot Measurement Points Display Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BPL:MEAS:POIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_DELAY =
  {
    RSRTX_ATTR_BODE_PLOT_MEASUREMENT_DELAY,
    "Bode Plot Measurement Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodeMeasurementDelay, NULL,
    "BPL:MEAS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_EXPORT_NAME =
  {
    RSRTX_ATTR_BODE_PLOT_EXPORT_NAME,
    "Bode Plot Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BPL:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_EXPORT_SAVE =
  {
    RSRTX_ATTR_BODE_PLOT_EXPORT_SAVE,
    "Bode Plot Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BPL:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINTS =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINTS,
    "Bode Plot Amplitude Profile Points",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBodeAmplitudeProfilePoints, NULL,
    "BPL:AMPL:PROF:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_AMPLITUDE =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_AMPLITUDE,
    "Bode Plot Amplitude Profile Point Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:AMPL:PROF:POIN{ProfilePoint}:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.00E-02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_FREQUENCY =
  {
    RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_FREQUENCY,
    "Bode Plot Amplitude Profile Point Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:AMPL:PROF:POIN{ProfilePoint}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.00000E+03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY,
    "Bode Plot Marker Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK{BodeMarker}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.00000E+02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_GAIN =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_GAIN,
    "Bode Plot Marker Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK{BodeMarker}:GAIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_PHASE =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_PHASE,
    "Bode Plot Marker Phase",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK{BodeMarker}:PHAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_INDEX =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_INDEX,
    "Bode Plot Marker Index",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK{BodeMarker}:IND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY_DIFFERENCE =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY_DIFFERENCE,
    "Bode Plot Marker Frequency Difference",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK:DIFF:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_GAIN_DIFFERENCE =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_GAIN_DIFFERENCE,
    "Bode Plot Marker Gain Difference",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK:DIFF:GAIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BODE_PLOT_MARKER_PHASE_DIFFERENCE =
  {
    RSRTX_ATTR_BODE_PLOT_MARKER_PHASE_DIFFERENCE,
    "Bode Plot Marker Phase Difference",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BPL:MARK:DIFF:PHAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESET_BODE_PLOT_MARKERS =
  {
    RSRTX_ATTR_RESET_BODE_PLOT_MARKERS,
    "Reset Bode Plot Markers",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BPL:MARK:SSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE,
    "Waveform Generator Function Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngWaveformGeneratorFunctionType, NULL, NULL,
    "WGEN:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVE_GEN_FUNCTION_TYPE_SIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_FREQUENCY,
    "Waveform Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_DUTY_CYCLE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_DUTY_CYCLE,
    "Waveform Generator Pulse Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngWaveformGeneratorDutyCycle, NULL,
    "WGEN:FUNC:PULS:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_EDGE_TIME =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_EDGE_TIME,
    "Waveform Generator Pulse Edge Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:FUNC:PULS:ETIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.00E-07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_RAMP_POLARITY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_RAMP_POLARITY,
    "Waveform Generator Ramp Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "WGEN:FUNC:RAMP:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_NEGATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_EXPONENTIAL_POLARITY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_EXPONENTIAL_POLARITY,
    "Waveform Generator Exponential Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "WGEN:FUNC:EXP:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_NEGATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_TRIANGLE_SYMMETRY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_TRIANGLE_SYMMETRY,
    "Waveform Generator Triangle Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngTriangleSymmetry, NULL,
    "WGEN:TRI:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_ENABLED =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_ENABLED,
    "Waveform Generator Modulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN:MOD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE,
    "Waveform Generator Modulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngWaveformGeneratorModulationType, NULL, NULL,
    "WGEN:MOD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVE_GEN_MODULATION_TYPE_AM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_FUNCTION_TYPE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_FUNCTION_TYPE,
    "Waveform Generator Modulation Function Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngWaveformGeneratorModulationFunctionType, NULL, NULL,
    "WGEN:MOD:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVE_GEN_MOD_FUNCTION_TYPE_SIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_RAMP_POLARITY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_RAMP_POLARITY,
    "Waveform Generator Modulation Ramp Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngPolarity, NULL, NULL,
    "WGEN:MOD:RAMP:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_NEGATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY,
    "Waveform Generator AM Modulation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:AM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH,
    "Waveform Generator AM Modulation Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:AM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY,
    "Waveform Generator FM Modulation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:FM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION,
    "Waveform Generator FM Modulation Frequency Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:FM:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_FREQUENCY,
    "Waveform Generator ASK Modulation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:ASK:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_DEPTH =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_DEPTH,
    "Waveform Generator ASK Modulation Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:ASK:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOPPING_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOPPING_FREQUENCY,
    "Waveform Generator FSK Modulation Hopping Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:FSK:HFRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_RATE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_RATE,
    "Waveform Generator FSK Modulation Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:MOD:FSK:RATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_ENABLED =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_ENABLED,
    "Waveform Generator Sweep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN:SWE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TYPE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TYPE,
    "Waveform Generator Sweep Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngWaveformGeneratorSweepType, NULL, NULL,
    "WGEN:SWE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVEFORM_GENERATOR_SWEEP_TYPE_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY,
    "Waveform Generator Sweep Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:SWE:FST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY,
    "Waveform Generator Sweep Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:SWE:FEND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME,
    "Waveform Generator Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME,
    "Waveform Generator Arbitrary File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "WGEN:ARB:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/REFERENCE/AUTOSAVE_ARB.TRF",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE,
    "Waveform Generator Arbitrary Open File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN:ARB:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE,
    "Waveform Generator Arbitrary Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngWaveformGeneratorArbitrarySource, NULL, NULL,
    "WGEN:ARB:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVE_GEN_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_UPDATE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_UPDATE,
    "Waveform Generator Arbitrary Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN:ARB:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_START =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_START,
    "Waveform Generator Arbitrary Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:ARB:RANG:START",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_END =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_END,
    "Waveform Generator Arbitrary Range End",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:ARB:RANG:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_DISPLAY_ENABLE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_DISPLAY_ENABLE,
    "Waveform Generator Arbitrary Display Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN:ARB:VIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_ENABLED =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_ENABLED,
    "Waveform Generator Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE,
    "Waveform Generator Output Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET,
    "Waveform Generator Output Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:VOLT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD,
    "Waveform Generator Output User Load",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngWaveformGeneratorLoad, NULL, NULL,
    "WGEN:OUTP:LOAD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_ATTR_WAVE_GEN_OUTPUT_LOAD_FIFTYOHM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_DESTINATION =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_DESTINATION,
    "Waveform Generator Output Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngWaveformGeneratorOutputDestination, NULL, NULL,
    "WGEN:OUTP:DEST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_WAVE_GEN_OUTPUT_DESTINATION_BNC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT,
    "Waveform Generator Noise Level Percent",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngPercent, NULL,
    "WGEN:NOIS:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL,
    "Waveform Generator Noise Absolute Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN:NOIS:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_ENABLE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_ENABLE,
    "Waveform Generator Burst Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN:BURS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_CYCLES =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_CYCLES,
    "Waveform Generator Burst Cycles",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rngBurstCycles, NULL,
    "WGEN:BURS:NCYC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_IDLE_TIME =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_IDLE_TIME,
    "Waveform Generator Burst Idle Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngBurstIdleTime, NULL,
    "WGEN:BURS:ITIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_PHASE_OFFSET =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_PHASE_OFFSET,
    "Waveform Generator Burst Phase Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rng360Degrees, NULL,
    "WGEN:BURS:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_MODE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_MODE,
    "Waveform Generator Burst Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngBurstTriggerMode, NULL, NULL,
    "WGEN:BURS:TRIG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_BURST_TRIGGER_MODE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_SINGLE =
  {
    RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_SINGLE,
    "Waveform Generator Burst Trigger Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN:BURS:TRIG:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_ENABLED =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_ENABLED,
    "Pattern Generator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PGEN:PATT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_FUNCTION_TYPE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_FUNCTION_TYPE,
    "Pattern Generator Function Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngPatternGeneratorFunctionType, NULL, NULL,
    "PGEN:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PATT_GEN_FUNCTION_TYPE_SQUARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_FREQUENCY =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_FREQUENCY,
    "Pattern Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:PATT:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PERIOD =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PERIOD,
    "Pattern Generator Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:PATT:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_POLARITY =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_POLARITY,
    "Pattern Generator Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngChannelPolarity, NULL, NULL,
    "PGEN:PATT:SQU:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POLARITY_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_OUTPUT_VOLTAGE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_OUTPUT_VOLTAGE,
    "Pattern Generator Output Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:OUTP:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_DUTY_CYCLE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_DUTY_CYCLE,
    "Pattern Generator Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:PATT:SQU:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_SAMPLE_TIME =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_SAMPLE_TIME,
    "Pattern Generator Sample Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:PATT:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-06,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_DIRECTION =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_DIRECTION,
    "Pattern Generator Counter Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngPatternGeneratorCounterDirection, NULL, NULL,
    "PGEN:PATT:COUN:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PATT_GEN_DIRECTION_DOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_FREQUENCY =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_FREQUENCY,
    "Pattern Generator Counter Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:PATT:COUN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_BURST_ENABLED =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_BURST_ENABLED,
    "Pattern Generator Burst Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PGEN:PATT:BURS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_BURST_CYCLES =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_BURST_CYCLES,
    "Pattern Generator Burst Cycles",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "PGEN:PATT:BURS:NCYC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_IDLE_TIME =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_IDLE_TIME,
    "Pattern Generator Idle Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PGEN:PATT:ITIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_MODE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_MODE,
    "Pattern Generator Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngPatternGeneratorTriggerMode, NULL, NULL,
    "PGEN:PATT:TRIG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PATT_GEN_TRIGGER_MODE_CONT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_RUN_SINGLE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_RUN_SINGLE,
    "Pattern Generator Trigger Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PGEN:PATT:TRIG:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_EXTERNAL_TRIGGER_SLOPE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_EXTERNAL_TRIGGER_SLOPE,
    "Pattern Generator External Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngTriggerSlope, NULL, NULL,
    "PGEN:PATT:TRIG:EXT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_ARB_PATTERN_LENGTH =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_ARB_PATTERN_LENGTH,
    "Pattern Generator ARB Pattern Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "PGEN:PATT:ARB:DATA:LENG",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_ARB_INDEX =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_ARB_INDEX,
    "Pattern Generator ARB Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "PGEN:PATT:ARB:DATA:APP:IND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_MANUAL_STATE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_MANUAL_STATE,
    "Pattern Generator Manual State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PGEN:MAN:STAT{OutputPin}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_ENABLE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_ENABLE,
    "Pattern Generator PWM Motor Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PGEN:PATT:PWM:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_DIRECTION =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_DIRECTION,
    "Pattern Generator PWM Motor Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngPWMMotorDirection, NULL, NULL,
    "PGEN:PATT:PWM:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_NEGATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_DUTY_CYCLE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_DUTY_CYCLE,
    "Pattern Generator PWM Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngPWMDutyCycle, NULL,
    "PGEN:PATT:PWM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY,
    "Pattern Generator PWM LED Intensity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngPWMDutyCycle, NULL,
    "PGEN:PATT:LED:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_BLUE =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_BLUE,
    "Pattern Generator PWM LED Intensity Blue",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngPWMDutyCycle, NULL,
    "PGEN:PATT:LED:BLUE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_GREEN =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_GREEN,
    "Pattern Generator PWM LED Intensity Green",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngPWMDutyCycle, NULL,
    "PGEN:PATT:LED:GRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_RED =
  {
    RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_RED,
    "Pattern Generator PWM LED Intensity Red",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRtx_rngPWMDutyCycle, NULL,
    "PGEN:PATT:LED:RED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_COLOR_AND_BRIGHTNESS =
  {
    RSRTX_ATTR_COLOR_AND_BRIGHTNESS,
    "Color And Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngColorBrightness, NULL, NULL,
    "DISP:PAL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COLOR_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SIGNAL_STYLE =
  {
    RSRTX_ATTR_SIGNAL_STYLE,
    "Signal Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSignalStyle, NULL, NULL,
    "DISP:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SIGNAL_STYLE_VECTORS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIAGRAM_GRID_STYLE =
  {
    RSRTX_ATTR_DIAGRAM_GRID_STYLE,
    "Diagram Grid Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngGridStyle, NULL, NULL,
    "DISP:GRID:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_GRID_LINES,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIAGRAM_ANNOTATION_ENABLED =
  {
    RSRTX_ATTR_DIAGRAM_ANNOTATION_ENABLED,
    "Diagram Annotation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:GRID:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIAGRAM_ANNOTATION_TRACK =
  {
    RSRTX_ATTR_DIAGRAM_ANNOTATION_TRACK,
    "Diagram Annotation Track",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:GRID:ANN:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_WAVEFORM_INTENSITY =
  {
    RSRTX_ATTR_WAVEFORM_INTENSITY,
    "Waveform Intensity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngPct, NULL,
    "DISP:INT:WAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_BACKGROUND_INTENSITY =
  {
    RSRTX_ATTR_BACKGROUND_INTENSITY,
    "Background Intensity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngBckLight, NULL,
    "DISP:INT:BACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_GRID_INTENSITY =
  {
    RSRTX_ATTR_GRID_INTENSITY,
    "Grid Intensity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngPct, NULL,
    "DISP:INT:GRID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DISPLAY_LANGUAGE =
  {
    RSRTX_ATTR_DISPLAY_LANGUAGE,
    "Display Language",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngLanguage, NULL, NULL,
    "DISP:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DISPLAY_ENGLISH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DISPLAY_DATE_AND_TIME =
  {
    RSRTX_ATTR_DISPLAY_DATE_AND_TIME,
    "Display Date And Time",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIAGRAM_MODE =
  {
    RSRTX_ATTR_DIAGRAM_MODE,
    "Diagram Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngDiagramMode, NULL, NULL,
    "DISP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DISPLAY_YT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DISPLAY_SEND_MESSAGE =
  {
    RSRTX_ATTR_DISPLAY_SEND_MESSAGE,
    "Display Send Message",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:DIAL:MESS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "My message",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DISPLAY_CLOSE_DIALOG =
  {
    RSRTX_ATTR_DISPLAY_CLOSE_DIALOG,
    "Display Close Dialog",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DIAL:CLOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIALOG_TRANSPARENCY =
  {
    RSRTX_ATTR_DIALOG_TRANSPARENCY,
    "Dialog Transparency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rngPctInt, NULL,
    "DISP:DIAL:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DISPLAY_CLEAR_SCREEN =
  {
    RSRTX_ATTR_DISPLAY_CLEAR_SCREEN,
    "Display Clear Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PERSISTENCE_ENABLED =
  {
    RSRTX_ATTR_PERSISTENCE_ENABLED,
    "Persistence Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PERS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PERSISTENCE_TYPE =
  {
    RSRTX_ATTR_PERSISTENCE_TYPE,
    "Persistence Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngPersistenceType, NULL, NULL,
    "DISP:PERS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_PERSISTENCE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_INFINITE_PERSISTENCE =
  {
    RSRTX_ATTR_INFINITE_PERSISTENCE,
    "Infinite Persistence",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PERS:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PERSISTENCE_TIME =
  {
    RSRTX_ATTR_PERSISTENCE_TIME,
    "Persistence Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:PERS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PERSISTENCE_CLEAR =
  {
    RSRTX_ATTR_PERSISTENCE_CLEAR,
    "Persistence Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:PERS:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_XY_X_SOURCE =
  {
    RSRTX_ATTR_XY_X_SOURCE,
    "XY X Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "DISP:XY:XSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_XY_Y_SOURCE =
  {
    RSRTX_ATTR_XY_Y_SOURCE,
    "XY Y Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "DISP:XY:Y1S",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_XY_Y2_SOURCE =
  {
    RSRTX_ATTR_XY_Y2_SOURCE,
    "XY Y2 Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngXY2Source, NULL, NULL,
    "DISP:XY:Y2S",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_XY_Z_SOURCE =
  {
    RSRTX_ATTR_XY_Z_SOURCE,
    "XY Z Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngSource, NULL, NULL,
    "DISP:XY:ZSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_XY_Z_TRESHOLD =
  {
    RSRTX_ATTR_XY_Z_TRESHOLD,
    "XY Z Treshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngIntensityTreshold, NULL,
    "DISP:XY:ZTHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_XY_INTENSITY_CONTROL =
  {
    RSRTX_ATTR_XY_INTENSITY_CONTROL,
    "XY Intensity Control",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngIntensityMode, NULL, NULL,
    "DISP:XY:ZMOD",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ZMODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ZOOM_WINDOW_ENABLED =
  {
    RSRTX_ATTR_ZOOM_WINDOW_ENABLED,
    "Zoom Window Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TIM:ZOOM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ZOOM_DIAGRAM_TIMEBASE =
  {
    RSRTX_ATTR_ZOOM_DIAGRAM_TIMEBASE,
    "Zoom Diagram Timebase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:ZOOM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT =
  {
    RSRTX_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT,
    "Zoom Offset Of Trigger Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:ZOOM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ZOOM_REFERENCE_POINT =
  {
    RSRTX_ATTR_ZOOM_REFERENCE_POINT,
    "Zoom Reference Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsrtx_rngPct, NULL,
    "TIM:ZOOM:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ZOOM_WINDOW_POSITION =
  {
    RSRTX_ATTR_ZOOM_WINDOW_POSITION,
    "Zoom Window Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:CBAR:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ZOOM_SAMPLE_RATE =
  {
    RSRTX_ATTR_ZOOM_SAMPLE_RATE,
    "Zoom Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:SRAT:ZOOM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MARKER_SET =
  {
    RSRTX_ATTR_MARKER_SET,
    "Marker Set",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TST:SET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MARKER_CLEAR =
  {
    RSRTX_ATTR_MARKER_CLEAR,
    "Marker Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TST:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MARKER_CLEAR_ALL =
  {
    RSRTX_ATTR_MARKER_CLEAR_ALL,
    "Marker Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TST:ACL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MARKER_NEXT =
  {
    RSRTX_ATTR_MARKER_NEXT,
    "Marker Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TST:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_MARKER_PREVIOUS =
  {
    RSRTX_ATTR_MARKER_PREVIOUS,
    "Marker Previous",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TST:PREV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_VIRTUAL_SCREEN_ENABLED =
  {
    RSRTX_ATTR_VIRTUAL_SCREEN_ENABLED,
    "Virtual Screen Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:VSCR:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_VIRTUAL_SCREEN_POSITION =
  {
    RSRTX_ATTR_VIRTUAL_SCREEN_POSITION,
    "Virtual Screen Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:VSCR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_CURRENT_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_CURRENT_ACQUISITION,
    "History Channel Current Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_PLAYER =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_PLAYER,
    "History Channel Player",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistoryPlayer, NULL, NULL,
    "CHAN{Channel}:HIST:PLAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_PLAYER_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_START_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_START_ACQUISITION,
    "History Channel Start Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_STOP_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_STOP_ACQUISITION,
    "History Channel Stop Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_PLAY_ALL =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_PLAY_ALL,
    "History Channel Play All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:PALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_SPEED =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_SPEED,
    "History Channel Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistorySpeed, NULL, NULL,
    "CHAN{Channel}:HIST:PLAY:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_SPEED_SLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_REPEAT =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_REPEAT,
    "History Channel Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_ACQUISITON_RELATIVE_TIME =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_ACQUISITON_RELATIVE_TIME,
    "History Channel Acquisiton Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_DATES =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_ALL_DATES,
    "History Channel All Dates",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSD:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dates",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_TIME_DIFFERENCES =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_ALL_TIME_DIFFERENCES,
    "History Channel All Time Differences",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "all",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_DAYTIMES =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_ALL_DAYTIMES,
    "History Channel All Daytimes",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSAB:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "daytimes",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_PLAYER_CONTROL_ENABLE =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_PLAYER_CONTROL_ENABLE,
    "History Channel Player Control Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_TABLE_MODE =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_TABLE_MODE,
    "History Channel Table Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRtx_rngAbsoluteRelative, NULL, NULL,
    "CHAN{Channel}:HIST:TMOD?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_TIME_TABLE_ENABLE =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_TIME_TABLE_ENABLE,
    "History Channel Time Table Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TTAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_NAME =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_NAME,
    "History Channel Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SETTINGS",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_SAVE =
  {
    RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_SAVE,
    "History Channel Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_CURRENT_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_CURRENT_ACQUISITION,
    "History Digital Current Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_PLAYER =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_PLAYER,
    "History Digital Player",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistoryPlayer, NULL, NULL,
    "DIG{Digital}:HIST:PLAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_PLAYER_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_START_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_START_ACQUISITION,
    "History Digital Start Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_STOP_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_STOP_ACQUISITION,
    "History Digital Stop Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_PLAY_ALL =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_PLAY_ALL,
    "History Digital Play All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:PALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_SPEED =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_SPEED,
    "History Digital Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistorySpeed, NULL, NULL,
    "DIG{Digital}:HIST:PLAY:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_SPEED_SLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_REPEAT =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_REPEAT,
    "History Digital Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_ACQUISITON_RELATIVE_TIME =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_ACQUISITON_RELATIVE_TIME,
    "History Digital Acquisiton Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_DATES =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_ALL_DATES,
    "History Digital All Dates",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:TSD:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dates",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_TIME_DIFFERENCES =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_ALL_TIME_DIFFERENCES,
    "History Digital All Time Differences",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:TSR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "all",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_DAYTIMES =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_ALL_DAYTIMES,
    "History Digital All Daytimes",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:TSAB:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "daytimes",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_PLAYER_CONTROL_ENABLE =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_PLAYER_CONTROL_ENABLE,
    "History Digital Player Control Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_DIGITAL_TIME_TABLE_ENABLE =
  {
    RSRTX_ATTR_HISTORY_DIGITAL_TIME_TABLE_ENABLE,
    "History Digital Time Table Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:TTAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_NAME =
  {
    RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_NAME,
    "Digital History Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SETTINGS",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_SAVE =
  {
    RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_SAVE,
    "Digital History Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIG{Digital}:HIST:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_CURRENT_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_MATH_CURRENT_ACQUISITION,
    "History Math Current Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_PLAYER =
  {
    RSRTX_ATTR_HISTORY_MATH_PLAYER,
    "History Math Player",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistoryPlayer, NULL, NULL,
    "CALC:MATH{Math}:HIST:PLAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_PLAYER_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_START_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_MATH_START_ACQUISITION,
    "History Math Start Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_STOP_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_MATH_STOP_ACQUISITION,
    "History Math Stop Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_PLAY_ALL =
  {
    RSRTX_ATTR_HISTORY_MATH_PLAY_ALL,
    "History Math Play All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:PALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_SPEED =
  {
    RSRTX_ATTR_HISTORY_MATH_SPEED,
    "History Math Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistorySpeed, NULL, NULL,
    "CALC:MATH{Math}:HIST:PLAY:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_SPEED_SLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_REPEAT =
  {
    RSRTX_ATTR_HISTORY_MATH_REPEAT,
    "History Math Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_ACQUISITON_RELATIVE_TIME =
  {
    RSRTX_ATTR_HISTORY_MATH_ACQUISITON_RELATIVE_TIME,
    "History Math Acquisiton Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_ALL_DATES =
  {
    RSRTX_ATTR_HISTORY_MATH_ALL_DATES,
    "History Math All Dates",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:TSD:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dates",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_ALL_TIME_DIFFERENCES =
  {
    RSRTX_ATTR_HISTORY_MATH_ALL_TIME_DIFFERENCES,
    "History Math All Time Differences",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:TSR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "all",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_ALL_DAYTIMES =
  {
    RSRTX_ATTR_HISTORY_MATH_ALL_DAYTIMES,
    "History Math All Daytimes",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:TSAB:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "daytimes",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_PLAYER_CONTROL_ENABLE =
  {
    RSRTX_ATTR_HISTORY_MATH_PLAYER_CONTROL_ENABLE,
    "History Math Player Control Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_TIME_TABLE_ENABLE =
  {
    RSRTX_ATTR_HISTORY_MATH_TIME_TABLE_ENABLE,
    "History Math Time Table Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:TTAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_EXPORT_NAME =
  {
    RSRTX_ATTR_HISTORY_MATH_EXPORT_NAME,
    "History Math Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SETTINGS",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_MATH_EXPORT_SAVE =
  {
    RSRTX_ATTR_HISTORY_MATH_EXPORT_SAVE,
    "History Math Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:HIST:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTM|RTA",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_CURRENT_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_CURRENT_ACQUISITION,
    "History Protocol Current Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER,
    "History Protocol Player",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistoryPlayer, NULL, NULL,
    "BUS{SerialBus}:HIST:PLAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_PLAYER_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_START_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_START_ACQUISITION,
    "History Protocol Start Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_STOP_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_STOP_ACQUISITION,
    "History Protocol Stop Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAY_ALL =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_PLAY_ALL,
    "History Protocol Play All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:PALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_SPEED =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_SPEED,
    "History Protocol Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistorySpeed, NULL, NULL,
    "BUS{SerialBus}:HIST:PLAY:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_SPEED_SLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_REPEAT =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_REPEAT,
    "History Protocol Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_ACQUISITON_RELATIVE_TIME =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_ACQUISITON_RELATIVE_TIME,
    "History Protocol Acquisiton Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DATES =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DATES,
    "History Protocol All Dates",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:TSD:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dates",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_TIME_DIFFERENCES =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_ALL_TIME_DIFFERENCES,
    "History Protocol All Time Differences",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:TSR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "all",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DAYTIMES =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DAYTIMES,
    "History Protocol All Daytimes",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:TSAB:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "daytimes",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER_CONTROL_ENABLE =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER_CONTROL_ENABLE,
    "History Protocol Player Control Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_TIME_TABLE_ENABLE =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_TIME_TABLE_ENABLE,
    "History Protocol Time Table Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:TTAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_NAME =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_NAME,
    "History Protocol Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SETTINGS",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_SAVE =
  {
    RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_SAVE,
    "History Protocol Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HIST:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_CURRENT_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_CURRENT_ACQUISITION,
    "History Spectrum Current Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_PLAYER =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_PLAYER,
    "History Spectrum Player",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistoryPlayer, NULL, NULL,
    "SPEC:HIST:PLAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_PLAYER_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_START_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_START_ACQUISITION,
    "History Spectrum Start Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_STOP_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_STOP_ACQUISITION,
    "History Spectrum Stop Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SPEC:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_PLAY_ALL =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_PLAY_ALL,
    "History Spectrum Play All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:HIST:PALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_SPEED =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_SPEED,
    "History Spectrum Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistorySpeed, NULL, NULL,
    "SPEC:HIST:PLAY:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_SPEED_SLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_REPEAT =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_REPEAT,
    "History Spectrum Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPEC:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_ACQUISITION_RELATIVE_TIME =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_ACQUISITION_RELATIVE_TIME,
    "History Spectrum Acquisition Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SPEC:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DATES =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DATES,
    "History Spectrum All Dates",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SPEC:HIST:TSD:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2019,12,01",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_TIME_DIFFERENCES =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_ALL_TIME_DIFFERENCES,
    "History Spectrum All Time Differences",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SPEC:HIST:TSR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DAYTIMES =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DAYTIMES,
    "History Spectrum All Daytimes",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SPEC:HIST:TSAB:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "12,00,00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_NAME =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_NAME,
    "History Spectrum Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SPEC:HIST:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SETTINGS",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_SAVE =
  {
    RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_SAVE,
    "History Spectrum Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SPEC:HIST:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_CURRENT_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_LOGIC_CURRENT_ACQUISITION,
    "History Logic Current Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_PLAYER =
  {
    RSRTX_ATTR_HISTORY_LOGIC_PLAYER,
    "History Logic Player",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistoryPlayer, NULL, NULL,
    "LOG{Logic}:HIST:PLAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_PLAYER_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_START_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_LOGIC_START_ACQUISITION,
    "History Logic Start Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_STOP_ACQUISITION =
  {
    RSRTX_ATTR_HISTORY_LOGIC_STOP_ACQUISITION,
    "History Logic Stop Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_PLAY_ALL =
  {
    RSRTX_ATTR_HISTORY_LOGIC_PLAY_ALL,
    "History Logic Play All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:PALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_SPEED =
  {
    RSRTX_ATTR_HISTORY_LOGIC_SPEED,
    "History Logic Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHistorySpeed, NULL, NULL,
    "LOG{Logic}:HIST:PLAY:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HISTORY_SPEED_SLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_REPEAT =
  {
    RSRTX_ATTR_HISTORY_LOGIC_REPEAT,
    "History Logic Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_ACQUISITON_RELATIVE_TIME =
  {
    RSRTX_ATTR_HISTORY_LOGIC_ACQUISITON_RELATIVE_TIME,
    "History Logic Acquisiton Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_ALL_DATES =
  {
    RSRTX_ATTR_HISTORY_LOGIC_ALL_DATES,
    "History Logic All Dates",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:TSR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dates",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_ALL_TIME_DIFFERENCES =
  {
    RSRTX_ATTR_HISTORY_LOGIC_ALL_TIME_DIFFERENCES,
    "History Logic All Time Differences",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:TSD:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "all",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_ALL_DAYTIMES =
  {
    RSRTX_ATTR_HISTORY_LOGIC_ALL_DAYTIMES,
    "History Logic All Daytimes",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:TSAB:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "daytimes",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_PLAYER_CONTROL_ENABLE =
  {
    RSRTX_ATTR_HISTORY_LOGIC_PLAYER_CONTROL_ENABLE,
    "History Logic Player Control Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_TIME_TABLE_ENABLE =
  {
    RSRTX_ATTR_HISTORY_LOGIC_TIME_TABLE_ENABLE,
    "History Logic Time Table Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:TTAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_EXPORT_NAME =
  {
    RSRTX_ATTR_HISTORY_LOGIC_EXPORT_NAME,
    "History Logic Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:EXP:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/LOGIC",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HISTORY_LOGIC_EXPORT_SAVE =
  {
    RSRTX_ATTR_HISTORY_LOGIC_EXPORT_SAVE,
    "History Logic Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LOG{Logic}:HIST:EXP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEGMENTATION_RECORD_LENGTH =
  {
    RSRTX_ATTR_SEGMENTATION_RECORD_LENGTH,
    "Segmentation Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:POIN",
    // Defaults I32, I64, Float, Bool, String
    10000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ULTRA_SEGMENTATION_ENABLED =
  {
    RSRTX_ATTR_ULTRA_SEGMENTATION_ENABLED,
    "Ultra Segmentation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEGMENTATION_RECORD_MAXIMUM_SEGMENTS =
  {
    RSRTX_ATTR_SEGMENTATION_RECORD_MAXIMUM_SEGMENTS,
    "Segmentation Record Maximum Segments",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEGMENTATION_NX_SINGLE_MAXIMUM =
  {
    RSRTX_ATTR_SEGMENTATION_NX_SINGLE_MAXIMUM,
    "Segmentation Nx Single Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:NSIN:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEGMENTATION_MAXIMUM_NUMBER_OF_SEGMENTS =
  {
    RSRTX_ATTR_SEGMENTATION_MAXIMUM_NUMBER_OF_SEGMENTS,
    "Segmentation Maximum Number Of Segments",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SEGMENTATION_NUMBER_OF_AVAILABLE_SEGMENTS =
  {
    RSRTX_ATTR_SEGMENTATION_NUMBER_OF_AVAILABLE_SEGMENTS,
    "Segmentation Number Of Available Segments",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:AVA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DRIVES =
  {
    RSRTX_ATTR_DRIVES,
    "Drives",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DRIV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CHANGE_DRIVE =
  {
    RSRTX_ATTR_CHANGE_DRIVE,
    "Change Drive",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MSIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CURRENT_DIRECTORY =
  {
    RSRTX_ATTR_CURRENT_DIRECTORY,
    "Current Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CREATE_DIRECTORY =
  {
    RSRTX_ATTR_CREATE_DIRECTORY,
    "Create Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_REMOVE_DIRECTORY =
  {
    RSRTX_ATTR_REMOVE_DIRECTORY,
    "Remove Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DELETE_FILE =
  {
    RSRTX_ATTR_DELETE_FILE,
    "Delete File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SETTINGS/TEST.SCP",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_FILE_NAME =
  {
    RSRTX_ATTR_HARDCOPY_FILE_NAME,
    "Hardcopy File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_DEVICE_DESTINATION =
  {
    RSRTX_ATTR_HARDCOPY_DEVICE_DESTINATION,
    "Hardcopy Device Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHardcopyDevice, NULL, NULL,
    "HCOP:DEST",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARDCOPY_DEVICE_MEM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SCREENSHOT_EXPORT_DESTINATION =
  {
    RSRTX_ATTR_SCREENSHOT_EXPORT_DESTINATION,
    "Screenshot Export Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:SCRS:DEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/INT/SCREEN",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_COLOR_SCHEME =
  {
    RSRTX_ATTR_HARDCOPY_COLOR_SCHEME,
    "Hardcopy Color Scheme",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngColorScheme, NULL, NULL,
    "HCOP:COL:SCH",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SCHEME_COLOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_COMMAND_SET =
  {
    RSRTX_ATTR_HARDCOPY_COMMAND_SET,
    "Hardcopy Command Set",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHardcopyCommandSet, NULL, NULL,
    "SYST:COMM:PRIN:CSET",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_COMMAND_SET_PCL5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_CLOSE_DIALOGS =
  {
    RSRTX_ATTR_HARDCOPY_CLOSE_DIALOGS,
    "Hardcopy Close Dialogs",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:CWIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT =
  {
    RSRTX_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT,
    "Hardcopy Device Language Output Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHardcopyDeviceLang, NULL, NULL,
    "HCOP:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARDCOPY_DEVICE_LANG_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_OUTPUT_FORMAT =
  {
    RSRTX_ATTR_HARDCOPY_OUTPUT_FORMAT,
    "Hardcopy Output Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHardcopyFormat, NULL, NULL,
    "HCOP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARDCOPY_FORMAT_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_DEVICE_ORIENTATION =
  {
    RSRTX_ATTR_HARDCOPY_DEVICE_ORIENTATION,
    "Hardcopy Device Orientation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsrtx_rngHardcopyDeviceOrientation, NULL, NULL,
    "HCOP:PAGE:ORI",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_HARDCOPY_ORIENTATION_LANDSCAPE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_PAGE_SIZE_X =
  {
    RSRTX_ATTR_HARDCOPY_PAGE_SIZE_X,
    "Hardcopy Page Size X",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:SIZE:X?",
    // Defaults I32, I64, Float, Bool, String
    1280,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_PAGE_SIZE_Y =
  {
    RSRTX_ATTR_HARDCOPY_PAGE_SIZE_Y,
    "Hardcopy Page Size Y",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:SIZE:Y?",
    // Defaults I32, I64, Float, Bool, String
    824,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_PRINT =
  {
    RSRTX_ATTR_HARDCOPY_PRINT,
    "Hardcopy Print",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_SELECT_PRINTER =
  {
    RSRTX_ATTR_HARDCOPY_SELECT_PRINTER,
    "Hardcopy Select Printer",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_GET_FIRST_PRINTER =
  {
    RSRTX_ATTR_HARDCOPY_GET_FIRST_PRINTER,
    "Hardcopy Get First Printer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:ENUM:FIRS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_HARDCOPY_GET_NEXT_PRINTER =
  {
    RSRTX_ATTR_HARDCOPY_GET_NEXT_PRINTER,
    "Hardcopy Get Next Printer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:ENUM:NEXT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DEVICE_MODE =
  {
    RSRTX_ATTR_DEVICE_MODE,
    "Device Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngDeviceMode, NULL, NULL,
    "DEV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_DEVICE_MODE_YT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_INTERFACE_SELECT =
  {
    RSRTX_ATTR_INTERFACE_SELECT,
    "Interface Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngInterface, NULL, NULL,
    "SYST:COMM:INT",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_INTERFACE_ETH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_USB_CLASS =
  {
    RSRTX_ATTR_USB_CLASS,
    "USB Class",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngUSBClass, NULL, NULL,
    "SYST:COMM:INT:USB:CLAS",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_USB_CLASS_TMC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ETHERNET_DHCP =
  {
    RSRTX_ATTR_ETHERNET_DHCP,
    "Ethernet DHCP",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:INT:ETH:DHCP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ETHERNET_IP_PORT =
  {
    RSRTX_ATTR_ETHERNET_IP_PORT,
    "Ethernet IP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rngEthernetIPPort, NULL,
    "SYST:COMM:INT:ETH:IPP",
    // Defaults I32, I64, Float, Bool, String
    5025,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ETHERNET_VXI11_PORT =
  {
    RSRTX_ATTR_ETHERNET_VXI11_PORT,
    "Ethernet VXI11 Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "SYST:COMM:INT:ETH:VXIP",
    // Defaults I32, I64, Float, Bool, String
    1024,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ETHERNET_HTTP_PORT =
  {
    RSRTX_ATTR_ETHERNET_HTTP_PORT,
    "Ethernet HTTP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "SYST:COMM:INT:ETH:HTTP",
    // Defaults I32, I64, Float, Bool, String
    80,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ETHERNET_TRANSFER =
  {
    RSRTX_ATTR_ETHERNET_TRANSFER,
    "Ethernet Transfer",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRtx_rngEthernetTransfer, NULL, NULL,
    "SYST:COMM:INT:ETH:TRAN",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_ETHERNET_TRANSFER_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ETHERNET_MAC_ADDRESS =
  {
    RSRTX_ATTR_ETHERNET_MAC_ADDRESS,
    "Ethernet MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:INT:ETH:MAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "address",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PRESET_EDUCATION =
  {
    RSRTX_ATTR_PRESET_EDUCATION,
    "Preset Education",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:EDUC:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_DEVICE_FOOTPRINT =
  {
    RSRTX_ATTR_DEVICE_FOOTPRINT,
    "Device Footprint",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DFPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "footprint",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_ID_QUERY_RESPONSE =
  {
    RSRTX_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,RTM3002,1335.8794k02/900015,01.550",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SYSTEM_PRESET =
  {
    RSRTX_ATTR_SYSTEM_PRESET,
    "System Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_LOGGING =
  {
    RSRTX_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrtx_logging_ReadCallback,
    rsrtx_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_CALIBRATION =
  {
    RSRTX_ATTR_CALIBRATION,
    "Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*CAL?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SELF_TEST_QUERY =
  {
    RSRTX_ATTR_SELF_TEST_QUERY,
    "Self-Test Query",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*TST?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SYSTEM_ERROR =
  {
    RSRTX_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "no error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SYST_ERR_LIST =
  {
    RSRTX_ATTR_SYST_ERR_LIST,
    "System Error List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "no error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_INSTRUMENT_NAME =
  {
    RSRTX_ATTR_INSTRUMENT_NAME,
    "Instrument Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Device under test HM",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_RESET_STATUS_REGISTER =
  {
    RSRTX_ATTR_RESET_STATUS_REGISTER,
    "Reset Status Register",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SELF_ALIGNMENT =
  {
    RSRTX_ATTR_SELF_ALIGNMENT,
    "Self Alignment",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SELF_ALIGNMENT_STATE =
  {
    RSRTX_ATTR_SELF_ALIGNMENT_STATE,
    "Self Alignment State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsrtx_rngSelfAlignmentState, NULL, NULL,
    "CAL:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSRTX_VAL_SELF_ALIGNMENT_NO_ALIGNMENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUERY_OPC =
  {
    RSRTX_ATTR_QUERY_OPC,
    "Query OPC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*OPC?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSRTX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SOUND_ENABLED =
  {
    RSRTX_ATTR_SOUND_ENABLED,
    "Sound Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:CONT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SOUND_ERROR_ENABLED =
  {
    RSRTX_ATTR_SOUND_ERROR_ENABLED,
    "Sound Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:ERR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SOUND_TRIGGER_ENABLED =
  {
    RSRTX_ATTR_SOUND_TRIGGER_ENABLED,
    "Sound Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:TRIG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_SOUND_GENERATE =
  {
    RSRTX_ATTR_SOUND_GENERATE,
    "Sound Generate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_OPERATION_CONDITION =
  {
    RSRTX_ATTR_OPERATION_CONDITION,
    "Operation Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_OPERATION_ENABLE =
  {
    RSRTX_ATTR_OPERATION_ENABLE,
    "Operation Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_OPERATION_N_TRANSITION =
  {
    RSRTX_ATTR_OPERATION_N_TRANSITION,
    "Operation N Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_OPERATION_P_TRANSITION =
  {
    RSRTX_ATTR_OPERATION_P_TRANSITION,
    "Operation P Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_OPERATION_EVENT =
  {
    RSRTX_ATTR_OPERATION_EVENT,
    "Operation Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_CONDITION =
  {
    RSRTX_ATTR_QUESTIONABLE_CONDITION,
    "Questionable Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_ENABLE =
  {
    RSRTX_ATTR_QUESTIONABLE_ENABLE,
    "Questionable Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_N_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_N_TRANSITION,
    "Questionable N Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_P_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_P_TRANSITION,
    "Questionable P Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_EVENT =
  {
    RSRTX_ATTR_QUESTIONABLE_EVENT,
    "Questionable Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_CONDITION =
  {
    RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_CONDITION,
    "Questionable Channel Overload Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:COV:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_ENABLE =
  {
    RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_ENABLE,
    "Questionable Channel Overload Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:COV:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_N_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_N_TRANSITION,
    "Questionable Channel Overload N Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:COV:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_P_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_P_TRANSITION,
    "Questionable Channel Overload P Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:COV:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_EVENT =
  {
    RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_EVENT,
    "Questionable Channel Overload Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:COV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_LIMIT_CONDITION =
  {
    RSRTX_ATTR_QUESTIONABLE_LIMIT_CONDITION,
    "Questionable Limit Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:LIM:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_LIMIT_ENABLE =
  {
    RSRTX_ATTR_QUESTIONABLE_LIMIT_ENABLE,
    "Questionable Limit Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:LIM:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_LIMIT_N_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_LIMIT_N_TRANSITION,
    "Questionable Limit N Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:LIM:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_LIMIT_P_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_LIMIT_P_TRANSITION,
    "Questionable Limit P Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:LIM:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_LIMIT_EVENT =
  {
    RSRTX_ATTR_QUESTIONABLE_LIMIT_EVENT,
    "Questionable Limit Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:LIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_MASK_CONDITION =
  {
    RSRTX_ATTR_QUESTIONABLE_MASK_CONDITION,
    "Questionable Mask Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:MASK:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_MASK_ENABLE =
  {
    RSRTX_ATTR_QUESTIONABLE_MASK_ENABLE,
    "Questionable Mask Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:MASK:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_MASK_N_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_MASK_N_TRANSITION,
    "Questionable Mask N Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:MASK:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_MASK_P_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_MASK_P_TRANSITION,
    "Questionable Mask P Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:MASK:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_MASK_EVENT =
  {
    RSRTX_ATTR_QUESTIONABLE_MASK_EVENT,
    "Questionable Mask Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:MASK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_CONDITION =
  {
    RSRTX_ATTR_QUESTIONABLE_ADC_STATE_CONDITION,
    "Questionable ADC State Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:QUES:ADCS:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_ENABLE =
  {
    RSRTX_ATTR_QUESTIONABLE_ADC_STATE_ENABLE,
    "Questionable ADC State Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:ADCS:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_N_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_ADC_STATE_N_TRANSITION,
    "Questionable ADC State N Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:ADCS:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_P_TRANSITION =
  {
    RSRTX_ATTR_QUESTIONABLE_ADC_STATE_P_TRANSITION,
    "Questionable ADC State P Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:ADCS:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_EVENT =
  {
    RSRTX_ATTR_QUESTIONABLE_ADC_STATE_EVENT,
    "Questionable ADC State Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsRtx_rng16BitRange, NULL,
    "STAT:QUES:ADCS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsrtx_RsCoreAttributeListLength = 1545;

RsCoreAttributePtr rsrtx_RsCoreAttributeList[1545] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSRTX_ATTR_RECORD_LENGTH_AUTOMATIC,
    &g_RSRTX_ATTR_RECORD_LENGTH,
    &g_RSRTX_ATTR_ACQUIRE_MODE,
    &g_RSRTX_ATTR_PEAK_DETECT,
    &g_RSRTX_ATTR_HIGH_RESOLUTION,
    &g_RSRTX_ATTR_INTERPOLATION,
    &g_RSRTX_ATTR_NUM_AVERAGES,
    &g_RSRTX_ATTR_NUM_AVERAGES_CURRENT,
    &g_RSRTX_ATTR_NUM_AVERAGES_RESET,
    &g_RSRTX_ATTR_MEMORY_MODE,
    &g_RSRTX_ATTR_AVERAGING_STATUS,
    &g_RSRTX_ATTR_NUMBER_OF_WAVEFORMS,
    &g_RSRTX_ATTR_SAMPLE_MODE,
    &g_RSRTX_ATTR_WAVEFORM_RATE_MAXIMUM,
    &g_RSRTX_ATTR_HORZ_TIME_PER_RECORD,
    &g_RSRTX_ATTR_HORZ_SCALE,
    &g_RSRTX_ATTR_ROLL_MODE_AUTOMATIC,
    &g_RSRTX_ATTR_ROLL_MODE_MINIMUM_TIME_BASE,
    &g_RSRTX_ATTR_ACQUSITION_START_TIME,
    &g_RSRTX_ATTR_ACQUISITION_TIME,
    &g_RSRTX_ATTR_HORZ_ADC_SAMPLE_RATE,
    &g_RSRTX_ATTR_HORZ_SAMPLE_RATE,
    &g_RSRTX_ATTR_AUTOSCALE,
    &g_RSRTX_ATTR_HORZ_DIVISIONS,
    &g_RSRTX_ATTR_HORZ_REFERENCE,
    &g_RSRTX_ATTR_ROLL_MODE,
    &g_RSRTX_ATTR_TIMESTAMPS_FILENAME,
    &g_RSRTX_ATTR_TIMESTAMPS_SAVE,
    &g_RSRTX_ATTR_ACQUISITION_TYPE,
    &g_RSRTX_ATTR_WAVEFORM_ACQUISITION_TYPE,
    &g_RSRTX_ATTR_HORZ_RECORD_LENGTH,
    &g_RSRTX_ATTR_GET_HORZ_RECORD_LENGTH,
    &g_RSRTX_ATTR_PROBE_TYPE,
    &g_RSRTX_ATTR_PROBE_NAME,
    &g_RSRTX_ATTR_PROBE_INPUT_IMPEDANCE,
    &g_RSRTX_ATTR_PROBE_INPUT_CAPACITANCE,
    &g_RSRTX_ATTR_PROBE_DEGAUSS,
    &g_RSRTX_ATTR_PROBE_ATTENUATION,
    &g_RSRTX_ATTR_PROBE_GAIN,
    &g_RSRTX_ATTR_PROBE_BANDWIDTH,
    &g_RSRTX_ATTR_PROBE_DC_OFFSET,
    &g_RSRTX_ATTR_PROBE_CM_OFFSET,
    &g_RSRTX_ATTR_PROBE_ADDITIONAL_OFFSET,
    &g_RSRTX_ATTR_PROBE_VOLTMETER_ENABLED,
    &g_RSRTX_ATTR_PROBE_ATTENUATION_UNIT,
    &g_RSRTX_ATTR_PROBE_ATTENUATION_MANUAL,
    &g_RSRTX_ATTR_PROBE_GAIN_UNIT,
    &g_RSRTX_ATTR_PROBE_GAIN_MANUAL,
    &g_RSRTX_ATTR_PROBE_MICRO_BUTTON_ACTION,
    &g_RSRTX_ATTR_PROBE_SOFTWARE_VERSION,
    &g_RSRTX_ATTR_PROBE_PRODUCTION_DATE,
    &g_RSRTX_ATTR_PROBE_PART_NUMBER,
    &g_RSRTX_ATTR_PROBE_BUILD_NUMBER,
    &g_RSRTX_ATTR_PROBE_SERIAL_NUMBER,
    &g_RSRTX_ATTR_PROBE_COPY_TO_OFFSET,
    &g_RSRTX_ATTR_PROBE_ATTENUATOR_RT_ZA15_ENABLED,
    &g_RSRTX_ATTR_PROBE_ZERO_ADJUST,
    &g_RSRTX_ATTR_PROBE_SAVE_ZERO_ADJUST,
    &g_RSRTX_ATTR_PROBE_INPUT_VOLTAGE_RANGE,
    &g_RSRTX_ATTR_PROBE_BANDWIDTH_LIMIT,
    &g_RSRTX_ATTR_PROBE_AUDIBLE_OVERRANGE,
    &g_RSRTX_ATTR_PROBE_MEAS_MODE,
    &g_RSRTX_ATTR_PROBE_AC_COUPLING,
    &g_RSRTX_ATTR_PROBE_METER_VISIBILITY,
    &g_RSRTX_ATTR_PROBE_METER_RESULT_SINGLE,
    &g_RSRTX_ATTR_PROBE_METER_RESULT_COMMON,
    &g_RSRTX_ATTR_PROBE_METER_RESULT_DIFFERENTIAL,
    &g_RSRTX_ATTR_PROBE_METER_RESULT_NEGATIVE,
    &g_RSRTX_ATTR_PROBE_METER_RESULT_POSITIVE,
    &g_RSRTX_ATTR_LABEL_ENABLED,
    &g_RSRTX_ATTR_LABEL_NAME,
    &g_RSRTX_ATTR_BUS_LABEL_ENABLED,
    &g_RSRTX_ATTR_BUS_LABEL_NAME,
    &g_RSRTX_ATTR_CHANNEL_ENABLED,
    &g_RSRTX_ATTR_VERTICAL_RANGE,
    &g_RSRTX_ATTR_VERTICAL_COUPLING,
    &g_RSRTX_ATTR_VERTICAL_SCALE,
    &g_RSRTX_ATTR_CHANNEL_OFFSET,
    &g_RSRTX_ATTR_CHANNEL_ZERO_OFFSET,
    &g_RSRTX_ATTR_CHANNEL_BANDWIDTH_LIMIT,
    &g_RSRTX_ATTR_CHANNEL_POLARITY,
    &g_RSRTX_ATTR_CHANNEL_OVERLOAD,
    &g_RSRTX_ATTR_CHANNEL_SKEW,
    &g_RSRTX_ATTR_CHANNEL_THRESHOLD,
    &g_RSRTX_ATTR_CHANNEL_THRESHOLD_HYSTERESIS,
    &g_RSRTX_ATTR_CHANNEL_POSITION,
    &g_RSRTX_ATTR_CHANNEL_WAVEFORM_COLOR,
    &g_RSRTX_ATTR_PROTOCOL_FIND_LEVEL,
    &g_RSRTX_ATTR_CHANNEL_ALL_OFF,
    &g_RSRTX_ATTR_CHANNEL_ALL_ON,
    &g_RSRTX_ATTR_DIGITAL_ENABLED,
    &g_RSRTX_ATTR_DIGITAL_DESKEW,
    &g_RSRTX_ATTR_DIGITAL_THRESHOLD,
    &g_RSRTX_ATTR_DIGITAL_TECHNOLOGY,
    &g_RSRTX_ATTR_DIGITAL_HYSTERESIS,
    &g_RSRTX_ATTR_DIGITAL_APPLY,
    &g_RSRTX_ATTR_DIGITAL_LABEL,
    &g_RSRTX_ATTR_DIGITAL_LABEL_ENABLED,
    &g_RSRTX_ATTR_DIGITAL_VERTICAL_CHANNEL_SIZE,
    &g_RSRTX_ATTR_DIGITAL_VERTICAL_POSITION,
    &g_RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MAXIMUM,
    &g_RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MINIMUM,
    &g_RSRTX_ATTR_DIGITAL_PROBE_ENABLED,
    &g_RSRTX_ATTR_DIGITAL_POINT_SELECTION,
    &g_RSRTX_ATTR_LOGIC_STATE,
    &g_RSRTX_ATTR_LOGIC_TYPE,
    &g_RSRTX_ATTR_LOGIC_THRESHOLD,
    &g_RSRTX_ATTR_LOGIC_THRESHOLD_USER_LEVEL,
    &g_RSRTX_ATTR_LOGIC_HYSTERESIS,
    &g_RSRTX_ATTR_LOGIC_ARITHMETICS,
    &g_RSRTX_ATTR_LOGIC_PROBE_CONNECTED,
    &g_RSRTX_ATTR_LOGIC_CURRENT_MAXIMUM,
    &g_RSRTX_ATTR_LOGIC_CURRENT_MINIMUM,
    &g_RSRTX_ATTR_LOGIC_POINT_SELECTION,
    &g_RSRTX_ATTR_LOGIC_WAVEFORM_DATA_POINTS,
    &g_RSRTX_ATTR_TRIGGER_TYPE_A,
    &g_RSRTX_ATTR_TRIGGER_SOURCE_A,
    &g_RSRTX_ATTR_TRIGGER_SOURCE_B,
    &g_RSRTX_ATTR_EXTERNAL_TRIGGER_COUPLING,
    &g_RSRTX_ATTR_EXTERNAL_TRIGGER_TERMINATION,
    &g_RSRTX_ATTR_EXTERNAL_TRIGGER_OVERLOAD,
    &g_RSRTX_ATTR_TRIGGER_HOLDOFF_TIME,
    &g_RSRTX_ATTR_TRIGGER_HOLDOFF_MODE,
    &g_RSRTX_ATTR_TRIGGER_HYSTERESIS_A,
    &g_RSRTX_ATTR_TRIGGER_HYSTERESIS_A_LEVEL,
    &g_RSRTX_ATTR_TRIGGER_HYSTERESIS_B,
    &g_RSRTX_ATTR_TRIGGER_HYSTERESIS_B_LEVEL,
    &g_RSRTX_ATTR_TRIGGER_ENABLED,
    &g_RSRTX_ATTR_TRIGGER_MODIFIER_A,
    &g_RSRTX_ATTR_TRIGGER_MODIFIER_B,
    &g_RSRTX_ATTR_TRIGGER_EVENT_COUNT,
    &g_RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_A,
    &g_RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_B,
    &g_RSRTX_ATTR_TRIGGER_LEVEL_LOWER,
    &g_RSRTX_ATTR_TRIGGER_LEVEL_UPPER,
    &g_RSRTX_ATTR_TRIGGER_DELAY,
    &g_RSRTX_ATTR_TRIGGER_LEVEL_A,
    &g_RSRTX_ATTR_TRIGGER_LEVEL_B,
    &g_RSRTX_ATTR_TRIGGER_SLOPE_A,
    &g_RSRTX_ATTR_TRIGGER_SLOPE_B,
    &g_RSRTX_ATTR_TRIGGER_COUPLING,
    &g_RSRTX_ATTR_TRIGGER_FILTER_HIGH,
    &g_RSRTX_ATTR_TRIGGER_FILTER_HF_REJECT,
    &g_RSRTX_ATTR_TV_TRIGGER_EVENT,
    &g_RSRTX_ATTR_TV_TRIGGER_LINE_NUMBER,
    &g_RSRTX_ATTR_TV_TRIGGER_POLARITY,
    &g_RSRTX_ATTR_TV_STANDARD,
    &g_RSRTX_ATTR_WIDTH,
    &g_RSRTX_ATTR_WIDTH_DELTA,
    &g_RSRTX_ATTR_WIDTH_POLARITY,
    &g_RSRTX_ATTR_WIDTH_CONDITION,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_SOURCE,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_FUNCTION,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_POINT_ENABLED,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_MODE,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_DELTA,
    &g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_CONDITION,
    &g_RSRTX_ATTR_TRIGGER_WINDOW_RANGE,
    &g_RSRTX_ATTR_TRIGGER_WINDOW_WIDTH,
    &g_RSRTX_ATTR_TRIGGER_WINDOW_TIME_RANGE,
    &g_RSRTX_ATTR_TRIGGER_TIME_POLARITY,
    &g_RSRTX_ATTR_TRIGGER_TIME_CONDITION,
    &g_RSRTX_ATTR_TRIGGER_TIME,
    &g_RSRTX_ATTR_TRIGGER_TIME_DELTA,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_ENABLED,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SOUND,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT_DESTINATION,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM_DESTINATION,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_REFERENCES,
    &g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_PULSE_OUT,
    &g_RSRTX_ATTR_TRIGGER_OUT_MODE,
    &g_RSRTX_ATTR_TRIGGER_OUT_POLARITY,
    &g_RSRTX_ATTR_TRIGGER_OUT_PULSE_WIDTH,
    &g_RSRTX_ATTR_RUNT_TRIGGER_POLARITY,
    &g_RSRTX_ATTR_RUNT_TRIGGER_WIDTH,
    &g_RSRTX_ATTR_RUNT_TRIGGER_DELTA,
    &g_RSRTX_ATTR_RUNT_TRIGGER_RANGE,
    &g_RSRTX_ATTR_RUNT_TRIGGER_LOWER_LEVEL,
    &g_RSRTX_ATTR_RUNT_TRIGGER_UPPER_LEVEL,
    &g_RSRTX_ATTR_TIMEOUT_TRIGGER_TIME,
    &g_RSRTX_ATTR_TIMEOUT_TRIGGER_RANGE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_MODE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET,
    &g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_MODE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET,
    &g_RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_MODE,
    &g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN,
    &g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_MODE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_ID,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_CHECKSUM,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_PARITY,
    &g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_SYNC,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_MODE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_ID,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_DATA,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_CRC,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_STUFFING,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_FORM,
    &g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_ACK,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MINIMUM,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MAXIMUM,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MINIMUM,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MAXIMUM,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_COMBINATION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MINIMUM,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_TYPE,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_MODE,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_WORD,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_TRANSMISSION_TYPE,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_FRAME,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION_ERROR,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_TIMEOUT_ERROR,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_PARITY_ERROR,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_MANCHESTER_ERROR,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_TYPE,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_DATA_DIRECTION,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_CONDITION,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_CONDITION,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_WORD_CONDITION,
    &g_RSRTX_ATTR_MILSTD_WORD_ADDRESS_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_WORD_ADDRESS_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_CODE,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_VALUE,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_RECEIVED_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_BUSY_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_BUS_CONTROL_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_INSTRUMENTATION_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_MESSAGE_ERROR_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SERVICE_REQUEST_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_SUBSYSTEM_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_TERMINAL_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_CONDITION,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_CONDITION,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET,
    &g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_WORDS,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_WORD_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_GAP_ERROR,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_FORMAT,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_OFFSET,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_SIZE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MIN,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MAX,
    &g_RSRTX_ATTR_RUN_SINGLE,
    &g_RSRTX_ATTR_RUN_SINGLE_WAIT_FOR_OPC,
    &g_RSRTX_ATTR_RUN_CONTINUOUS,
    &g_RSRTX_ATTR_STOP,
    &g_RSRTX_ATTR_SEND_SW_TRIGGER,
    &g_RSRTX_ATTR_ACQUISITION_STATE,
    &g_RSRTX_ATTR_WAVEFROM_EXPORT_NAME,
    &g_RSRTX_ATTR_WAVEFORM_EXPORT_SOURCE,
    &g_RSRTX_ATTR_WAVEFORM_EXPORT_DESTINATION,
    &g_RSRTX_ATTR_WAVEFORM_EXPORT_SAVE,
    &g_RSRTX_ATTR_WAVEFORM_SAMPLES,
    &g_RSRTX_ATTR_WAVEFORM_CONVERSION_X_START,
    &g_RSRTX_ATTR_WAVEFORM_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_START,
    &g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START,
    &g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START,
    &g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_START,
    &g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_START,
    &g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_START,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_START,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_MASK_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_MASK_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_DIGITAL_WAVEFORM_SAMPLES,
    &g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_SPECTRUM_WAVEFORM_SAMPLES,
    &g_RSRTX_ATTR_SPECTRUM_MINIMUM_WAVEFORM_SAMPLES,
    &g_RSRTX_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_SAMPLES,
    &g_RSRTX_ATTR_SPECTRUM_AVERAGE_WAVEFORM_SAMPLES,
    &g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_SPECTRUM_AVERAVE_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_CURSOR_ENABLED,
    &g_RSRTX_ATTR_ALL_CURSORS_OFF,
    &g_RSRTX_ATTR_CURSOR_MEASUREMENT_TYPE,
    &g_RSRTX_ATTR_CURSOR_SOURCE,
    &g_RSRTX_ATTR_CURSOR_SECOND_SOURCE,
    &g_RSRTX_ATTR_CURSOR_SECOND_SOURCE_ENABLE,
    &g_RSRTX_ATTR_CURSOR_TRACKING,
    &g_RSRTX_ATTR_CURSOR_X_POSITION_COUPLING,
    &g_RSRTX_ATTR_CURSOR_Y_POSITION_COUPLING,
    &g_RSRTX_ATTR_CURSOR_ADJUSTMENT,
    &g_RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT,
    &g_RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT,
    &g_RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT,
    &g_RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT,
    &g_RSRTX_ATTR_CURSOR_DISTANCE_HORIZONTAL,
    &g_RSRTX_ATTR_CURSOR_DISTANCE_VERTICAL,
    &g_RSRTX_ATTR_CURSOR_INVERSE_DISTANCE,
    &g_RSRTX_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE_VERTICAL,
    &g_RSRTX_ATTR_CURSOR_POSITION,
    &g_RSRTX_ATTR_CURSOR_AUTOSET,
    &g_RSRTX_ATTR_CURSOR_RESET,
    &g_RSRTX_ATTR_CURSOR_PEAK_NEXT,
    &g_RSRTX_ATTR_CURSOR_PEAK_PREVIOUS,
    &g_RSRTX_ATTR_CURSOR_X1_POSITION,
    &g_RSRTX_ATTR_CURSOR_X2_POSITION,
    &g_RSRTX_ATTR_CURSOR_X3_POSITION,
    &g_RSRTX_ATTR_CURSOR_Y1_POSITION,
    &g_RSRTX_ATTR_CURSOR_Y2_POSITION,
    &g_RSRTX_ATTR_CURSOR_Y3_POSITION,
    &g_RSRTX_ATTR_CURSOR_LINE_NEXT_PEAK,
    &g_RSRTX_ATTR_CURSOR_LINE_PREVIOUS_PEAK,
    &g_RSRTX_ATTR_MEAS_RELATIVE_MODE,
    &g_RSRTX_ATTR_MEAS_RELATIVE_LOWER_LEVEL,
    &g_RSRTX_ATTR_MEAS_RELATIVE_UPPER_LEVEL,
    &g_RSRTX_ATTR_MEAS_RELATIVE_MIDDLE_LEVEL,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FREQUENCY,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PERIOD,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PEAK,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MAXIMUM_PEAK,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MINIMUM_PEAK,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PULSES,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PULSES,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISING_EDGES,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_EDGES,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_HIGH_LEVEL,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_LOW_LEVEL,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AMPLITUDE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISE_TIME,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_TIME,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_CYCLE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_CYCLE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_POSITIVE_PULSE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_NEGATIVE_PULSE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN_VALUE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS_VALUE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATIONS,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION_VALUE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_DELAY,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PHASE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_BURST_WIDTH,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_OVERSHOOT,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_OVERSHOOT,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AVERAGE_VALUE,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PEAK,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PEAK,
    &g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WAVEFORM_COUNT,
    &g_RSRTX_ATTR_AMPT_MAIN_MEASUREMENT,
    &g_RSRTX_ATTR_MEASUREMENT_DELAY_MARKER_VISIBLE,
    &g_RSRTX_ATTR_MEASUREMENT_ENABLED,
    &g_RSRTX_ATTR_MEASUREMENT_CATEGORY,
    &g_RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE,
    &g_RSRTX_ATTR_QUICK_MEASUREMENTS_DISABLE,
    &g_RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_ENABLED,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS,
    &g_RSRTX_ATTR_RESET_AUTOMATIC_MEASUREMENT,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT_AUTO,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_AVERAGE_VALUE,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_STANDARD_DEVIATION,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_NEGATIVE_PEAK,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_POSITIVE_PEAK,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_INDEX,
    &g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_SINGLE_STATISTICAL_VALUE,
    &g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_NAME,
    &g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_SAVE,
    &g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_ALL_NAME,
    &g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_ALL_SAVE,
    &g_RSRTX_ATTR_MEASUREMENT_GATE_ENABLE,
    &g_RSRTX_ATTR_MEASUREMENT_GATE_MODE,
    &g_RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_START,
    &g_RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_END,
    &g_RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_START,
    &g_RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_END,
    &g_RSRTX_ATTR_MATH_WAVEFORM_HEADER,
    &g_RSRTX_ATTR_MATH_WAVEFORM_DATA_POINTS,
    &g_RSRTX_ATTR_MATH_WAVEFORM_ENABLED,
    &g_RSRTX_ATTR_MATH_WAVEFORM_POSITION,
    &g_RSRTX_ATTR_MATH_VERTICAL_SCALE,
    &g_RSRTX_ATTR_MATH_ACQUISITION_TYPE,
    &g_RSRTX_ATTR_MATH_EXPRESSION,
    &g_RSRTX_ATTR_MATH_WAVEFORM_LABEL,
    &g_RSRTX_ATTR_MATH_WAVEFORM_LABEL_STATE,
    &g_RSRTX_ATTR_MATH_WAVEFORM_COLOR,
    &g_RSRTX_ATTR_FFT_CENTER_FREQUENCY,
    &g_RSRTX_ATTR_FFT_FREQUENCY_SPAN,
    &g_RSRTX_ATTR_FFT_FULL_SPAN,
    &g_RSRTX_ATTR_FFT_START_FREQUENCY,
    &g_RSRTX_ATTR_FFT_STOP_FREQUENCY,
    &g_RSRTX_ATTR_FFT_AVERAGING,
    &g_RSRTX_ATTR_FFT_AVERAGING_STATUS,
    &g_RSRTX_ATTR_FFT_WINDOW_TYPE,
    &g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH,
    &g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED,
    &g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO,
    &g_RSRTX_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH,
    &g_RSRTX_ATTR_FFT_SCALING_UNIT,
    &g_RSRTX_ATTR_FFT_SAMPLE_RATE,
    &g_RSRTX_ATTR_FFT_YT_WINDOW_POSITION,
    &g_RSRTX_ATTR_FFT_YT_WINDOW_WIDTH,
    &g_RSRTX_ATTR_MATH_TRACK_EDGE_POLARITY,
    &g_RSRTX_ATTR_MATH_TRACK_DOUBLE_PULSE_ENABLE,
    &g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_HYSTERESIS,
    &g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_LOWER,
    &g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_UPPER,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_ENABLED,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_POSITION,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_VERTICAL_SCALE,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_OPERATION,
    &g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_SOURCE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_HEADER,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_DATA_POINTS,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_LABEL,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_COLOR,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_SOURCE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_UPDATE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_CATALOG,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE,
    &g_RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION,
    &g_RSRTX_ATTR_MASK_ENABLED,
    &g_RSRTX_ATTR_MASK_SOURCE,
    &g_RSRTX_ATTR_MASK_TEST,
    &g_RSRTX_ATTR_MASK_COPY_CHANNEL,
    &g_RSRTX_ATTR_MASK_HIT_COUNT,
    &g_RSRTX_ATTR_MASK_COUNT,
    &g_RSRTX_ATTR_MASK_SEGMENT_CAPTURE_MODE,
    &g_RSRTX_ATTR_MASK_STORE,
    &g_RSRTX_ATTR_MASK_LOAD,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_BEEP,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_STOP,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT_DESTINATION,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM_DESTINATION,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_PULSE,
    &g_RSRTX_ATTR_MASK_TEST_ACTION_AUX_OUTPUT_ENABLED,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_BEEP,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_STOP,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SCREENSHOT,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PRINT,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SAVES_WAVEFORM,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PULSE,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_LENGTH,
    &g_RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_POLARITY,
    &g_RSRTX_ATTR_MASK_RESET_TEST_COUNTER,
    &g_RSRTX_ATTR_MASK_VERTICAL_OFFSET,
    &g_RSRTX_ATTR_MASK_VERTICAL_SCALING,
    &g_RSRTX_ATTR_MASK_VERTICAL_WIDTH,
    &g_RSRTX_ATTR_MASK_HORIZONTAL_WIDTH,
    &g_RSRTX_ATTR_SEARCH_ENABLED,
    &g_RSRTX_ATTR_SEARCH_CONDITION,
    &g_RSRTX_ATTR_SEARCH_SOURCE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_SLOPE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_LEVEL,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_HYSTERSIS,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_DELTA,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_RANGE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PEAK_POLARITY,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PEAK_LIMIT,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_LOWER,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_UPPER,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_POLARITY,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_LOWER,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_UPPER,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_RANGE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_WIDTH,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_LEVEL,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_LEVEL,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_HYSTERESIS,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_HYSTERESIS,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_POLARITY,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_LOWER,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_UPPER,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_DELTA,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_POLARITY,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_RANGE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_TIME_RANGE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH,
    &g_RSRTX_ATTR_SEARCH_GATE_MODE,
    &g_RSRTX_ATTR_SEARCH_GATE_START,
    &g_RSRTX_ATTR_SEARCH_GATE_STOP,
    &g_RSRTX_ATTR_SEARCH_SHOW_RESULT,
    &g_RSRTX_ATTR_SEARCH_NUMBER_OF_RESULTS,
    &g_RSRTX_ATTR_SEARCH_MAXIMUM_NUMBER_OF_RESULTS,
    &g_RSRTX_ATTR_SEARCH_EXPORT_NAME,
    &g_RSRTX_ATTR_SEARCH_EXPORT_SAVE,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL,
    &g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_EVENT,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_FRAME_SETUP,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_ID,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_DATA,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ID_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_CHECKSUM,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_PARITY,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_SYNC,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_EVENT,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_SETUP,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_ID,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_DATA,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_CRC,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_STUFFING,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_FORM,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_ACK,
    &g_RSRTX_ATTR_MILSTD_SEARCH_CONDITION,
    &g_RSRTX_ATTR_MILSTD_SEARCH_WORD_START,
    &g_RSRTX_ATTR_MILSTD_SEARCH_ERROR,
    &g_RSRTX_ATTR_MILSTD_SEARCH_TRANSMISSION_TYPE,
    &g_RSRTX_ATTR_MILSTD_SEARCH_COMMAND_DATA_DIRECTION,
    &g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_CONDITION,
    &g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_CONDITION,
    &g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_WORD_CONDITION,
    &g_RSRTX_ATTR_MILSTD_SEARCH_WORD_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_WORD_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_COMMAND_MODE_CODE,
    &g_RSRTX_ATTR_MILSTD_SEARCH_RECEIVED_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_BUSY_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_BUS_CONTROL_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_INSTRUMENTATION_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCHMESSAGE_ERROR_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_SERVICE_REQUEST_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_SUBSYSTEM_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_TERMINAL_BIT_STATUS,
    &g_RSRTX_ATTR_MILSTD_SEARCH_DATA_CONDITION,
    &g_RSRTX_ATTR_MILSTD_SEARCH_DATA_MINIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_DATA_MAXIMUM,
    &g_RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET,
    &g_RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET_WORDS,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_WORD_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_ERROR,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MIN,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MAX,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_CONDITION,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MIN,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MAX,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_OFFSET,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_SIZE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_FORMAT,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SDI,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SSM,
    &g_RSRTX_ATTR_PROTOCOL_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_TYPE,
    &g_RSRTX_ATTR_BUS_SAVE_DECODED_DATA,
    &g_RSRTX_ATTR_PROTOCOL_CONTENT,
    &g_RSRTX_ATTR_PROTOCOL_DISPLAY_FORMAT,
    &g_RSRTX_ATTR_PROTOCOL_DISPLAY_HEIGHT,
    &g_RSRTX_ATTR_PROTOCOL_DISPLAY_LINES,
    &g_RSRTX_ATTR_PROTOCOL_DISPLAY_VERTICAL,
    &g_RSRTX_ATTR_PROTOCOL_DISPLAY_RESULTS,
    &g_RSRTX_ATTR_PROTOCOL_I2C_CLOCK_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_DATA_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_I2C_SELECTED_FRAME,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_DATA,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_TRANSFER_DIRECTION,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACKNOWLEDGE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START_ACK_BIT,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_WITHOUT_BIT,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START,
    &g_RSRTX_ATTR_PROTOCOL_I2C_SELECTED_BYTE,
    &g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT,
    &g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT_START,
    &g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_START,
    &g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_CLOCK_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_DATA_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_MOSI_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_MISO_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_CLOCK_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SPI_CS_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SPI_CS_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SPI_DATA_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SPI_BIT_ORDER,
    &g_RSRTX_ATTR_PROTOCOL_SPI_WORD_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_SPI_MOSI_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SPI_MISO_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_SPI_SELECTED_FRAME,
    &g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MOSI,
    &g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MISO,
    &g_RSRTX_ATTR_PROTOCOL_SPI_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_SPI_SELECTED_WORD,
    &g_RSRTX_ATTR_PROTOCOL_SPI_WORD_START,
    &g_RSRTX_ATTR_PROTOCOL_SPI_WORD_END,
    &g_RSRTX_ATTR_PROTOCOL_SPI_WORD_MOSI,
    &g_RSRTX_ATTR_PROTOCOL_SPI_WORD_MISO,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_DATA_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_MISO_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_DATA_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_BIT_ORDER,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_WORD_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_MOSI_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_SSPI_MISO_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_UART_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_SOURCE_LINE,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_SOURCE_LINE,
    &g_RSRTX_ATTR_PROTOCOL_UART_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_UART_IDLE_STATE_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_UART_INTERFRAME_TIME,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_UART_BIT_RATE,
    &g_RSRTX_ATTR_PROTOCOL_UART_PARITY,
    &g_RSRTX_ATTR_PROTOCOL_UART_STOP_BITS,
    &g_RSRTX_ATTR_PROTOCOL_UART_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_UART_SELECTED_FRAME,
    &g_RSRTX_ATTR_PROTOCOL_UART_FRAME_STATE,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_STATE,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_STATE,
    &g_RSRTX_ATTR_PROTOCOL_UART_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_UART_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_UART_SELECTED_WORD,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_START,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_START,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_START,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_END,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_END,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_END,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_UART_WORD_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_LIN_STANDARD,
    &g_RSRTX_ATTR_PROTOCOL_LIN_BIT_RATE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SELECTED_FRAME,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_DATA,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_VERSION,
    &g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_LIN_SELECTED_BYTE,
    &g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_LINE_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_BIT_RATE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SAMPLE_POINT,
    &g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SELECTED_FRAME,
    &g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_END,
    &g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_DATA,
    &g_RSRTX_ATTR_PROTOCOL_CAN_ACK_STATE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_ACK_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_STATE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_STATE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_ID_STATE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_ID_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_ID_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_BSE_POSITION,
    &g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_CAN_SELECTED_BYTE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_STATE,
    &g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_VALUE,
    &g_RSRTX_ATTR_PARALLEL_BUS_ANALYZED_LINES,
    &g_RSRTX_ATTR_PARALLEL_BUS_FRAME_COUNT,
    &g_RSRTX_ATTR_PARALLEL_BUS_SELECTED_FRAME,
    &g_RSRTX_ATTR_PARALLEL_BUS_FRAME_DATA,
    &g_RSRTX_ATTR_PARALLEL_BUS_FRAME_ENABLED,
    &g_RSRTX_ATTR_PARALLEL_BUS_FRAME_START,
    &g_RSRTX_ATTR_PARALLEL_BUS_FRAME_END,
    &g_RSRTX_ATTR_PARALLEL_BUS_BIT_SOURCE,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_ANALYZED_LINES,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_COUNT,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SLOPE,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CS_POLARITY,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SELECTED_FRAME,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_DATA,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_ENABLED,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_START,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_END,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SOURCE,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_ENABLED,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_SOURCE,
    &g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_BIT_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_VARIANT,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_WORD_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_BIT_ORDER,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_START,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STOP,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DISPLAY_MODE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_POSITION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_SCALE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_POSITION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_SCALE,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_DEFAULT,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_SCREEN,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_ENABLED,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_POSITION,
    &g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_SCALE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HIGH,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HLOW,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_TIMING,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_INFINITE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MINIMUM,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MAXIMUM,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_INFINITE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MINIMUM,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MAXIMUM,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_SELECTED_WORD,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_START,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STOP,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TRANSMISSION_DIRECTION,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_PARITY,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RESPONSE_TIME,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INTERMESSAGE_GATE_TIME,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_TYPE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_RT_ADDRESS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_SUB_ADDRESS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RECEIVED_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUSY_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUS_CONTROL_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INSTRUMENTATION_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_MESSAGE_ERROR_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS_RT_ADDRESS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SUBSYSTEM_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TERMINAL_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SERVICE_REQUEST_BIT_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SOURCE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_POLARITY,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_DATA_FORMAT,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_COUNT,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_SELECTED_WORD,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STATUS,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_START,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STOP,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SDI,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SSM,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL_VALUE,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PATTERN,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PARITY,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_FORMAT,
    &g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_DATA,
    &g_RSRTX_ATTR_POWER_ANALYSIS_ENABLED,
    &g_RSRTX_ATTR_POWER_ANALYSIS_TYPE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_RESULT_TABLE_ENABLED,
    &g_RSRTX_ATTR_POWER_ANALYSIS_RESET_STATISTICS,
    &g_RSRTX_ATTR_POWER_ANALYSIS_STATISTICS_VISIBLE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_START_DESKEW,
    &g_RSRTX_ATTR_POWER_ANALYSIS_ZERO_OFFSET,
    &g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET,
    &g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_CURRENT,
    &g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_VOLTAGE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_CURRENT_SOURCE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_DUT,
    &g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_USER,
    &g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_SITE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_TEMPERATURE,
    &g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_DESCRIPTION,
    &g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_OUTPUT_FOLDER,
    &g_RSRTX_ATTR_START_POWER_QUALITY_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_QUALITY_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_START_POWER_CONSUMPTION_MEASUREMENT,
    &g_RSRTX_ATTR_RESTART_POWER_CONSUMPTION_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_DURATION_RESULT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ENERGY_RESULT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ACTIVE_RESULT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_APPARENT_POWER_RESULT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_POWER_FACTOR_RESULT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_PHASE_RESULT,
    &g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_REACTIVE_POWER_RESULT,
    &g_RSRTX_ATTR_START_POWER_CURRENT_HARMONICS_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_STANDARD,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_MIL,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_RTC,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_NUMBER_OF_MEASURED_HARMONICS,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_DURATION,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_LIMIT_CHECK_RESULT,
    &g_RSRTX_ATTR_RESET_POWER_CURRENT_HARMONICS_MEASUREMENT_RESULTS,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_CURRENT,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_AVERAGE,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MAXIMUM,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MINIMUM,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_STANDARD_DEVIATION,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_REAL_POWER_CURRENT,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_CURRENT,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_AVERAGE,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MAXIMUM,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MINIMUM,
    &g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_STANDARD_DEVIATION,
    &g_RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_NAME,
    &g_RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_SAVE,
    &g_RSRTX_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_COUNT,
    &g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_START,
    &g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_STOP,
    &g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_AREA_RESULT,
    &g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_MAXIMUM_RESULT,
    &g_RSRTX_ATTR_START_POWER_RIPPLE_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_RIPPLE_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_START_POWER_SPECTRUM_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY,
    &g_RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_RESET_POWER_SPECTRUM_MEASUREMENT_RESULTS,
    &g_RSRTX_ATTR_START_POWER_SLEW_RATE_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_SAMPLE,
    &g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_TIME,
    &g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_START_POWER_MODULATION_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_TYPE,
    &g_RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_UPPER,
    &g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_LOWER,
    &g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_HYSTERESIS,
    &g_RSRTX_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_START,
    &g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_STOP,
    &g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_RESULT,
    &g_RSRTX_ATTR_START_POWER_EFFICIENCY_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_EFFICIENCY_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TYPE,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_SET_POWER_SWITSCHINGLOSS_MEASUREMENT_GATE_TO_WAVEFORM,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_START,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_STOP,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_START,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_STOP,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_START,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_STOP,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_START,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_STOP,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_ENERGY_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_POWER_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_ENERGY_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_POWER_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_ENERGY_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_POWER_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_ENERGY_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_POWER_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_ENERGY_RESULT,
    &g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_POWER_RESULT,
    &g_RSRTX_ATTR_START_POWER_ON_OFF_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_TYPE,
    &g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_RESULT,
    &g_RSRTX_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT,
    &g_RSRTX_ATTR_RESTART_POWER_SAFE_OPERATING_AREA_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SCALE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_MASK_SCALE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_DISPLAY_SCALE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LIN_ADD,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_INSERT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_REMOVE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_COUNT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_ADD,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_INSERT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_REMOVE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_COUNT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SELECTED_POINT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_VOLTAGE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MIN,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MAX,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_VOLTAGE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MIN,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MAX,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_TOLERANCE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_PASSED_RESULTS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RESULTS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RATE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_NUMBER_OF_POINTS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_STATUS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_COUNT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_CURRENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_VOLTAGE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_TOLERANCE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_RESULTS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RESULTS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RATE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_ACQUISITIONS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_STATUS,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_COUNT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_SAMPLES,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_SAMPLES,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_SAMPLES,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_CURRENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_VOLTAGE,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_START,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_INCREMENT,
    &g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_RESOLUTION,
    &g_RSRTX_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_ADD_REPORT,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_START_TIME,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_STOP_TIME,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_DELAY_TIME,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_OVERSHOOT,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_TIME,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_VALUE,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_RISE_TIME,
    &g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SETTLING_TIME,
    &g_RSRTX_ATTR_SPECTRUM_ANALYSIS_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_ANALYSIS_MODE,
    &g_RSRTX_ATTR_SPECTRUM_ANALYSIS_SOURCE,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COMPLETE,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COUNT,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_MAGNITUDE_SCALE,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_POSITION,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_RESET,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_SCALE,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_POSITION,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_TYPE,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_START,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_STOP,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_CENTER,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_SPAN,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_FULL_SPAN,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_AUTO,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RATIO,
    &g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RESOLUTION,
    &g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_RESET,
    &g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_SCALE,
    &g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_WINDOW_POSITION,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SOURCE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_DISPLAY,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DISTANCE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_EXCURSION,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MINIMUM_LEVEL,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DETECTION_MODE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MAXIMUM_WIDTH,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_CENTER_SCREEN,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_RANGE_TO_PEAK,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_MODE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_FREQUENCY,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_SPAN,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_INDEX,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_DETECTED_PEAKS,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_RESULT_MODE,
    &g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_POSITION,
    &g_RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_FREQUENCY,
    &g_RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_LEVEL,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_MAGNITUDE_MODE,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_MAXIMUM_LEVEL,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_MINIMUM_LEVEL,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_COLOR_SCHEME,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_COLOR_SCHEME,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_FREQUENCY_DOMAIN_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_DISPLAY_TIME_DOMAIN_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_WAVEFORM_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_WAVEFORM_MINIMUM_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_WAVEFORM_MAXIMUM_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_WAVEFORM_AVERAGE_ENABLE,
    &g_RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_POSITION,
    &g_RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_RANGE,
    &g_RSRTX_ATTR_DVM_ENABLE,
    &g_RSRTX_ATTR_DVM_SOURCE,
    &g_RSRTX_ATTR_DVM_TYPE,
    &g_RSRTX_ATTR_DVM_POSITION,
    &g_RSRTX_ATTR_DVM_RESULT,
    &g_RSRTX_ATTR_DVM_RESULT_STATUS,
    &g_RSRTX_ATTR_COUNTER_ENABLE,
    &g_RSRTX_ATTR_COUNTER_FREQUENCY,
    &g_RSRTX_ATTR_COUNTER_PERIOD,
    &g_RSRTX_ATTR_COUNTER_SOURCE,
    &g_RSRTX_ATTR_BODE_PLOT_ENABLE,
    &g_RSRTX_ATTR_BODE_PLOT_START_FREQUENCY,
    &g_RSRTX_ATTR_BODE_PLOT_STOP_FREQUENCY,
    &g_RSRTX_ATTR_BODE_PLOT_AUTOSCALE,
    &g_RSRTX_ATTR_BODE_PLOT_INPUT_CHANNEL,
    &g_RSRTX_ATTR_BODE_PLOT_OUTPUT_CHANNEL,
    &g_RSRTX_ATTR_BODE_PLOT_GAIN_ENABLE,
    &g_RSRTX_ATTR_BODE_PLOT_GAIN_POSITION,
    &g_RSRTX_ATTR_BODE_PLOT_GAIN_SCALE,
    &g_RSRTX_ATTR_BODE_PLOT_PHASE_ENABLE,
    &g_RSRTX_ATTR_BODE_PLOT_PHASE_POSITION,
    &g_RSRTX_ATTR_BODE_PLOT_PHASE_SCALE,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_ENABLE,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_POSITION,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_SCALE,
    &g_RSRTX_ATTR_START_BODE_PLOT_MEASUREMENT,
    &g_RSRTX_ATTR_STOP_BODE_PLOT_MEASUREMENT,
    &g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_STATE,
    &g_RSRTX_ATTR_BODE_PLOT_REPEATED_MEASUREMENT_ENABLE,
    &g_RSRTX_ATTR_BODE_PLOT_RESET,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_MODE,
    &g_RSRTX_ATTR_BODE_PLOT_POINTS_PER_DECADE,
    &g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_POINTS_DISPLAY_ENABLE,
    &g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_DELAY,
    &g_RSRTX_ATTR_BODE_PLOT_EXPORT_NAME,
    &g_RSRTX_ATTR_BODE_PLOT_EXPORT_SAVE,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINTS,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_AMPLITUDE,
    &g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_FREQUENCY,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_GAIN,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_PHASE,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_INDEX,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY_DIFFERENCE,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_GAIN_DIFFERENCE,
    &g_RSRTX_ATTR_BODE_PLOT_MARKER_PHASE_DIFFERENCE,
    &g_RSRTX_ATTR_RESET_BODE_PLOT_MARKERS,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_DUTY_CYCLE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_EDGE_TIME,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_RAMP_POLARITY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_EXPONENTIAL_POLARITY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_TRIANGLE_SYMMETRY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_ENABLED,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_FUNCTION_TYPE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_RAMP_POLARITY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_DEPTH,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOPPING_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_RATE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_ENABLED,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TYPE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_UPDATE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_START,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_END,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_DISPLAY_ENABLE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_ENABLED,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_DESTINATION,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_ENABLE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_CYCLES,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_IDLE_TIME,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_PHASE_OFFSET,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_MODE,
    &g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_SINGLE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_ENABLED,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_FUNCTION_TYPE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_FREQUENCY,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PERIOD,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_POLARITY,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_OUTPUT_VOLTAGE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_DUTY_CYCLE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_SAMPLE_TIME,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_DIRECTION,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_FREQUENCY,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_BURST_ENABLED,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_BURST_CYCLES,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_IDLE_TIME,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_MODE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_RUN_SINGLE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_EXTERNAL_TRIGGER_SLOPE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_ARB_PATTERN_LENGTH,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_ARB_INDEX,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_MANUAL_STATE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_ENABLE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_DIRECTION,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_DUTY_CYCLE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_BLUE,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_GREEN,
    &g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_RED,
    &g_RSRTX_ATTR_COLOR_AND_BRIGHTNESS,
    &g_RSRTX_ATTR_SIGNAL_STYLE,
    &g_RSRTX_ATTR_DIAGRAM_GRID_STYLE,
    &g_RSRTX_ATTR_DIAGRAM_ANNOTATION_ENABLED,
    &g_RSRTX_ATTR_DIAGRAM_ANNOTATION_TRACK,
    &g_RSRTX_ATTR_WAVEFORM_INTENSITY,
    &g_RSRTX_ATTR_BACKGROUND_INTENSITY,
    &g_RSRTX_ATTR_GRID_INTENSITY,
    &g_RSRTX_ATTR_DISPLAY_LANGUAGE,
    &g_RSRTX_ATTR_DISPLAY_DATE_AND_TIME,
    &g_RSRTX_ATTR_DIAGRAM_MODE,
    &g_RSRTX_ATTR_DISPLAY_SEND_MESSAGE,
    &g_RSRTX_ATTR_DISPLAY_CLOSE_DIALOG,
    &g_RSRTX_ATTR_DIALOG_TRANSPARENCY,
    &g_RSRTX_ATTR_DISPLAY_CLEAR_SCREEN,
    &g_RSRTX_ATTR_PERSISTENCE_ENABLED,
    &g_RSRTX_ATTR_PERSISTENCE_TYPE,
    &g_RSRTX_ATTR_INFINITE_PERSISTENCE,
    &g_RSRTX_ATTR_PERSISTENCE_TIME,
    &g_RSRTX_ATTR_PERSISTENCE_CLEAR,
    &g_RSRTX_ATTR_XY_X_SOURCE,
    &g_RSRTX_ATTR_XY_Y_SOURCE,
    &g_RSRTX_ATTR_XY_Y2_SOURCE,
    &g_RSRTX_ATTR_XY_Z_SOURCE,
    &g_RSRTX_ATTR_XY_Z_TRESHOLD,
    &g_RSRTX_ATTR_XY_INTENSITY_CONTROL,
    &g_RSRTX_ATTR_ZOOM_WINDOW_ENABLED,
    &g_RSRTX_ATTR_ZOOM_DIAGRAM_TIMEBASE,
    &g_RSRTX_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT,
    &g_RSRTX_ATTR_ZOOM_REFERENCE_POINT,
    &g_RSRTX_ATTR_ZOOM_WINDOW_POSITION,
    &g_RSRTX_ATTR_ZOOM_SAMPLE_RATE,
    &g_RSRTX_ATTR_MARKER_SET,
    &g_RSRTX_ATTR_MARKER_CLEAR,
    &g_RSRTX_ATTR_MARKER_CLEAR_ALL,
    &g_RSRTX_ATTR_MARKER_NEXT,
    &g_RSRTX_ATTR_MARKER_PREVIOUS,
    &g_RSRTX_ATTR_VIRTUAL_SCREEN_ENABLED,
    &g_RSRTX_ATTR_VIRTUAL_SCREEN_POSITION,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_CURRENT_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_PLAYER,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_START_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_STOP_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_PLAY_ALL,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_SPEED,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_REPEAT,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_ACQUISITON_RELATIVE_TIME,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_DATES,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_TIME_DIFFERENCES,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_DAYTIMES,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_PLAYER_CONTROL_ENABLE,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_TABLE_MODE,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_TIME_TABLE_ENABLE,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_NAME,
    &g_RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_SAVE,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_CURRENT_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_PLAYER,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_START_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_STOP_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_PLAY_ALL,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_SPEED,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_REPEAT,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_ACQUISITON_RELATIVE_TIME,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_DATES,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_TIME_DIFFERENCES,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_DAYTIMES,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_PLAYER_CONTROL_ENABLE,
    &g_RSRTX_ATTR_HISTORY_DIGITAL_TIME_TABLE_ENABLE,
    &g_RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_NAME,
    &g_RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_SAVE,
    &g_RSRTX_ATTR_HISTORY_MATH_CURRENT_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_MATH_PLAYER,
    &g_RSRTX_ATTR_HISTORY_MATH_START_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_MATH_STOP_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_MATH_PLAY_ALL,
    &g_RSRTX_ATTR_HISTORY_MATH_SPEED,
    &g_RSRTX_ATTR_HISTORY_MATH_REPEAT,
    &g_RSRTX_ATTR_HISTORY_MATH_ACQUISITON_RELATIVE_TIME,
    &g_RSRTX_ATTR_HISTORY_MATH_ALL_DATES,
    &g_RSRTX_ATTR_HISTORY_MATH_ALL_TIME_DIFFERENCES,
    &g_RSRTX_ATTR_HISTORY_MATH_ALL_DAYTIMES,
    &g_RSRTX_ATTR_HISTORY_MATH_PLAYER_CONTROL_ENABLE,
    &g_RSRTX_ATTR_HISTORY_MATH_TIME_TABLE_ENABLE,
    &g_RSRTX_ATTR_HISTORY_MATH_EXPORT_NAME,
    &g_RSRTX_ATTR_HISTORY_MATH_EXPORT_SAVE,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_CURRENT_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_START_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_STOP_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAY_ALL,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_SPEED,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_REPEAT,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_ACQUISITON_RELATIVE_TIME,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DATES,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_TIME_DIFFERENCES,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DAYTIMES,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER_CONTROL_ENABLE,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_TIME_TABLE_ENABLE,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_NAME,
    &g_RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_SAVE,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_CURRENT_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_PLAYER,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_START_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_STOP_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_PLAY_ALL,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_SPEED,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_REPEAT,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_ACQUISITION_RELATIVE_TIME,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DATES,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_TIME_DIFFERENCES,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DAYTIMES,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_NAME,
    &g_RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_SAVE,
    &g_RSRTX_ATTR_HISTORY_LOGIC_CURRENT_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_LOGIC_PLAYER,
    &g_RSRTX_ATTR_HISTORY_LOGIC_START_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_LOGIC_STOP_ACQUISITION,
    &g_RSRTX_ATTR_HISTORY_LOGIC_PLAY_ALL,
    &g_RSRTX_ATTR_HISTORY_LOGIC_SPEED,
    &g_RSRTX_ATTR_HISTORY_LOGIC_REPEAT,
    &g_RSRTX_ATTR_HISTORY_LOGIC_ACQUISITON_RELATIVE_TIME,
    &g_RSRTX_ATTR_HISTORY_LOGIC_ALL_DATES,
    &g_RSRTX_ATTR_HISTORY_LOGIC_ALL_TIME_DIFFERENCES,
    &g_RSRTX_ATTR_HISTORY_LOGIC_ALL_DAYTIMES,
    &g_RSRTX_ATTR_HISTORY_LOGIC_PLAYER_CONTROL_ENABLE,
    &g_RSRTX_ATTR_HISTORY_LOGIC_TIME_TABLE_ENABLE,
    &g_RSRTX_ATTR_HISTORY_LOGIC_EXPORT_NAME,
    &g_RSRTX_ATTR_HISTORY_LOGIC_EXPORT_SAVE,
    &g_RSRTX_ATTR_SEGMENTATION_RECORD_LENGTH,
    &g_RSRTX_ATTR_ULTRA_SEGMENTATION_ENABLED,
    &g_RSRTX_ATTR_SEGMENTATION_RECORD_MAXIMUM_SEGMENTS,
    &g_RSRTX_ATTR_SEGMENTATION_NX_SINGLE_MAXIMUM,
    &g_RSRTX_ATTR_SEGMENTATION_MAXIMUM_NUMBER_OF_SEGMENTS,
    &g_RSRTX_ATTR_SEGMENTATION_NUMBER_OF_AVAILABLE_SEGMENTS,
    &g_RSRTX_ATTR_DRIVES,
    &g_RSRTX_ATTR_CHANGE_DRIVE,
    &g_RSRTX_ATTR_CURRENT_DIRECTORY,
    &g_RSRTX_ATTR_CREATE_DIRECTORY,
    &g_RSRTX_ATTR_REMOVE_DIRECTORY,
    &g_RSRTX_ATTR_DELETE_FILE,
    &g_RSRTX_ATTR_HARDCOPY_FILE_NAME,
    &g_RSRTX_ATTR_HARDCOPY_DEVICE_DESTINATION,
    &g_RSRTX_ATTR_SCREENSHOT_EXPORT_DESTINATION,
    &g_RSRTX_ATTR_HARDCOPY_COLOR_SCHEME,
    &g_RSRTX_ATTR_HARDCOPY_COMMAND_SET,
    &g_RSRTX_ATTR_HARDCOPY_CLOSE_DIALOGS,
    &g_RSRTX_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT,
    &g_RSRTX_ATTR_HARDCOPY_OUTPUT_FORMAT,
    &g_RSRTX_ATTR_HARDCOPY_DEVICE_ORIENTATION,
    &g_RSRTX_ATTR_HARDCOPY_PAGE_SIZE_X,
    &g_RSRTX_ATTR_HARDCOPY_PAGE_SIZE_Y,
    &g_RSRTX_ATTR_HARDCOPY_PRINT,
    &g_RSRTX_ATTR_HARDCOPY_SELECT_PRINTER,
    &g_RSRTX_ATTR_HARDCOPY_GET_FIRST_PRINTER,
    &g_RSRTX_ATTR_HARDCOPY_GET_NEXT_PRINTER,
    &g_RSRTX_ATTR_DEVICE_MODE,
    &g_RSRTX_ATTR_INTERFACE_SELECT,
    &g_RSRTX_ATTR_USB_CLASS,
    &g_RSRTX_ATTR_ETHERNET_DHCP,
    &g_RSRTX_ATTR_ETHERNET_IP_PORT,
    &g_RSRTX_ATTR_ETHERNET_VXI11_PORT,
    &g_RSRTX_ATTR_ETHERNET_HTTP_PORT,
    &g_RSRTX_ATTR_ETHERNET_TRANSFER,
    &g_RSRTX_ATTR_ETHERNET_MAC_ADDRESS,
    &g_RSRTX_ATTR_PRESET_EDUCATION,
    &g_RSRTX_ATTR_DEVICE_FOOTPRINT,
    &g_RSRTX_ATTR_ID_QUERY_RESPONSE,
    &g_RSRTX_ATTR_SYSTEM_PRESET,
    &g_RSRTX_ATTR_LOGGING,
    &g_RSRTX_ATTR_CALIBRATION,
    &g_RSRTX_ATTR_SELF_TEST_QUERY,
    &g_RSRTX_ATTR_SYSTEM_ERROR,
    &g_RSRTX_ATTR_SYST_ERR_LIST,
    &g_RSRTX_ATTR_INSTRUMENT_NAME,
    &g_RSRTX_ATTR_RESET_STATUS_REGISTER,
    &g_RSRTX_ATTR_SELF_ALIGNMENT,
    &g_RSRTX_ATTR_SELF_ALIGNMENT_STATE,
    &g_RSRTX_ATTR_QUERY_OPC,
    &g_RSRTX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSRTX_ATTR_SOUND_ENABLED,
    &g_RSRTX_ATTR_SOUND_ERROR_ENABLED,
    &g_RSRTX_ATTR_SOUND_TRIGGER_ENABLED,
    &g_RSRTX_ATTR_SOUND_GENERATE,
    &g_RSRTX_ATTR_OPERATION_CONDITION,
    &g_RSRTX_ATTR_OPERATION_ENABLE,
    &g_RSRTX_ATTR_OPERATION_N_TRANSITION,
    &g_RSRTX_ATTR_OPERATION_P_TRANSITION,
    &g_RSRTX_ATTR_OPERATION_EVENT,
    &g_RSRTX_ATTR_QUESTIONABLE_CONDITION,
    &g_RSRTX_ATTR_QUESTIONABLE_ENABLE,
    &g_RSRTX_ATTR_QUESTIONABLE_N_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_P_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_EVENT,
    &g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_CONDITION,
    &g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_ENABLE,
    &g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_N_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_P_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_EVENT,
    &g_RSRTX_ATTR_QUESTIONABLE_LIMIT_CONDITION,
    &g_RSRTX_ATTR_QUESTIONABLE_LIMIT_ENABLE,
    &g_RSRTX_ATTR_QUESTIONABLE_LIMIT_N_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_LIMIT_P_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_LIMIT_EVENT,
    &g_RSRTX_ATTR_QUESTIONABLE_MASK_CONDITION,
    &g_RSRTX_ATTR_QUESTIONABLE_MASK_ENABLE,
    &g_RSRTX_ATTR_QUESTIONABLE_MASK_N_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_MASK_P_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_MASK_EVENT,
    &g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_CONDITION,
    &g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_ENABLE,
    &g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_N_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_P_TRANSITION,
    &g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_EVENT
  };
